# Generated by configure.  Do not edit.

commit 05b63e807bb5f86f600283df1c3ca554778d90fa
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Jun 13 18:39:23 2017 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:53 2017 -0700

    Release 1.14.10

 NEWS            | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 cairo-version.h |  2 +-
 2 files changed, 58 insertions(+), 1 deletion(-)

commit ff7ac087cbae9c2a71dc7b1e4cad5898755151b3
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Jun 15 14:45:11 2017 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    RELEASING: Sync doc from trunk

 RELEASING | 125 ++++++++++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 90 insertions(+), 35 deletions(-)

commit c467f458b14196e699ff104f22b1531b67ba919e
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Thu Jun 15 20:53:29 2017 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    Fix off by one check in cairo-image-info.c
    
    https://bugs.freedesktop.org/show_bug.cgi?id=101427

 src/cairo-image-info.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e2ab1c608fcb54d86ac30852aec4cac36ef1e577
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Thu Mar 2 19:14:04 2017 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    pdf-operators: fix bug in line wrapping
    
    patch by jmmorlan@sonic.net
    
    https://bugs.freedesktop.org/show_bug.cgi?id=100029

 src/cairo-pdf-operators.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d48dd8575d4f49008d6b2c8057ec9f50e4e4f1e2
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Jul 17 21:33:12 2016 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    truetype: reverse cmap search should end when 0xffff- 0xffff range reached

 src/cairo-truetype-subset.c | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

commit 0b4eda23b0d7d4487352a82405b302f028feb11f
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Jul 17 21:19:37 2016 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    pdf: Don't fail subsetting if unable to convert utf8 to utf16
    
    If the unicode came from the font, don't fail if utf8_to_utf16 fails.

 src/cairo-pdf-surface.c         | 32 +++++++++++++++++++-------------
 src/cairo-scaled-font-subsets.c |  6 +++++-
 2 files changed, 24 insertions(+), 14 deletions(-)

commit 0aafba93f796758aebb2f8c3b4585b049dc0c30c
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Fri Jul 15 16:24:03 2016 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    ps: flush ASCII85Decode file after use
    
    If the image operator does not read all the ASCII85 data, the PS
    interpreter will try to execute the next byte of unread data.
    
    Define our own image operator that calls flushfile (reads until end of
    file) on the filter after drawing the image.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=84811

 src/cairo-ps-surface.c | 25 ++++++++++++++++++-------
 1 file changed, 18 insertions(+), 7 deletions(-)

commit 55f218e8458896616619695a298fa3887026fefd
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sat Jun 18 13:16:57 2016 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    ft: set font size to em size when retrieving unhinted metrics
    
    fixes text-unhinted-metrics test

 src/cairo-ft-font.c | 142 +++++++++++++++++++++++++++++++++-------------------
 1 file changed, 91 insertions(+), 51 deletions(-)

commit 834bab9d1c72daa3fa677f8328d203cd713350db
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Sep 27 08:27:53 2015 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    scaled-font-subsets: if glyph 0 used for rendering, remap to different index
    
    Some broken pdfs use glyph 0 in embedded fonts for rendering instead of .notdef.
    The cmap we use for embedding latin fonts does not allow rendering glyph 0. Ensure
    if glyph 0 is used, it is mapped to a non 0 glyph in the subset.
    
    Bug 89082

 src/cairo-scaled-font-subsets-private.h |   5 ++
 src/cairo-scaled-font-subsets.c         | 115 +++++++++++++++++++++++++++-----
 2 files changed, 103 insertions(+), 17 deletions(-)

commit 0245756c214506a3aa9de550a3c7b1e4702be7cb
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Mon Sep 7 22:20:08 2015 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Jun 15 14:54:46 2017 -0700

    cff: opentype fonts always use gid to lookup glyph
    
    Bug 91902

 src/cairo-cff-subset.c | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 2f830badefa8287e85b5ed8a670a827e133241f5
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Tue Mar 7 10:05:43 2017 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Tue Jun 13 18:35:13 2017 -0700

    xlib: Call XSync() before ignoring errors
    
    The code here wants to ignore errors for a specific request. To do so,
    it sets a no-op error handler. However, it could happen that some
    previous request caused an error and this error will also be ignored by
    the no-op error handler.
    
    To avoid this, call XSync() before setting the error handler. This makes
    sure that all pending errors are handled.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-surface.c | 2 ++
 1 file changed, 2 insertions(+)

commit 2d47ccbc012d46818e42b193acd81f0a53911f5c
Author:     Debarshi Ray <debarshir@freedesktop.org>
AuthorDate: Thu Dec 15 12:41:39 2016 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Tue Jun 13 18:35:08 2017 -0700

    doc: Fix the units used by cairo_surface_create_similar_image
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=99094
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-surface.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 80a0c20de2c2286cc37506a39667378a4ddfea86
Author:     Debarshi Ray <debarshir@freedesktop.org>
AuthorDate: Thu Dec 15 12:50:13 2016 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Tue Jun 13 18:35:02 2017 -0700

    doc: Clarify when the device scale is inherited and when it isn't
    
    In short, cairo_surface_create_similar inherits it, while
    cairo_surface_create_similar_image doesn't. It wasn't obvious without
    reading the code or explicitly checking the device scale of the new
    surface.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=99094
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-surface.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit eb82b4076d858587aa492b56cf3fbad2285d9d06
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Tue May 30 18:04:38 2017 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Jun 10 14:39:18 2017 +0200

    xcb: Fix error reporting if fallback fails
    
    If we cannot let the X11 server do some operation (for example: the
    RENDER extension is not available), then we fall back to an image
    surface and do the operation locally instead. This fallback requires the
    current content of the surface to be downloaded from the X11 server.
    This fallback logic had an error.
    
    The fallback is implemented with _get_image() in the function
    _cairo_xcb_surface_fallback(). _get_image() is only called if we do not
    yet have a fallback available, so when we call _get_image we have
    surface->fallback == NULL. Then, if _get_image() fails, it returns a
    surface in an error state.
    
    Before this patch, the code would then just ignore this error surface
    and return &surface->fallback->base, a NULL pointer. This would then
    quickly cause a crash when e.g. the surface's ->status member is
    accessed.
    
    Fix this by returning the error surface instead as the fallback.
    
    The end result of this patch will be that the XCB surface that is
    currently drawn to ends up in an error state which is a lot better than
    a NULL pointer dereference and actually correct in this case. The error
    state is reached because the current drawing operation will fail and
    this error is reported up the call stack and eventually "taints" the
    surface.
    
    (However, the error code could be better: _get_image() too often fails
    with a generic CAIRO_STATUS_NO_MEMORY error, but that's left as future
    work)
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface.c | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 3c60c57c609942739f898945a2f0c165f30b6ea6
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Dec 7 21:03:27 2016 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 7 21:03:27 2016 -0800

    Start 1.14.9 development

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b23aa0f9de4b0ccac8640bea43570b13f8f5a0f
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Dec 7 17:11:38 2016 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 7 19:26:36 2016 -0800

    Release 1.14.8

 NEWS            | 43 +++++++++++++++++++++++++++++++++++++++++++
 cairo-version.h |  2 +-
 2 files changed, 44 insertions(+), 1 deletion(-)

commit 50b1767d754a75fdbbe8dcd5a6ad243f0a1b443c
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Mon Oct 10 14:05:32 2016 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 7 19:23:15 2016 -0800

    build: Don't rely on non-POSIX 'strings -' behavior
    
    On systems using GNU's strings implementation, 'strings -' causes a scan
    of the whole file, which is equivalent to 'strings -a'.  However, in
    POSIX passing '-' as the first argument to 'strings' is declared
    unspecified, and thus may break the build on systems that use a
    different POSIX strings implementation.
    
    Patch from Jung-uk Kim
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=88639
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 build/aclocal.float.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6a435729226a66adee381548977efc0f95c3eacb
Author:     Ed Schouten <ed@nuxi.nl>
AuthorDate: Sun Sep 4 08:41:27 2016 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 7 19:23:15 2016 -0800

    Write debugging information to the debugging file
    
    Some debugging functions wrote to stdout, which is inconsistent with
    the other debugging functions of the same groups.
    
    Instead they should write to the debugging file that they are given as
    input.
    
    Reviewed-by: Andrea Canciani <ranma42@gmail.com>
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=95227

 src/cairo-debug.c   | 2 +-
 src/cairo-pattern.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3cf64f126b49b46f1c809913d54837c685cd2752
Author:     Ed Schouten <ed@nuxi.nl>
AuthorDate: Sun Sep 4 08:34:49 2016 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 7 19:23:15 2016 -0800

    Prevent observer surfaces from writing to stdout
    
    Invoking cairo_surface_mark_dirty () on an observer surface would
    cause it to print debugging output to stdout.
    
    Reviewed-by: Andrea Canciani <ranma42@gmail.com>
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=95227

 src/cairo-surface-observer.c | 2 --
 1 file changed, 2 deletions(-)

commit 4f0abfb8c7cf45c1a6d4e89f5507cad33eaabc08
Author:     Hans Petter Jansson <hpj@cl.no>
AuthorDate: Wed Jan 27 12:55:01 2016 -0600
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 7 19:23:15 2016 -0800

    scaled-font: Fix deadlock when recursing in _cairo_scaled_font_reset_cache()
    
    The destruction of a scaled font could indirectly trigger the destruction
    of a second scaled font, causing the global cache to be locked twice in
    the same thread.
    
    This is solved by unlinking the font's glyph pages while holding the global
    lock, then releasing the lock before destruction takes place.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=93891

 src/cairo-scaled-font.c | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

commit 53f3077b06e6f7d75c65950672c25b753aa8a95e
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sat Jul 9 18:19:16 2016 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 7 17:59:06 2016 -0800

    truetype: Don't write glyph if num_contours == 0
    
    According to the Opentype spec, num_contours in a glyf table entry can
    be > 0 (single glyph) or < 0 (composite glyph).  num_contours == 0 is
    undefined.
    
    The embedded font in the test case for this bug contained a space
    glyph with num_contours == 0. This was failing on some printers.
    According to the spec, glyphs with no outlines such as space are
    required to have a 0 size entry in the loca table.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=79897

 src/cairo-truetype-subset.c | 30 ++++++++++++++++++++++++------
 1 file changed, 24 insertions(+), 6 deletions(-)

commit 14ab4792825a12ddf3101c1183320a572a0e7935
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sat Jun 18 15:08:52 2016 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sun Nov 27 17:33:11 2016 +0100

    xlib: Fix double free in _get_image_surface()
    
    If XShmGetImage() fails, the code tries to continue with its normal,
    non-shared-memory path. However, the image variable, which was previously set to
    NULL, now points to an already-destroyed surface, causing a double-free when the
    function cleans up after itself (actually, its an assertion failure because the
    reference count of the surface is zero, but technically this is still a double
    free).
    
    Fix this by setting image=NULL after destroying the surface that this refers to,
    to make sure this surface will not be destroyed again.
    
    While we are here (multiple changes in a single commit are bad...), also fix the
    cleanup done in bail. In practice, &image->base should be safe when image==NULL,
    because this just adds some offset to the pointer (the offset here is actually
    zero, so this doesn't do anything at all). However, the C standard does not
    require this to be safe, so let's handle this case specially.
    
    Note that anything that is fixed by this change is still buggy, because the only
    reason why XShmGetImage() could fail would be BadDrawable, meaning that the
    target we draw to does not exist or was already destroyed. This patch will
    likely just cause X11 errors elsewhere and drawing to (possible) invalid
    drawables is not supported by cairo anyway. This means that if SHM fails, the
    following fallback code has a high chance of failing, too.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=91967
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xlib-surface.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f75075eef91c42aa38e24e03f93cd1d598b0ee5f
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sun Jul 17 15:08:51 2016 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sun Nov 27 17:32:07 2016 +0100

    cairo-xcb: Remove a wrong optimisation
    
    When doing a "complicated" mask operation, we draw the clip to a surface and use
    this as a mask in later operations. The code assumes that this operation draws
    to the whole target surface and thus a deferred clear may be skipped.
    
    However, this requires that the extents of the trapezoids that will be drawn and
    the extents of the surface are the same. This assumption is wrong, as can be
    seen e.g. by the bug report that this commit fixes.
    
    The fix is just not to skip the deferred clear.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=84330
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-render.c | 2 --
 1 file changed, 2 deletions(-)

commit 42a743cfcb5344f804a2d3be885bdc63f72df5dd
Author:     Marc-André Lureau <marcandre.lureau@gmail.com>
AuthorDate: Fri Nov 6 18:13:05 2015 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sun Nov 27 17:16:32 2016 +0100

    xlib: fix mixing xcb & xlib calls
    
    NextRequest is a macro that doesn't mix well with xcb, since
    dpy->request is not updated. Instead use XNextRequest() that was fixed
    to do the right thing with xcb in libX11 commit:
    http://cgit.freedesktop.org/xorg/lib/libX11/commit/?id=7f8f9a36ef901f31279c385caf960a22daeb33fe
    
    This may solve application X errors when a shmdt() is called by cairo
    before the Attach request is processed.
    
    Signed-off-by: Marc-André Lureau <marcandre.lureau@redhat.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xlib-surface-shm.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 65499badb7205dfffba73dd7cb053ef0ac662e1c
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Dec 11 00:49:31 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Dec 11 00:49:31 2015 -0800

    NEWS: Fix link to changelog

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f6dc36df1ec37fa33689404da5158927725174e
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Dec 9 14:20:36 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 9 14:20:36 2015 -0800

    Start 1.14.7 development.

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9d3191da6fae7dfd914c3516d6ba369c9ba1a576
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Dec 9 12:41:13 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 9 12:41:13 2015 -0800

    Release 1.14.6

 NEWS            | 31 +++++++++++++++++++++++++++++++
 cairo-version.h |  2 +-
 2 files changed, 32 insertions(+), 1 deletion(-)

commit 3372181a17c196af0644abe1b9c63a4b57815c9a
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Dec 9 11:02:43 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Dec 9 11:02:43 2015 -0800

    Revert "win32: Add a win32 boilerplate that uses a real window"
    
    This reverts commit 549e511814c4ebb476b6e45871ab7734f7ca915d.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=92771

 boilerplate/cairo-boilerplate-win32.c | 242 ++--------------------------------
 1 file changed, 14 insertions(+), 228 deletions(-)

commit 5d336c66ab9fbb64c8dbefbacb2b846aaed1d9e7
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Oct 29 18:19:01 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Oct 29 18:19:01 2015 -0700

    Bump version for new stable tree, 1.14.5

 NEWS            | 2 +-
 cairo-version.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0317ee7f61f1f4d154f7cb7e56d2b1080c2c644a
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Oct 28 20:15:53 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 20:15:53 2015 -0700

    1.14.4 release

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 01fff9f2d1646f27bd6f5cefcd880028330a2f67
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Oct 28 18:02:23 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 20:14:29 2015 -0700

    NEWS: Update for 1.14.4 release

 NEWS | 88 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 88 insertions(+)

commit 6eba71d2170443fb33e4d64261607f39b37245d6
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Oct 28 17:37:41 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:37:41 2015 -0700

    Revert "win32: Add cairo API to set up a Win32 surface for an HDC with an alpha channel."
    
    This adds a new API call, which we generally avoid in micro releases.
    
    This reverts commit 3d489616a2fc624dc5e94164f23a4c8536d466d0.

 src/cairo-win32.h                       |  4 --
 src/win32/cairo-win32-display-surface.c | 68 ++++++++-------------------------
 2 files changed, 16 insertions(+), 56 deletions(-)

commit b15e18fb9045b21d6ab2eb531ac62f3693fd302c
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Jul 17 12:07:18 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:33:30 2015 -0700

    Revert "pattern: allow for a floating one pixel rounded difference."
    
    While this fixed a real bug, in testing this patch was found to fail a
    number of tests and thus needs further work.
    
    This reverts commit e7acf4b6dc6666c2a2c54fb08e9ad6f01a1d415f.

 src/cairo-pattern.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 580a1b6c39ea2a3c5fab5f2b6764a78f80f48aa2
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Wed Oct 14 14:24:16 2015 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:11:41 2015 -0700

    xcb: Fix _put_image_boxes() if no SHM is available
    
    This function tries to use _cairo_xcb_connection_put_image() to do the actual
    work. However, that function can only be used for images with "native" stride.
    If we only want to upload a rectangle from within an image, the function
    _cairo_xcb_connection_put_subimage() has to be used. This function makes sure
    that the correct information is sent to the X11 server.
    
    No unit test for this, because we currently do not test the !SHM case
    automatically. Perhaps we should?
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 853c29eed12ab5539247acb130ffef559df82b38
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Wed Oct 14 14:22:50 2015 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:11:11 2015 -0700

    xcb: Fix _put_shm_image_boxes if no SHM available
    
    This function always returned CAIRO_INT_STATUS_SUCCESS, even if it didn't do
    anything. This commit makes the function return CAIRO_INT_STATUS_UNSUPPORTED
    instead.
    
    No unit test for this, because we currently do not test the !SHM case
    automatically. Perhaps we should?
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 3fb344fefd16751d42121bf7864a9878661cabe9
Author:     Rodrigo Rivas Costa <rodrigorivascosta@gmail.com>
AuthorDate: Wed Sep 30 23:53:23 2015 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:10:25 2015 -0700

    win32-print: fix transparent images have black background
    
    Bug 91835

 src/win32/cairo-win32-printing-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa458ef5367eee727a421eb97f89e8eb8643ce10
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Aug 28 13:23:45 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:04:11 2015 -0700

    Ensure null-terminated result from strncpy()

 src/cairo-scaled-font-subsets.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 6bde9f35df56ffaf574d098f61c60f6291f34b72
Author:     Sahil Vij <sahil.vij@samsung.com>
AuthorDate: Fri Aug 7 18:01:18 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:02:55 2015 -0700

    gl: Fix bug in _cairo_gl_pattern_texture_setup()
    
    The memory allocated to "image" at line 298 is not freed before moving to label fail at line 305 and 314.
    This patch takes care of this memory leak in above mentioned cases.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=91537
    Signed-off-by: Sahil Vij <sahil.vij@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-gl-operand.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit eb56bf8a5079c87d38d5eae63064308c14fdb876
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Jul 30 17:16:53 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:02:16 2015 -0700

    boilerplate: Fix list termination for glXChooseVisual
    
    The attribute list is terminated by GLX_NONE (defined as 0x8000), but
    the man page of 'glXChooseVisual' says it must be terminated with None
    (0L).
    
    Issue found and fix suggested by Massimo.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=91293

 boilerplate/cairo-boilerplate-glx.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d18212f67d0a772737e10b862f615c3822d6d13b
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Jul 30 16:45:15 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 17:02:07 2015 -0700

    test: Free the memory, not the pointer to the memory
    
    In read_file(), we see:
    
        *data = malloc (*len);
        ...
        if (fread(*data, *len, 1, fp) != 1) {
          free(data);
          ...
    
    The free call needs to be free(*data), to match the malloc call.
    
    Matthias Clasen found this via Coverity and proposed the fix.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=91381

 test/pdf-mime-data.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6c41ed5b9b0bfb63d576ec378dc1ef3dd2f9b891
Author:     Arpit Jain <jain.arpit@samsung.com>
AuthorDate: Mon Jul 13 11:31:48 2015 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 16:59:39 2015 -0700

    gl: Fix incorrect size of expression
    
    The sizeof operator now applied to the correct variable "ctx->glyph_cache",
    instead of its pointer address, in function "_cairo_gl_composite_flush".
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=91321
    Signed-off-by: Arpit Jain <jain.arpit@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-gl-composite.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 776cc09016951a72fce5eb4f05d08a3fb56e3589
Author:     Ashim <ashim.shah@samsung.com>
AuthorDate: Thu Jul 9 10:43:30 2015 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 16:59:23 2015 -0700

    Fix out of bound access in struct pattern->type
    
    The pattern structure is hardcoded to hold 7 elements, yet the
    pattern_names array in cairo-surface-observer.c is initialized with 8
    strings.  This causes a crash in print_array at line 1587 when it tries
    to access the 8th member.
    
    Hence changed the 'type' array from type[7] to type[8] to avoid out of
    bound access.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=91266
    Signed-off-by: Ashim <ashim.shah@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-surface-observer-private.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da1dcfa6c6240443abe61de1694eafca88346c32
Author:     Arpit Jain <jain.arpit@samsung.com>
AuthorDate: Fri Jul 3 15:31:48 2015 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 16:57:55 2015 -0700

    test/bitmap-font: Fix use of pointer after freed pointer
    
    The pointer 'filename' is already freed and still used as a function
    argument.  This patch will free the pointer 'filename' only after it is
    used.
    
    Also, the patch ensures that it frees the pointer 'filename' before any
    return of this function.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=91206
    Signed-off-by: Arpit Jain <jain.arpit@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 test/bitmap-font.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit be9eda28616e60a082b72d884f4ab4dafba5b0db
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Sat Jun 27 00:43:04 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 16:55:55 2015 -0700

    configure: Fix typo for missing line continuation character
    
    There is an unintentional (benign) missing line continuation "\" in the
    definition of MAYBE_WARN in configure.  configure completes and issues a
    WARNING:
    
    configure: WARNING: cache variable cairo_cv_warn_maybe contains a
    newline
    
    Found and solved by Larry Baker.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=89750
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 build/configure.ac.warnings | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e3635de87d6bab7ec7b53a76c53188e0b04d675a
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Jun 26 16:30:06 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Oct 28 16:54:19 2015 -0700

    cairo-script: Return a cairo_status_t error, not FALSE
    
    This typo results in certain paths being incorrectly recorded with
    script surfaces.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=91054
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-script-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f85e035e693f4cad03703ab619d299ba1ebd13e
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Jun 25 18:54:23 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Tue Oct 27 14:23:00 2015 -0700

    cairo-recording-surface: Fix loss of alpha when clipping
    
    Commit 8020e0bc introduced a regression due to a typo when copying a
    mask for a cairo recording surface.  It should copy the source and mask
    members from the command source to the recording surface, but instead it
    copies the source twice.
    
    Fix suggested by Massimo.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=73038
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=73901

 src/cairo-recording-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5d656f3e86cab791f80c8ddf401bb863accec36d
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Jun 25 17:41:26 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Tue Oct 27 14:22:05 2015 -0700

    cairo-script: Fix sp. "directoriy"
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-script-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3a2893debf6f40609cd2cb0573c5e162c46fdc68
Author:     Alban Browaeys <prahal@yahoo.com>
AuthorDate: Wed Jan 21 12:01:45 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    pattern: allow for a floating one pixel rounded difference.
    
    That is if the difference between the origin and the end is bigger than
    .5 round up regardless of the coordinates.
    
    Round the difference of the floats instead of rounding the floats then
    diff them.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-pattern.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit dd2cbd7268f7b34f512965fac63da762f523f1a4
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Jun 16 16:42:56 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    cairo-script: Rename struct member to avoid name collision on AIX
    
    On AIX, the token jmpbuf is a pre-processor macro.
    cairo-script-scanner.c includes a private struct with a member named
    jmpbuf which gets renamed to __jmpbuf when AIX's sys/context.h has been
    included.
    
    While judicious ordering of includes might kludge around this problem
    (by causing all references to .jmpbuf to become .__jmpbuf), it's better
    to simply select a new name for the struct member that won't suffer the
    collision.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=89339
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-script/cairo-script-private.h |  2 +-
 util/cairo-script/cairo-script-scanner.c | 74 ++++++++++++++++----------------
 2 files changed, 38 insertions(+), 38 deletions(-)

commit 5fda59a2f7e50d2a89052eca8c118babf9813c99
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Jun 16 15:18:23 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    cairo-script: Prefer cairo from local tree
    
    Use quoted includes rather than bracketed, to prefer linking to the
    in-tree cairo in preference to the system cairo.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-script/cairo-script-interpreter.c | 3 +--
 util/cairo-script/csi-bind.c                 | 4 ++--
 util/cairo-script/csi-exec.c                 | 4 ++--
 util/cairo-script/csi-replay.c               | 4 ++--
 util/cairo-script/csi-trace.c                | 4 ++--
 5 files changed, 9 insertions(+), 10 deletions(-)

commit 475916b84e1490be252910d6950d2aea89a5f722
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Jun 16 15:13:31 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    cairo-script: Cleanup boilerplate header for consistency
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 util/cairo-script/cairo-script-hash.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 99c89b3fffa2df580065a0ecf9bd576ed2102510
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Jun 16 15:06:59 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    cairo-script: Add missing copyright and boilerplate
    
    Chris wrote all of the cairo script stuff.  I'm making a guess about the
    copyright date.
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 util/cairo-script/csi-bind.c   | 33 +++++++++++++++++++++++++++++++++
 util/cairo-script/csi-exec.c   | 33 +++++++++++++++++++++++++++++++++
 util/cairo-script/csi-replay.c | 33 +++++++++++++++++++++++++++++++++
 util/cairo-script/csi-trace.c  | 33 +++++++++++++++++++++++++++++++++
 4 files changed, 132 insertions(+)

commit 0b885d045619208fb75074f4d7196c2dc5b49a1d
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Jun 16 15:05:54 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    cairo-script: Always include config.h first thing
    
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 util/cairo-script/cairo-script-file.c        | 2 ++
 util/cairo-script/cairo-script-hash.c        | 2 ++
 util/cairo-script/cairo-script-interpreter.c | 2 ++
 util/cairo-script/cairo-script-objects.c     | 2 ++
 util/cairo-script/cairo-script-operators.c   | 2 ++
 util/cairo-script/cairo-script-scanner.c     | 2 ++
 util/cairo-script/cairo-script-stack.c       | 2 ++
 util/cairo-script/csi-bind.c                 | 3 +++
 util/cairo-script/csi-exec.c                 | 3 +++
 util/cairo-script/csi-replay.c               | 3 +++
 util/cairo-script/csi-trace.c                | 3 +++
 11 files changed, 26 insertions(+)

commit be05125611ab635af2aa1a6e77efcdec38188532
Author:     Fredrik Fornwall <fredrik@fornwall.net>
AuthorDate: Sun May 31 20:36:48 2015 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    Fix cairo_get_locale_decimal_point() on Android

 src/cairo-misc.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a1146f54d7c2c99c0b4fc7091b10354adf611056
Author:     Massimo Valentini <mvalentini@src.gnome.org>
AuthorDate: Tue Sep 23 12:37:35 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    polygon-intersection: Delete misleading comments and dead-code
    
    den_det is positive because intersect_lines is called
    only after _slope_compare returned > 0 and slope_compare
    is returning the sign of den_det
    
    The quadratic-time intersection finder is #if 0-ed out
    in src/cairo-bentley-ottman.c, but is unusable even there
    since the second commit to that file.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=74779
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-polygon-intersect.c | 60 ++-----------------------------------------
 1 file changed, 2 insertions(+), 58 deletions(-)

commit 99f56be5f545c0136b198d83c0a4c692b9f9f770
Author:     Massimo Valentini <mvalentini@src.gnome.org>
AuthorDate: Tue Sep 23 12:37:26 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    polygon-intersection: Try not to invoke undefined behaviour
    
    Optimizing compilers aggressively remove code that is executed only
    after an undefined behaviour occurred.
    
    Also, the difference of two (non char) pointers hides an integer
    division that, because the divisor is known at compile time, is
    transformed into a multiplication by a pseudo-reciprocal, and in this
    case the difference is not always a multiple of the divisor, resulting
    in an invalid comparison predicate.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=74779
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-polygon-intersect.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6879be20f03a1347e16cda2f603b0fedf256caf0
Author:     Massimo Valentini <mvalentini@src.gnome.org>
AuthorDate: Tue Sep 23 12:37:20 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    polygon-intersection: Include approximation in intersection points
    
    In Hobby's paper it is proved that INTERSECTION events can be
    processed in any order by ignoring intersections between edges
    non-adjacent in the active edges list.
    But with respect to START/STOP events they must be processed in
    order. Because START/STOP events have always exact y, it is
    sufficient to know whether an integer y intersection is a
    default/excess approximation of the exact to properly sort events.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=74779
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-polygon-intersect.c | 139 ++++++++++++++++++++----------------------
 1 file changed, 67 insertions(+), 72 deletions(-)

commit 9db73dd41784880948e4dbd49379984467dc0f14
Author:     Massimo Valentini <mvalentini@src.gnome.org>
AuthorDate: Tue Sep 23 12:37:08 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:33 2015 -0700

    polygon-intersection: Do not discard intersection exactly at top edge
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=74779
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-polygon-intersect.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d00f8133ef84bb01a2f54ab0a3cec9529de7921c
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Jun 4 14:24:31 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:32 2015 -0700

    cairo-script: Improve buffer length check
    
    Quells the following warning:
    
    cairo-script-scanner.c: In function ‘_translate_string’:
    cairo-script-scanner.c:1623:18: warning: comparison between signed and
    unsigned integer expressions [-Wsign-compare]
          if (buf_len <= 8 + 2*string->len) {
                      ^

 util/cairo-script/cairo-script-scanner.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 34ba17b01b4dc09f6ece1a45b635e04900b722d0
Author:     Julien Isorce <j.isorce@samsung.com>
AuthorDate: Wed Sep 3 10:58:18 2014 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:32 2015 -0700

    build: Show all disabled features in cairo-features.h
    
    Even features which are disabled by default should appear in
    cairo-features.h.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=83359
    (Patch approved by Behdad Esfahbod in bug tracker.)
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 build/configure.ac.features | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da8b29e21f641621e10e1b218e231ae10798b1b4
Author:     Nathan Froyd <froydnj@mozilla.com>
AuthorDate: Mon May 4 13:38:41 2015 -0400
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:32 2015 -0700

    Support new-style __atomic_* primitives
    
    Recent versions of GCC/clang feature a new set of compiler intrinsics
    for performing atomic operations, motivated by the operations needed to
    support the C++11 memory model.  These intrinsics are more flexible than
    the old __sync_* intrinstics and offer efficient support for atomic load
    and store operations.
    
    Having the load appear atomic to the compiler is particular important
    for tools like ThreadSanitizer so they don't report false positives on
    memory operations that we intend to be atomic.
    
    Patch from Nathan Froyd <froydnj@mozilla.com>

 build/aclocal.cairo.m4     | 12 +++++++
 src/cairo-atomic-private.h | 90 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

commit 010fb4c4370686b76f0f0aa226a65576bac8938b
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Thu May 21 22:37:06 2015 +0930
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:32 2015 -0700

    cff: ensure glyph widths are positive when font matrix yy is negative
    
    Bug 90538

 src/cairo-cff-subset.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3f6f251e7ffe003e541ec38281ee0b95a3204a66
Author:     Zan Dobersek <zdobersek@igalia.com>
AuthorDate: Fri May 8 01:50:25 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:32 2015 -0700

    Manually transpose the matrix in _cairo_gl_shader_bind_matrix()
    
    To maintain compatibility with OpenGL ES 2.0, the matrix in
    _cairo_gl_shader_bind_matrix() should be manually transposed,
    and GL_FALSE passed as the transpose argument to the
    glUniformMatrix3fv() call as it is the only valid value for
    that parameter in OpenGL ES 2.0.
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Acked-by: "Henry (Yu) Song" <henry.song@samsung.com>

 src/cairo-gl-shaders.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6156a4d64548ef60a8fd9c872fb12b5f34441e12
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Apr 24 18:23:46 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:32 2015 -0700

    Fix broken canvas text font size in Inkscape
    
    An earlier fix to bug 84324 added a regression in the font size of
    canvas text in Inkscape when compiled with the Quartz backend.
    
    Patch from Andrea Canciani
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=84324
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-quartz-font.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bfbc1649a13d7743e143db3dd6c68c9f5865ac23
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Tue Apr 21 14:29:41 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 19:13:16 2015 -0700

    [ft] Return CAIRO_STATUS_FILE_NOT_FOUND if font file can't be opened
    
    A common source of error when people are setting up pango on a new
    device is when font files don't have the right permissions and cannot
    be opened.  Cairo was returning out-of-memory before, making the
    Pango error message useless.
    
    With this change, cairo will return file-not-found, and pango prints
    that out.  It's still not ideal; a ENOACCESS equivalent would have
    been better.
    
    [update: Fixed a couple goofs]

 src/cairo-font-face.c |  7 +++++++
 src/cairo-ft-font.c   | 49 ++++++++++++++++++++++++++++++++++---------------
 src/cairoint.h        |  1 +
 3 files changed, 42 insertions(+), 15 deletions(-)

commit 4dc3f3d7f21ef23bcb767d8118382427ad431f6c
Author:     江頭幸路 <koji.egashira@access-company.com>
AuthorDate: Fri Apr 17 20:59:17 2015 +0900
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    Avoid appending an empty slot to an user data array when user_data is NULL.
    
    Otherwise, calling cairo_set_user_data(cr, key, 0, 0) many times
    causes a long user data array, almost all of whose slots are empty.
    It leads to unnecessarily much memory consumption and long execution time of
    cairo_set_user_data(cr, key, 0, 0) and cairo_get_user_data(cr, key) after
    it.
    
    This issue probably happens since the commit
    http://cgit.freedesktop.org/cairo/commit/?id=9341c254a
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-array.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1bd07b2d1949f4159cf542f0aaef248788c96422
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Thu Apr 9 01:31:34 2015 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    test: Correct bug number in clip-complex-bug61592
    
    The filename of the C source file is correct, but the test name (both
    as function name and as reference image name) has a typo in it.
    
    Related to https://bugs.freedesktop.org/show_bug.cgi?id=61592

 test/clip-complex-bug61592.c                 |   2 +-
 test/reference/clip-complex-bug61492.ref.png | Bin 105 -> 0 bytes
 test/reference/clip-complex-bug61592.ref.png | Bin 0 -> 105 bytes
 3 files changed, 1 insertion(+), 1 deletion(-)

commit 549e511814c4ebb476b6e45871ab7734f7ca915d
Author:     Руслан Ижбулатов <lrn1986@gmail.com>
AuthorDate: Sat Apr 4 15:58:53 2015 +0000
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    win32: Add a win32 boilerplate that uses a real window
    
    This way it uses the codepath for cairo_win32_surface_create_with_format(),
    instead of the cairo_win32_surface_create_with_dib().
    
    Without the recording tests (which terminate the testsuite)
    the testsuite results for win32 are:
    
    284 Passed, 167 Failed [1 crashed, 9 expected], 23 Skipped
    win32 (rgb24): 1 crashed!
    win32 (rgb24): 17 error
    win32 (rgb24): 155 failed
    win32 (argb32): 1 crashed!
    win32 (argb32): 17 error
    win32 (argb32): 68 failed
    win32-window-color (rgb24): 1 crashed!
    win32-window-color (rgb24): 17 error
    win32-window-color (rgb24): 148 failed
    win32-window-coloralpha (argb32): 1 crashed!
    win32-window-coloralpha (argb32): 17 error
    win32-window-coloralpha (argb32): 66 failed
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 boilerplate/cairo-boilerplate-win32.c | 242 ++++++++++++++++++++++++++++++++--
 1 file changed, 228 insertions(+), 14 deletions(-)

commit 3d489616a2fc624dc5e94164f23a4c8536d466d0
Author:     Руслан Ижбулатов <lrn1986@gmail.com>
AuthorDate: Thu Mar 26 19:33:43 2015 +0000
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    win32: Add cairo API to set up a Win32 surface for an HDC with an alpha channel.
    
    Signed-off-by: Руслан Ижбулатов <lrn1986@gmail.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-win32.h                       |  4 ++
 src/win32/cairo-win32-display-surface.c | 68 +++++++++++++++++++++++++--------
 2 files changed, 56 insertions(+), 16 deletions(-)

commit 74c85aadb37a5e63d7414dd2a0ef819505e29fea
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Thu Mar 26 17:36:16 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    test: Fix coverage-intersecting-triangles reference
    
    Commit 4e3ef57bc892b0b046c486390adc7164a1de64de added
    coverage-intersecting-triangles with an incorrect reference and
    generator. The test checks the rasterization of two overlapping
    triangles in the following position:
    
       .   .
       |\ /|
       | X |
       |/ \|
       .---.
    
    Since the triangles have both vertical and horizontal sides of size
    x/WIDTH, the expected coverage is 3/4 (75%) of (x/WIDTH)^2. The
    original code, instead, was checking for a coverage of 0.75*x/WIDTH,
    as if one of the sides was always 1 unit long.
    
    The image and xlib backends still suffer from some jitter, caused by
    the approximation of the actual coverage by means of sampling. For
    this reason their references are still considered XFAIL, even though
    their result now looks mostly consistent with the expected reference.

 test/coverage.c                                         |   2 +-
 .../coverage-intersecting-triangles.image.xfail.png     | Bin 0 -> 14444 bytes
 test/reference/coverage-intersecting-triangles.ref.png  | Bin 209 -> 262 bytes
 .../reference/coverage-intersecting-triangles.xfail.png | Bin 14444 -> 0 bytes
 4 files changed, 1 insertion(+), 1 deletion(-)

commit 7ab94215f891df2ef5d8ce95e7591de0bdce2add
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Sat Apr 4 15:49:18 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    Fix spellings descibed, indicies, stange

 src/cairo-pdf-surface.c         | 2 +-
 src/drm/cairo-drm-intel-debug.c | 2 +-
 test/zero-alpha.c               | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 4a7182f647d2c5f67668f2ba08bfc814c9923a76
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Mar 18 18:46:35 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    NEWS: Sp. fix

 NEWS | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 45cbf45b74b84ca71c0f610146f898068f49408b
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Mar 18 15:49:41 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    surface: Clarify flush documentation

 src/cairo-surface.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 70ad79a1f8a4ef3800798eaf3ed5ee31cb0c0199
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Thu Mar 12 17:02:02 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    Harden make-cairo-test-constructors.sh
    
    The make-cairo-test-constructors.sh script executes several commands
    without checking their success. This can lead to undetected errors,
    like those fixed in 86fad78fcd2bf987249890aea4eabcce02a58f45.
    
    The script now exits with an error status if no file is
    input. Moreover, it sets the '-e' flag, so that if a command fails,
    the whole script is immediately terminated with an error.
    
    In the Makefile.am, the script result is now checked and the target
    file is removed upon error. This ensures that the
    'cairo-test-constructors.c' target completes succesfully only if no
    error occurred.
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 test/Makefile.am                     | 2 +-
 test/make-cairo-test-constructors.sh | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 79042143fe12cf6e208f525a969982e7d637907f
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Mar 13 13:17:28 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    Start 1.14.3 development

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4b67b56f4314fee2c892db3099998905d46110e
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Wed Mar 11 19:16:38 2015 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    doc: add index of new symbols in 1.14

 doc/public/cairo-docs.xml | 3 +++
 1 file changed, 3 insertions(+)

commit 2a8d50a0dd8331570537a40e63864dd18471f92d
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Mar 10 19:55:35 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:29:09 2015 -0700

    RELEASING:  Update contacts
    
    Add a CC to the cairo@ list itself.
    
    Drop updating of the GNOME dependencies page; this appears to have not
    been updated since 2008.

 RELEASING | 20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)

commit 89520c69fd3074e03fe37c58fefbb20d9c7c03fb
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Tue Mar 10 18:42:50 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    version: bump for cairo-1.14.2 release

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcaef820bd0f6938ae7ba6453f4abeafe3fd2da3
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Tue Mar 10 16:24:37 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    KNOWN_ISSUES:  Restore known issues file as a stub
    
    Apparently distcheck requires this file be present.

 KNOWN_ISSUES | 3 +++
 1 file changed, 3 insertions(+)

commit 747b62d8a3aad131536ef4487bdaae292ac784a6
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Tue Mar 10 13:08:29 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    NEWS: Note about the OS X support

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit 76393b557b034c1b3f04dfe3eaff21cbe7a43bb0
Author:     Andrea Canciani <ranma42@tartaros.local>
AuthorDate: Tue Mar 10 12:10:35 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    Update README with new minimum MacOSX requirements
    
    Since 70cc8f250b5669e757b4f044571ba0f71e3dea9e the quartz backend is
    using some APIs that are not available on MacOSX 10.4 directly
    (i.e. without detecting their availability through dynamic linking).
    This means that the quartz backend does not work anymore on MacOSX
    10.4 and that the 10.5 SDK (or newer) is needed to build.

 README | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f93af57f6527e20d821d5352a71c61fa9ae7834
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Tue Mar 10 12:15:40 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    On MacOSX, the sed utility errors out when parsing non-UTF8
    files. Because of this, the generated cairo-test-constructor only
    contained a few tests and the test suite was thus incomplete.
    
    Original patch by Andrea Canciani <ranma42@gmail.com>

 test/composite-integer-translate-over.c | 2 +-
 test/degenerate-dash.c                  | 2 +-
 test/degenerate-path.c                  | 2 +-
 test/long-dashed-lines.c                | 2 +-
 test/reflected-stroke.c                 | 2 +-
 test/user-font-rescale.c                | 4 ++--
 6 files changed, 7 insertions(+), 7 deletions(-)

commit e7ec9ff90e7b5a08636b74f1a9669dcf773cebc5
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Tue Mar 10 12:10:34 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    Update KNOWN_ISSUES documentation
    
    The bug mentioned in KNOWN_ISSUES was fixed in
    2b3d8de11a536d668084ea6d2bf295da1d1cdc11, but the documentation was
    not updated. Moreover, the header of KNOWN_ISSUES was 1.10-specific.
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 KNOWN_ISSUES | 10 ----------
 1 file changed, 10 deletions(-)

commit ccc1eadc655b64bbe748e7c49193305fae6c8f6e
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Tue Mar 10 04:45:18 2015 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    NEWS: Finish filling in changes

 NEWS | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)

commit 452c40d6e802e4f8d27f176fce2c356000863d50
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Sat Mar 7 00:30:40 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    NEWS: Update for changes through Nov 2014

 NEWS | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

commit fb8eef0fadef25ece95404aeee410f627bd5eead
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Fri Mar 6 23:54:49 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    HACKING: Add link to git tutorial and wordsmith a bit

 HACKING | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

commit 1dc88d197f7cd73d67c6b7bcaed08924b276eafa
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Fri Mar 6 23:31:25 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    csi-trace:  Add --version and --help args to utility

 util/cairo-script/csi-trace.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit f2aa28e331b621c2502ddea2bfb73188ef6d335a
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Fri Mar 6 22:26:22 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    Revert "xlib: Remove queued event from _XReadEvents"
    
    This reverts commit e7fc8f405beeeb1048f69fe22923170a137b805e.

 src/cairo-xlib-surface-shm.c | 5 -----
 1 file changed, 5 deletions(-)

commit fb3b415cb3bf0fb242be8e6a53d20460ec684ebc
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Fri Mar 6 23:29:53 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    git-ignore: Add build's test-driver

 build/.gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit 3a1215291bd7e16a6bd40fab7a31075680648014
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Fri Mar 6 19:14:58 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    doc: Drop extraneous para's
    
    These may have been required in the past, but just trip up distcheck
    today.  The generated docs still look fine.

 src/cairo-version.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 9a4026d31510f641b13eaf29baa9806d1179aa59
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Fri Mar 6 18:34:07 2015 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    gitignore: logs, manuals

 .gitignore | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 74d53e5eb027d127580211962e52fd63b16af599
Author:     Henry (Yu) Song <henry.song@samsung.com>
AuthorDate: Thu Mar 5 00:20:42 2015 +0000
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    xlib: Remove queued event from _XReadEvents
    
    Following patch fixes a memory leak in xlib surface.
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-xlib-surface-shm.c | 5 +++++
 1 file changed, 5 insertions(+)

commit a0712362b5dbe6d9f7256a29e0323c5f4cde6429
Author:     Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
AuthorDate: Fri Feb 27 14:25:41 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    headers: fix include order for AIX, bug#89354
    
    also for cairo-xcb-private.h

 src/cairo-xcb-private.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 51fdf6f0ae62a4426d2b471836d4dfa9839db67d
Author:     Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
AuthorDate: Fri Feb 27 11:22:04 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    headers: fix include order for AIX, bug#89354

 src/cairo-ft-private.h           | 2 +-
 src/cairo-xlib-private.h         | 2 +-
 src/cairo-xlib-surface-private.h | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 8e0c4c050e8a080939d968827d4ba7b697c0d4f9
Author:     Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
AuthorDate: Thu Feb 26 15:11:05 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    perf: fix include order for AIX, bug#89354

 perf/cairo-perf-report.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0e098447938cbdb15fa040ca27aff51678fe81eb
Author:     Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
AuthorDate: Thu Feb 26 16:00:01 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    perf/micro: fix include order for AIX, bug#89354

 perf/micro/disjoint.c              | 2 +-
 perf/micro/hatching.c              | 2 +-
 perf/micro/pattern_create_radial.c | 2 +-
 perf/micro/spiral.c                | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit e91ebe3dd01acde2914c40724c05d192b14de950
Author:     Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
AuthorDate: Thu Feb 26 15:03:43 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    test: fix include order for AIX, bug#89354

 test/clip-nesting.c                            | 2 +-
 test/clip-operator.c                           | 2 +-
 test/close-path.c                              | 2 +-
 test/composite-integer-translate-over-repeat.c | 2 +-
 test/composite-integer-translate-over.c        | 2 +-
 test/composite-integer-translate-source.c      | 2 +-
 test/copy-path.c                               | 2 +-
 test/extend-pad-border.c                       | 2 +-
 test/extend-pad-similar.c                      | 2 +-
 test/extend-pad.c                              | 2 +-
 test/extend-reflect.c                          | 2 +-
 test/extended-blend.c                          | 2 +-
 test/mask.c                                    | 2 +-
 test/multi-page.c                              | 4 ++--
 test/operator-clear.c                          | 2 +-
 test/operator-source.c                         | 2 +-
 test/path-append.c                             | 2 +-
 test/pattern-getters.c                         | 2 +-
 test/pdf-features.c                            | 4 ++--
 test/pixman-downscale.c                        | 4 ++--
 test/pixman-rotate.c                           | 4 ++--
 test/ps-features.c                             | 4 ++--
 test/record-extend.c                           | 2 +-
 test/record-mesh.c                             | 2 +-
 test/select-font-no-show-text.c                | 2 +-
 test/self-copy.c                               | 2 +-
 test/source-clip-scale.c                       | 2 +-
 test/source-clip.c                             | 2 +-
 test/surface-pattern-scale-down.c              | 2 +-
 test/surface-pattern-scale-up.c                | 2 +-
 test/surface-pattern.c                         | 2 +-
 test/svg-clip.c                                | 3 ++-
 test/svg-surface.c                             | 3 ++-
 test/trap-clip.c                               | 2 +-
 test/unbounded-operator.c                      | 2 +-
 test/user-font-mask.c                          | 4 ++--
 test/user-font-proxy.c                         | 4 ++--
 test/user-font.c                               | 4 ++--
 test/xcb-snapshot-assert.c                     | 2 +-
 test/xlib-expose-event.c                       | 2 +-
 test/xlib-surface.c                            | 3 ++-
 41 files changed, 52 insertions(+), 49 deletions(-)

commit b0f3465d09869e483179a3bb92a16fe4f0d39e14
Author:     Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
AuthorDate: Thu Feb 26 16:24:55 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    define _GETDELIM for getline() on AIX
    
    On AIX 6.1, getdelim() and getline() are not provided by default,
    causing a gcc compilation error.  With _GETDELIM defined, AIX's stdio.h
    header provides definitions for these routines.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=89356
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 perf/cairo-perf-report.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4cb6da119e5cc954161c6c10fc4cc6c3b70a407f
Author:     Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
AuthorDate: Thu Feb 26 15:23:01 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    skip MAP_NORESERVE when unsupported
    
    Fixes a compilation on AIX ('MAP_NORESERVE' undeclared)
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=89340
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 test/cairo-test-trace.c    | 4 ++++
 util/cairo-sphinx/sphinx.c | 4 ++++
 2 files changed, 8 insertions(+)

commit 64b71a1fe6724a6ff3b3188808dd3ce82fcea13e
Author:     Michael Haubenwallner <michael.haubenwallner@ssi-schaefer.com>
AuthorDate: Thu Feb 26 14:18:30 2015 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    fix conflicting types for 'sync' on AIX, bug#89338

 src/cairo-surface-observer.c | 12 ++++++------
 src/cairo-xlib-surface-shm.c |  4 ++--
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 4e7f1621df76d3cd948632b9409f4d2ffcfae3eb
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Tue Dec 9 16:13:00 2014 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    quartz: Remove call to obsolete CGFontGetGlyphPath
    
    CGFontGetGlyphPath was not public and is not available anymore on
    modern OSX/iOS systems. The same functionality is available through
    the CoreText API since OSX 10.5.
    
    Based on a patch by Simon Cozens.
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=84324

 src/cairo-quartz-font.c | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit d4a4705898a44cde085629686921bd4440bb3002
Author:     Massimo Valentini <mvalentini@src.gnome.org>
AuthorDate: Wed Sep 11 18:10:38 2013 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    win32:  Fix crash from win32 surface's image size too small
    
    Beginning in 1.12, a crash can occur when the win32 surface's image size
    does not cover the entire surface (e.g. due to clipping regions).
    
    This patch enlarges the fallback surface created of the amount
    necessary not to write past the end of the DIB. It assumes that
    Clip applied to an HDC are clamped to (0,0,width,height) of the HDC.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=53121
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/win32/cairo-win32-display-surface.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 58897cbe917e44f8802eac751805389958a499df
Author:     Emanuele Aina <emanuele.aina@collabora.com>
AuthorDate: Tue Dec 16 14:58:55 2014 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:06 2015 -0700

    cairo-trace: Fix duplicated surface push on similar-image
    
    The current code results in trace lines with the source surface being
    pushed on the stack two times instead of one:
    
    s1 s1 //ARGB32 48 48 similar-image % s2
    
    Instead of:
    
    s1 //ARGB32 48 48 similar-image % s2
    
    This greatly confuses later commands when the script was replayed,
    causing traces for trivial GTK3 programs to be unplayable, usually
    yielding the following error:
    "invalid value (typically too big) for the size of the input (surface, pattern, etc.)"
    
    Drop the duplicated entry from the trace line printed by the
    cairo_surface_create_similar_image() override.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=73580
    Signed-off-by: Emanuele Aina <emanuele.aina@collabora.com>

 util/cairo-trace/trace.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 94adea3455576af81745e470411b39feac6d53f2
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sat Dec 6 17:04:07 2014 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    xlib-xcb: Don't be lazy and use the real xcb_screen_t
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xlib-xcb-surface.c | 33 ++++++++++++++++++---------------
 1 file changed, 18 insertions(+), 15 deletions(-)

commit fc648fb58f11a692053e95b33c125c1994d33b4f
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sat Dec 6 16:04:46 2014 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    xcb: Query the display's subpixel order via RENDER
    
    With commit e691d242, the xcb backend started parsing the resources, just like
    cairo-xlib does. One behavior from cairo-xlib was missing: If no Xft.rgba
    property was specified, cairo-xlib defaults to the screen's subpixel order.
    This commit brings that last bit of functionality to cairo-xcb (but currently
    disabled due to commit e0c0a673).
    
    This commits adds a new array to cairo_xcb_connection_t that contains the
    subpixel order for each screen. There is also a new member in cairo_xcb_screen_t
    which contains the subpixel order of that screen and which is initialized from
    the array when the screen is constructed. With this in place, the
    resource-parsing code can just pick the subpixel order from the screen if
    needed.
    
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-connection.c | 19 +++++++++++++++++++
 src/cairo-xcb-private.h    |  4 +++-
 src/cairo-xcb-resources.c  | 33 +++++----------------------------
 src/cairo-xcb-screen.c     | 16 ++++++++++++++++
 4 files changed, 43 insertions(+), 29 deletions(-)

commit 226e135714bdb0c556a47cc77b19b550e0d78ff6
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Mon Dec 22 12:49:00 2014 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    font: Actually perform destruction of fonts
    
    Commit 337ab1f8d9e29086bfb4001508b28835b41c6390 introduced delayed
    font destruction to overcome a race, but prevented the correct cleanup
    of the font cache.
    
    This caused fonts to stay in the cache and caused a crash in the
    api-special-cases (when running the test suite with -f).
    
    Fixes api-special-cases,
    https://bugs.freedesktop.org/show_bug.cgi?id=87567

 src/cairo-font-face.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit aee44760a8b49ea8bc6017a1e7cc192aa9d3fff1
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Wed Dec 31 10:54:43 2014 +0000
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    xlib: Bump reference count for recording surface replays
    
    The snapshot takes a reference to the target recording surface in order
    to enable it for use by multiple treads. In order to balance this, the
    other two sources of recording surface must also take a reference and
    for us to release that reference after the replay.
    
    Otherwise, we end up with a memory leak:
    
    ==1== 1,392 bytes in 3 blocks are definitely lost in loss record 1 of 7
    ==1==    at 0x4A06BCF: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==1==    by 0x4C7042D: _cairo_recording_surface_snapshot (cairo/src/cairo-recording-surface.c:1427)
    ==1==    by 0x4C842BE: _cairo_surface_snapshot_copy_on_write (cairo/src/cairo-surface-snapshot.c:189)
    ==1==    by 0x4C7E7E0: _cairo_surface_detach_snapshot (cairo/src/cairo-surface.c:348)
    ==1==    by 0x4C7E55B: _cairo_surface_detach_snapshots (cairo/src/cairo-surface.c:333)
    ==1==    by 0x4C7E55B: _cairo_surface_flush (cairo/src/cairo-surface.c:1545)
    ==1==    by 0x4C7E6CC: _cairo_surface_finish_snapshots (cairo/src/cairo-surface.c:1017)
    ==1==    by 0x4C7E6CC: cairo_surface_destroy (cairo/src/cairo-surface.c:961)
    ==1==    by 0x4C625A7: cairo_pattern_destroy (cairo/src/cairo-pattern.c:1131)
    ==1==    by 0x4C3FAC6: _cairo_gstate_fini (cairo/src/cairo-gstate.c:225)
    ==1==    by 0x4C3C68C: _cairo_default_context_fini (cairo/src/cairo-default-context.c:75)
    ==1==    by 0x4C3C708: _cairo_default_context_destroy (cairo/src/cairo-default-context.c:93)
    ==1==    by 0x43E576: record_get (cairo/test/record-extend.c:158)
    ==1==    by 0x43E576: record_replay (cairo/test/record-extend.c:173)
    ==1==    by 0x40E22D: cairo_test_for_target (cairo/test/cairo-test.c:929)
    ==1==    by 0x40E22D: _cairo_test_context_run_for_target (cairo/test/cairo-test.c:1532)
    ==1==    by 0x40B6C0: _cairo_test_runner_draw (cairo/test/cairo-test-runner.c:255)
    ==1==    by 0x40B6C0: main (cairo/test/cairo-test-runner.c:937)
    
    Reported-by: Massimo Valentini <mvalentini@src.gnome.org>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=87898
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-xlib-source.c | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit a8010c41ec98d7887bfddf42b4ce962f808868b0
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Thu Nov 20 17:22:30 2014 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    test: Free test list
    
    When running the cairo-test-suite, valgrind reports each of the
    registered test as a leak, because they are _list_prepend()'ed, but
    the tests list is never _list_free()'d.
    
    Fixes the following valgrind error:
    
    malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    cairo_boilerplate_xmalloc (cairo-boilerplate-system.c:47)
    cairo_test_register (cairo-test-runner.c:131)
    _cairo_test_runner_register_tests (cairo-test-constructors.c:1112)
    main (cairo-test-runner.c:714)
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 test/cairo-test-runner.c | 1 +
 1 file changed, 1 insertion(+)

commit 671dc9fc244e5447a04dc60a4d99a5ba5afd71f6
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Thu Nov 20 17:22:31 2014 +0100
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    test: Release owned pattern
    
    The pattern created by cairo_pattern_create_rgb() is owned by the
    caller, hence it needs to be released.
    
    Fixes the following valgrind error:
    
    malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    _cairo_pattern_create_solid (cairo-pattern.c:605)
    _cairo_pattern_create_in_error (cairo-pattern.c:628)
    cairo_pop_group (cairo.c:552)
    test_cairo_push_group (api-special-cases.c:157)
    preamble (api-special-cases.c:1766)
    main (cairo-test-runner.c:228)
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 test/api-special-cases.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 0a4bae2b8c095378cc3521d322d3d4ad36eb8a61
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Dec 3 19:28:15 2014 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    image: Fix crash in _fill_xrgb32_lerp_opaque_spans
    
    If a span length is negative don't go out of bounds processing the fill
    data.
    
    Patch thanks to Ilya Sakhnenko <ilia.softway@gmail.com> on mailing list.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-image-compositor.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6f42cbd163add33afafbf8838a09c8150e46ae1e
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Nov 20 12:19:47 2014 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Refactor ARRAY_LENGTH macro definitions in test code

 boilerplate/cairo-boilerplate-pdf.c     | 2 --
 boilerplate/cairo-boilerplate-private.h | 2 +-
 boilerplate/cairo-boilerplate.h         | 4 ++++
 perf/cairo-perf.h                       | 4 ----
 test/any2ppm.c                          | 2 +-
 test/cairo-test.c                       | 4 ----
 test/cairo-test.h                       | 4 ----
 7 files changed, 6 insertions(+), 16 deletions(-)

commit 5ac87db3bad5e002df5bd49fc730c85199db5e64
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Nov 14 18:10:16 2014 -0800
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    test: Use ARRAY_LENGTH macro

 test/bug-spline.c       | 3 +--
 test/caps-tails-curve.c | 2 +-
 test/tiger.c            | 2 +-
 3 files changed, 3 insertions(+), 4 deletions(-)

commit 650d044dfdbb5ea5849d65b70f5761b8f47f75d6
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Thu Nov 20 10:16:06 2014 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    pdf-operators: fix bug with RTL text
    
    bug 86461

 src/cairo-pdf-operators.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit fe6b1db26c4f9e77b8625f3c2634b69897b7a5dc
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Tue Nov 11 15:07:57 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Fix one more warning from check-doc-syntax.sh
    
    $ ./check-doc-syntax.sh
    Checking documentation for incorrect syntax
    ./cairo-pattern.c (3342): ERROR: Will invalid doc id (should be 'cairo_...:')
    
    The proposed changes fixes the warning about the documentation style used in cairo.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 src/cairo-pattern.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bd2b4ab43ee1a88ec9e4063a4f4598e12b2742e7
Author:     Adam Jackson <ajax@redhat.com>
AuthorDate: Fri Oct 31 13:21:15 2014 -0400
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    xcb: Don't crash when swapping a 0-sized glyph
    
    malloc(0) needn't return NULL, and on glibc, doesn't.  Then we encounter
    a loop of the form do { ... } while (--c), which doesn't do quite what
    you were hoping for when c is initially 0.
    
    Since there's nothing to swap in this case, just bomb out.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

 src/cairo-xcb-surface-render.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 40f1da3b4228339f7d5c91ea43d4af1e06a4ae2a
Author:     Adam Jackson <ajax@redhat.com>
AuthorDate: Fri Oct 31 13:21:14 2014 -0400
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    xlib: Don't crash when swapping a 0-sized glyph
    
    malloc(0) needn't return NULL, and on glibc, doesn't.  Then we encounter
    a loop of the form do { ... } while (--c), which doesn't do quite what
    you were hoping for when c is initially 0.
    
    Since there's nothing to swap in this case, just bomb out.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

 src/cairo-xlib-render-compositor.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit ce08735c06515225f4de6cd9cd1d4858c2be034d
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Fri Oct 31 22:43:32 2014 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Improve performance of cpu_to_be32 and be32_to_cpu
    
    By switching to the more common form, gcc and clang emit a single
    bswap instruction and truetype subsetting of large fonts runs about
    15% faster.

 src/cairoint.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 956ef874c866faf5725a3d0600395422e58dcf6f
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Fri Oct 31 19:06:42 2014 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    pdf-operators: only wrap text strings for PS output
    
    since the PS Document Structing Conventions impose a 255 character
    line limit. PDF does not require wrapping.
    
    pdf-operators is designed to emit the same output for PS and PDF.
    Unfortunately some PDF interpreters don't like strings split with
    '\\\n' and some PS interpreters don't like strings split with ')('.
    So we are forced to make pdf-operators handling string wrapping
    differently for PDF and PS.
    
    Bug 85662

 src/cairo-pdf-operators-private.h       |  4 +++-
 src/cairo-pdf-operators.c               | 16 ++++++++++------
 src/cairo-pdf-surface.c                 |  9 ++++++---
 src/cairo-ps-surface.c                  |  9 ++++++---
 src/cairo-type3-glyph-surface-private.h |  3 ++-
 src/cairo-type3-glyph-surface.c         |  6 ++++--
 6 files changed, 31 insertions(+), 16 deletions(-)

commit 189a3e7f7c1795d1118a7a219bedfafd5126e8c3
Author:     Bryce Harrington <bryce@bryceharrington.org>
AuthorDate: Tue Oct 21 15:26:34 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Drop the target-specific huge-radial.pdf.*.ref.png images
    
    These two images are mis-rendered (clearly evident from visual
    inspection).  By removing them, the test will fall back to the more
    general format-specific images, huge-radial.argb32.ref.png and
    huge-radial.rgb24.ref.png.
    
    Note that the huge-radial.pdf tests still fail to pass, but the pdiff
    looks more sensible.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=66218
    
    Signed-off-by: Bryce Harrington <bryce@bryceharrington.org>

 test/reference/huge-radial.pdf.argb32.ref.png | Bin 177382 -> 0 bytes
 test/reference/huge-radial.pdf.rgb24.ref.png  | Bin 225358 -> 0 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 1a8b720efe4d01c458b7181af5fb9dcd659bbdd2
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Oct 29 15:27:19 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    RELEASING: Be explicit as to which tag is pushed

 RELEASING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 89d6c42a856f9059f69664dd12b6824460fc3ac8
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Mon Oct 27 10:54:13 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Fix warnings from check-doc-syntax.sh
    
    $ ./check-doc-syntax.sh
    Checking documentation for incorrect syntax
    ./cairo-pattern.c (3346): ERROR: Will bad line: ' */'
    ./cairo-pattern.c (3346): ERROR: Will documentation comment not closed with **/
    ./cairo-pattern.c (3422): ERROR: _cairo_pattern_sampled_area invalid doc id (should be 'cairo_...:')
    
    The warnings are about the documentation style used in cairo
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 src/cairo-pattern.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit abffca898318cbc1421e896ff504369ff0a35ac6
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Tue Oct 21 22:35:12 2014 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    build: fix regression on mingw
    
    7cfebce1 removed the filename extension for executables.
    
    Patch from http://sourceforge.net/p/inkscape/mailman/message/32939144/
    
    Bug 85120

 build/aclocal.float.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 65e561e45a8723d5965c8ee1022ec6ecbea0be79
Author:     Massimo Valentini <mvalentini@src.gnome.org>
AuthorDate: Sun Oct 19 09:19:10 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    tor-scan-converter: can't do_fullrow when intersection in row + 0.5subrow
    
    the active edges list must be left sorted at the next possible use
    and since full_row does not deal with intersections it is not usable
    when there is an intersection in the top half of the next row first
    subrow
    
    Reported-and-tested-by: Matthew Leach
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85151
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5957993663abafdd56b4ae978e2d241d7e9f155b
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Sat Oct 18 19:10:32 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Revert "Add execution bit for make-cairo-test-constructors.sh"
    
    This reverts commit 5c17bf1a33b8e76edeb23121342e0f163fe9d6ad.
    
    Script is sourced in the makefile, no need for +x.

 test/make-cairo-test-constructors.sh | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 17272b56b29e26bc662303b2faceedec116950cc
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Oct 19 12:08:55 2014 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    pdf: fix compiler warning

 src/cairo-pdf-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6559bfe9319d96c12d587f390ec571de6201cf1f
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Oct 19 11:34:34 2014 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    CFF: Fix unaligned access
    
    Debian bug 712836 reported bus errors in cff subsetting when
    running on a sparc. This is because unlike truetype, all data
    in the compact font format is not aligned.
    
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=712836

 src/cairo-cff-subset.c | 35 +++++++++++++++++++----------------
 src/cairo-image-info.c | 32 +++++++++++++-------------------
 src/cairoint.h         | 26 ++++++++++++++++++++++++++
 3 files changed, 58 insertions(+), 35 deletions(-)

commit 9d9b6ee7defd6830abe8886bc0fdc06a7c2c6658
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Oct 17 12:04:56 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Add execution bit for make-cairo-test-constructors.sh
    
    This is referenced in the Makefile but not set as executable

 test/make-cairo-test-constructors.sh | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 34dcd3ae9fdd6ee90f04ddcf7ba1fab49e4f3fbb
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Fri Oct 17 22:04:39 2014 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Update mime type documentation.

 src/cairo-surface.c | 28 +++++++++++++++++++++++++++-
 1 file changed, 27 insertions(+), 1 deletion(-)

commit 29c30b97b14ac705a2c0acf5b9141301bbb79bba
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Oct 16 11:41:40 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    RELEASING:  Update tags push command
    
    I couldn't get the documented command to do diddly.  Running
    `git push --tags` achieved what I think was intended.

 RELEASING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e087aca9bf29e8edc69f177c446bfa00910b1746
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Mon Oct 13 19:57:09 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Jun 24 18:27:05 2015 -0700

    Start 1.14.1 development

 cairo-version.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4d9cee1a506c74e052095758ce700ab05e9b38bb
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sat Jun 20 10:59:52 2015 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Jun 20 11:03:13 2015 +0200

    XCB: Don't attach uploaded surfaces as snapshots
    
    When you draw (part of) a surface to an XCB surface, the XCB backend will safe
    the uploaded part as a snapshot to the input surface. This allows to re-use this
    picture in case the same surface is later used again as a source.
    
    However, other backends do not do this and this has caused and/or highlighted
    numerous bugs. Just skipping the snapshot fixes or hides these bugs.
    
    Papers-over: https://bugs.freedesktop.org/show_bug.cgi?id=67505
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-render.c | 3 +++
 1 file changed, 3 insertions(+)

commit fe1b2b92075f1a5849900cdbfa4089b10946c689
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Fri Dec 5 14:43:26 2014 +0100
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Dec 6 10:29:53 2014 +0100

    tor-scan-converter: Correctly align 64bit types
    
    On 32bit SPARC the scan converter was causing a SIGBUS due to an unaligned
    memory access while accessing an int64_t. This memory accessing was to struct
    quorem's rem member.
    
    This crash occurred because the tor-scan-converter contains its own
    implementation of a memory pool. This implementation only guarantees an
    alignment of sizeof(void *), which is less than what a 64 bit type requires on
    32bit platforms. This 4 byte alignment is guaranteed, because struct _pool_chunk
    (which is the struct that is used for managing free space) contains elements of
    that size and so the size of that struct is a multiple of this size as well.
    
    This problem was introduced with commit 03c3d4b7c15.
    
    To fix this problem, this commit introduces a int64_t member to struct
    _pool_chunk that marks the beginning of the free data space. Thanks to this, the
    compiler ensures proper alignment and sizeof(struct _pool_chunk) becomes a
    multiple of 8.
    
    However, previously the end of the struct marked the beginning of the data and
    sizeof() was used for correctly calculating offsets to the data section. So,
    just adding such a member would work, but would also waste some memory. To avoid
    this, this commit also changes the rest of the pool implementation to
    accommodate.
    
    Reported-by: Nicolas Setton <setton@adacore.com>
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-tor-scan-converter.c | 38 +++++++++++++++++++++++---------------
 1 file changed, 23 insertions(+), 15 deletions(-)

commit b2333fd70c6b6f16eb52a0d8723cd7025caa1164
Author:     Hans Breuer <hans@breuer.org>
AuthorDate: Thu Oct 16 20:51:07 2014 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Wed Dec 3 16:38:02 2014 +0100

    win32: Fix compilation of 'cairo-path-stroke-traps.c' with MSVC8
    
    "The issue here is that Visual Studio 2005+ is quite strict on type
    conversions (so it wants code to be clear enough on conversions)."
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=84908
    (Cherry-pick of 56da7adc3c85be0325481ecd23746dc49e60d239 from master)

 src/cairo-path-stroke-traps.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit f6fd372a8b31a0bebbdfe36090d6ffc7bab9a2f8
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Mon Oct 13 18:54:12 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Oct 13 18:54:12 2014 -0700

    pattern: Restore dropped inclusion of cairoint.h
    
    Fixes failure in make release-check due by check-preprocessor-syntax.sh
    due to requirement that cairoint.h be the first include for source files.

 src/cairo-pattern.c | 2 ++
 1 file changed, 2 insertions(+)

commit 60ca80b248c2a5ffd0744162af7a1f1df1b04398
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Mon Oct 13 18:45:53 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Oct 13 18:45:53 2014 -0700

    1.14.0 release

 cairo-version.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3e41f7b38169f7724ed737790a5c0ad68ff80a04
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Mon Oct 13 18:30:23 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Oct 13 18:30:23 2014 -0700

    NEWS: Flesh out docs for new APIs

 NEWS                | 13 +++++++++++--
 src/cairo-surface.c |  2 +-
 2 files changed, 12 insertions(+), 3 deletions(-)

commit 41561c527c72d20f6f09f898f6390a578cfd4095
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Mon Oct 13 18:20:45 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Oct 13 18:20:45 2014 -0700

    NEWS: Update with latest changes and finalize for release

 NEWS | 24 +++++++++++++++++++-----
 1 file changed, 19 insertions(+), 5 deletions(-)

commit ab2a7b61d59258b71e1c3256edf2f42ea6cc1eb2
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Oct 12 21:04:37 2014 +1030
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Sun Oct 12 21:06:45 2014 +1030

    pdf: don't use '\' to split strings across multiple lines
    
    The PDF interpreter in my printer does not handle this correctly.
    So instead we add the string delimiters '(' and ')' to each line.

 src/cairo-pdf-operators.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 45934f69cd158b7bb5632f5e4334a156795147f4
Author:     Bill Spitzak <spitzak@gmail.com>
AuthorDate: Thu Oct 9 19:46:16 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 10 18:09:14 2014 -0700

    image: Corrected extents calculations
    
    New implementations of _cairo_pattern_sampled_area and _cairo_pattern_get_extents
    which produce a more accurate bounding box. These do not depend on side-effects
    of analyze_filter, can handle different horizontal and vertical scales, filters
    wider than 1 for down-scaling, and compute a somewhat tighter bounding box
    in most cases.
    
    I removed the pad output of _cairo_pattern_analyze_filter as it is unused.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-composite-rectangles.c |   2 +-
 src/cairo-pattern-private.h      |   5 +-
 src/cairo-pattern.c              | 275 ++++++++++++++++++++++++---------------
 src/cairo-xlib-core-compositor.c |   4 +-
 src/cairoint.h                   |   4 -
 src/drm/cairo-drm-i915-shader.c  |  39 +-----
 6 files changed, 176 insertions(+), 153 deletions(-)

commit 3cd7ed1f320c3ce330da3d3153c39b613e4a5a15
Author:     Bill Spitzak <spitzak@gmail.com>
AuthorDate: Thu Oct 9 19:46:15 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 10 18:09:09 2014 -0700

    xcb: Use image fallback for GOOD/BEST filters
    
    It will not use the fallback if the symbols in the previous patch
    are turned on.
    
    Also some code rearrangement to make this resemble the xlib version
    more and to remove some suspect bugs. In particular meshes should not
    work just because the translation is an integer.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xcb-surface-render.c | 34 ++++++++++++++++------------------
 1 file changed, 16 insertions(+), 18 deletions(-)

commit ca9aee4e62d914b3cd3d6747ff1a4961d9aff8ed
Author:     Bill Spitzak <spitzak@gmail.com>
AuthorDate: Thu Oct 9 19:46:14 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 10 18:09:05 2014 -0700

    xcb: Add switches for whether XRender supports GOOD/BEST filtering
    
    Currently these are always false, but if XRender use a pixman that
    supports filtering these could be turned on for that version.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xcb-connection.c | 10 ++++++++++
 src/cairo-xcb-private.h    |  6 +++++-
 2 files changed, 15 insertions(+), 1 deletion(-)

commit 58728da6eba4d89ba7c4328b22a552af633abb05
Author:     Bill Spitzak <spitzak@gmail.com>
AuthorDate: Thu Oct 9 19:46:13 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 10 18:09:01 2014 -0700

    xlib: Use image fallback for GOOD/BEST filters
    
    Fallback is not used if the symbols defined in the previous patch to
    indicate if XRender does GOOD/BEST are true.
    
    This patch also includes some changes to take advantage of the fact that
    if there is an integer translation analyze_filter will already have set
    the filter to NEAREST.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xlib-source.c | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

commit c653dcd3e6ac1cef2440fa0db97a8e5ce30b2a47
Author:     Bill Spitzak <spitzak@gmail.com>
AuthorDate: Thu Oct 9 19:46:12 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 10 18:08:56 2014 -0700

    xlib: Add symbols to indicate if XRender supports GOOD/BEST filtering
    
    Currently these are always false, but if some version of xlib uses
    a pixman supporting filtering they could be changed to return true
    for that version.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xlib-private.h | 2 ++
 1 file changed, 2 insertions(+)

commit c8b1bf55ad016de0675f4e924fdb8e17051a029c
Author:     Bill Spitzak <spitzak@gmail.com>
AuthorDate: Thu Oct 9 19:46:11 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 10 18:08:48 2014 -0700

    image: Move filter decision to _cairo_pattern_analyze_filter
    
    The analysis to deterimine if the GOOD filter can be replaced with
    the BILINEAR filter is moved to this function so it can be used
    by backends other than the image backend.
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-image-source.c | 22 +++++++++-------------
 src/cairo-pattern.c      | 36 +++++++++++++++++++++++++++++++++++-
 2 files changed, 44 insertions(+), 14 deletions(-)

commit 82cd66f8330da0521c29c003ef0a4bb773d6dbc6
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Oct 9 17:55:09 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Oct 9 18:28:53 2014 -0700

    test: Update pixman downscaling 95 reference images
    
    The pixman downscaling "95" tests attempt to rescale a 96x96 pixmap to
    95x95.  Ideally the borders between color areas should be sharp, but for
    this use case we allow for 1 pixel of blur between the areas as
    acceptable.  The choice of what color to use for this blurred region is
    not important, and in fact varies from backend to backend.
    
    The old reference images were generated by Krzysztof Kosiński's
    downscaling algorithm.  These new images are against the algorithms
    written by Bill Spitzak.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 .../pixman-downscale-best-95.image.rgb24.ref.png        | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.image16.rgb24.ref.png      | Bin 0 -> 648 bytes
 test/reference/pixman-downscale-best-95.pdf.ref.png     | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-best-95.ps2.ref.png     | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-best-95.ps3.ref.png     | Bin 0 -> 460 bytes
 .../pixman-downscale-best-95.recording.rgb24.ref.png    | Bin 0 -> 659 bytes
 test/reference/pixman-downscale-best-95.ref.png         | Bin 685 -> 771 bytes
 test/reference/pixman-downscale-best-95.script.ref.png  | Bin 0 -> 772 bytes
 test/reference/pixman-downscale-best-95.svg11.ref.png   | Bin 0 -> 474 bytes
 test/reference/pixman-downscale-best-95.svg12.ref.png   | Bin 0 -> 474 bytes
 .../pixman-downscale-best-95.test-base.rgb24.ref.png    | Bin 0 -> 659 bytes
 ...pixman-downscale-best-95.test-fallback.rgb24.ref.png | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.test-mask.rgb24.ref.png    | Bin 0 -> 659 bytes
 ...ixman-downscale-best-95.test-paginated.rgb24.ref.png | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.test-spans.rgb24.ref.png   | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.test-traps.rgb24.ref.png   | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.xcb-fallback.rgb24.ref.png | Bin 0 -> 659 bytes
 ...ixman-downscale-best-95.xcb-render-0_0.rgb24.ref.png | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.xcb-window&.rgb24.ref.png  | Bin 0 -> 474 bytes
 .../pixman-downscale-best-95.xcb-window.rgb24.ref.png   | Bin 0 -> 474 bytes
 test/reference/pixman-downscale-best-95.xcb.ref.png     | Bin 0 -> 474 bytes
 ...pixman-downscale-best-95.xlib-fallback.rgb24.ref.png | Bin 0 -> 659 bytes
 ...xman-downscale-best-95.xlib-render-0_0.rgb24.ref.png | Bin 0 -> 659 bytes
 .../pixman-downscale-best-95.xlib-window.rgb24.ref.png  | Bin 0 -> 474 bytes
 test/reference/pixman-downscale-best-95.xlib.ref.png    | Bin 0 -> 474 bytes
 .../pixman-downscale-bilinear-95.image16.rgb24.ref.png  | Bin 0 -> 481 bytes
 test/reference/pixman-downscale-bilinear-95.pdf.ref.png | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-bilinear-95.ps2.ref.png | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-bilinear-95.ps3.ref.png | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-bilinear-95.ref.png     | Bin 685 -> 474 bytes
 .../pixman-downscale-bilinear-95.script.ref.png         | Bin 0 -> 481 bytes
 .../pixman-downscale-fast-95.image16.rgb24.ref.png      | Bin 0 -> 304 bytes
 test/reference/pixman-downscale-fast-95.pdf.ref.png     | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-fast-95.ps2.ref.png     | Bin 0 -> 299 bytes
 test/reference/pixman-downscale-fast-95.ps3.ref.png     | Bin 0 -> 299 bytes
 test/reference/pixman-downscale-fast-95.svg11.ref.png   | Bin 0 -> 474 bytes
 test/reference/pixman-downscale-fast-95.svg12.ref.png   | Bin 0 -> 474 bytes
 .../pixman-downscale-good-95.image16.rgb24.ref.png      | Bin 0 -> 481 bytes
 test/reference/pixman-downscale-good-95.pdf.ref.png     | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-good-95.ps2.ref.png     | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-good-95.ps3.ref.png     | Bin 0 -> 460 bytes
 test/reference/pixman-downscale-good-95.ref.png         | Bin 685 -> 474 bytes
 test/reference/pixman-downscale-good-95.script.ref.png  | Bin 0 -> 481 bytes
 .../pixman-downscale-nearest-95.image16.rgb24.ref.png   | Bin 0 -> 304 bytes
 test/reference/pixman-downscale-nearest-95.pdf.ref.png  | Bin 0 -> 479 bytes
 test/reference/pixman-downscale-nearest-95.ps2.ref.png  | Bin 0 -> 299 bytes
 test/reference/pixman-downscale-nearest-95.ps3.ref.png  | Bin 0 -> 299 bytes
 .../reference/pixman-downscale-nearest-95.svg11.ref.png | Bin 0 -> 474 bytes
 .../reference/pixman-downscale-nearest-95.svg12.ref.png | Bin 0 -> 474 bytes
 49 files changed, 0 insertions(+), 0 deletions(-)

commit 79b5a35f8387845a2fe46215776082a8abc3caba
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Oct 9 17:47:10 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Oct 9 18:28:52 2014 -0700

    test: Add an update-refs.sh script to update reference images
    
    There are cases where the rendered output of a test can vary from
    backend to backend in ways which are visually acceptable.  This is why
    we have reference images in the first place.  In these cases, changes to
    the rendering logic can result in slight differences in the output that
    is also within acceptable visual limits.
    
    We see this in the pixman downscaling tests.  This script is introduced
    as a way to more easily update the reference images after a renderer
    change.
    
    This script is intended to be expanded to handle updating of references
    for other tests as we identify similar issues.  The intent is that this
    script then serves as a way to document these exceptional cases.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 test/update-refs.sh | 84 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 84 insertions(+)

commit 1570fa23e8043204bd30b122d55a036da15b16e5
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Oct 8 20:08:47 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Oct 9 13:51:49 2014 -0700

    test: Fix error message to specify the executable that was missing
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 test/check-refs.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a8abf3a48b588632e3f39028b0b978d73c362f46
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Thu Oct 9 10:43:15 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 9 10:57:17 2014 +0100

    test: Fix conflation of different device scales in index.html
    
    Currently testtable.js does not recognise the difference between running
    the same test with multiple scale factors and merges the results into
    one.

 test/testtable.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8047179bfca65cad36c61daf5f88c97cc971848b
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Thu Oct 9 10:54:58 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 9 10:56:28 2014 +0100

    test: Teach check-preprocessor-syntax.sh about -inlines.h

 src/check-preprocessor-syntax.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7c1db82a2e9dc04fd652d6e6bb6f4eb976922368
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Oct 3 12:34:06 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 3 12:34:06 2014 -0700

    Get make check back to a happy spot
    
    Fix header ordering for some recently added code so cairo internal
    headers are included first.  Quells two make check errors.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=84638

 src/cairo-gl-info.c      | 4 ++--
 src/cairo-line-private.h | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit f57c0fd4656ef4fdbe13dbc69aa1ce4e130c37ce
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Oct 3 12:20:13 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 3 12:20:13 2014 -0700

    Declare as private the new cairo_lines_compare_at_y symbol
    
    Fixes a make check error.
    
      Checking that .libs/libcairo.so has the same symbol list as cairo.def
      126a127
      > cairo_lines_compare_at_y
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=84638
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-line-private.h | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit d9ba8337ab456ae0e232d3c603cb41cea984ebea
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Fri Oct 3 11:52:32 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 3 11:55:59 2014 -0700

    quartz: Check for quartz surface type before conversion
    
    Fixes the following warning introduced in a recent commit reported by
    ~suv:
    
      CC       cairo-quartz-image-surface.lo
    cairo-quartz-image-surface.c:382:37: warning: incompatible pointer types
    passing 'cairo_quartz_image_surface_t *'
          (aka 'struct cairo_quartz_image_surface *') to parameter of type
           'const cairo_surface_t *' (aka 'const struct _cairo_surface *')
          [-Wincompatible-pointer-types]
        if (! _cairo_surface_is_quartz (surface)) {
                                        ^~~~~~~
    ./cairo-quartz-private.h:87:50: note: passing argument to parameter 'surface' here
    _cairo_surface_is_quartz (const cairo_surface_t *surface);
    
    References:  https://bugs.freedesktop.org/show_bug.cgi?id=84569
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-quartz-image-surface.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 03756e042a2916e6c5334e2a00ec503a38e172d4
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Fri Oct 3 09:56:24 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 3 11:38:48 2014 -0700

    quartz-image: Fix build
    
    The quartz-image backend uses _cairo_surface_is_quartz(), which
    therefore needs to be made available to it. Fixed as suggested by
    Bryce in the referenced bugreport.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84569
    Signed-off-by: Andrea Canciani <ranma42@gmail.com>

 src/cairo-quartz-private.h | 3 +++
 src/cairo-quartz-surface.c | 5 +----
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 531da6fb915a6e9ea33216a90196ae962876acf4
Author:     Andrea Canciani <ranma42@gmail.com>
AuthorDate: Thu Oct 2 18:10:00 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Oct 3 11:38:44 2014 -0700

    quartz: Fix build
    
    Cairo cannot build with Quartz enabled since
    573ddfc3d5c08c37b95a21e0a1b34acecc646053, because of a double
    definition of _cairo_surface_is_quartz().
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84569
    Signed-off-by: Andrea Canciani <ranma42@gmail.com>

 src/cairo-quartz-surface.c | 22 ++++++++--------------
 1 file changed, 8 insertions(+), 14 deletions(-)

commit 14df211b9c12719f67412aedd6610eb623df7d7e
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Thu Oct 2 13:08:50 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 2 13:08:50 2014 +0100

    test: Add whole flipped replays
    
    When investing the symmetry of the raterisation, we want to have a
    simple replay of all of the original geometry through a the flipped
    recording surface. This reduces the worry about artifacts from the
    clipped rendering.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/recordflip.c                                  | 188 +++++++++++++++++++++
 test/reference/recordflip-whole-fill-alpha.ref.png | Bin 0 -> 2803 bytes
 .../recordflip-whole-paint-alpha-clip-mask.ref.png | Bin 0 -> 351 bytes
 .../recordflip-whole-paint-alpha-clip.ref.png      | Bin 0 -> 316 bytes
 ...recordflip-whole-paint-alpha-solid-clip.ref.png | Bin 0 -> 291 bytes
 .../reference/recordflip-whole-paint-alpha.ref.png | Bin 0 -> 257 bytes
 test/reference/recordflip-whole-paint.ref.png      | Bin 0 -> 93 bytes
 .../recordflip-whole-select-font-face.ref.png      | Bin 0 -> 2240 bytes
 .../recordflip-whole-self-intersecting.ref.png     | Bin 0 -> 168 bytes
 .../recordflip-whole-text-transform.ref.png        | Bin 0 -> 5609 bytes
 10 files changed, 188 insertions(+)

commit 7f7ed4c04e49b64c15d60889a8cdc4075efd8236
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Thu Oct 2 09:16:04 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 2 09:16:04 2014 +0100

    image: Eliminate self-intersections for the pixman traps compositor
    
    As pixman uses an accumulation mask, it oversamples neighbouring edges
    within a cell. We can reduce the impact of this by eliminating
    overlapping triangles/trapezoids from being passed into pixman.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-image-compositor.c | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

commit 7aacd81befc5ad1aec26bcf7e65fa5bd36c6a9b4
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Thu Oct 2 08:17:14 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 2 08:46:44 2014 +0100

    test: Refresh reference images for tor rendering changes
    
    (And include a git add missed from commit
    
    ccd48b346436a80629e4f9a07f2ba7ffbfd802f1
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Tue Sep 30 14:06:21 2014 +0100
    
        test: Remove more duplicated reference images
    
    but were mostly invalidated by the rasteriser changes anyway).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/a8-clear.ref.png                     | Bin 0 -> 267 bytes
 test/reference/aliasing.ref.png                     | Bin 0 -> 103877 bytes
 test/reference/arc-direction.ref.png                | Bin 0 -> 6073 bytes
 test/reference/big-line.ref.png                     | Bin 0 -> 999 bytes
 test/reference/big-little-triangle.argb32.ref.png   | Bin 409 -> 399 bytes
 test/reference/big-little-triangle.rgb24.ref.png    | Bin 331 -> 320 bytes
 test/reference/bilevel-xlib.ref.png                 | Bin 0 -> 105 bytes
 test/reference/bug-40410.ref.png                    | Bin 0 -> 429 bytes
 test/reference/bug-84115.ref.png                    | Bin 64233 -> 62964 bytes
 test/reference/bug-bo-ricotz.ref.png                | Bin 0 -> 2128 bytes
 test/reference/bug-extents.ref.png                  | Bin 0 -> 9211 bytes
 test/reference/bug-seams.ref.png                    | Bin 1364 -> 1638 bytes
 test/reference/bug-spline.ref.png                   | Bin 0 -> 5405 bytes
 test/reference/caps-joins-alpha.ref.png             | Bin 0 -> 2420 bytes
 test/reference/caps-joins-curve.ref.png             | Bin 0 -> 5681 bytes
 test/reference/caps-joins.ref.png                   | Bin 0 -> 2560 bytes
 test/reference/caps-sub-paths.ref.png               | Bin 0 -> 168 bytes
 test/reference/caps-tails-curve.ref.png             | Bin 0 -> 53182 bytes
 test/reference/caps.ref.png                         | Bin 0 -> 2115 bytes
 test/reference/clear-source.ref.png                 | Bin 0 -> 882 bytes
 test/reference/clear.argb32.ref.png                 | Bin 692 -> 701 bytes
 test/reference/clear.rgb24.ref.png                  | Bin 621 -> 624 bytes
 test/reference/clip-disjoint-hatching.ref.png       | Bin 0 -> 7918 bytes
 test/reference/clip-disjoint-quad.ref.png           | Bin 0 -> 1642 bytes
 test/reference/clip-disjoint.ref.png                | Bin 0 -> 5348 bytes
 .../reference/clip-fill-eo-unbounded.argb32.ref.png | Bin 0 -> 4053 bytes
 test/reference/clip-fill-eo-unbounded.ref.png       | Bin 4076 -> 0 bytes
 test/reference/clip-fill-eo-unbounded.rgb24.ref.png | Bin 0 -> 3408 bytes
 .../reference/clip-fill-nz-unbounded.argb32.ref.png | Bin 0 -> 4053 bytes
 test/reference/clip-fill-nz-unbounded.ref.png       | Bin 4076 -> 0 bytes
 test/reference/clip-fill-nz-unbounded.rgb24.ref.png | Bin 0 -> 3408 bytes
 test/reference/clip-fill-rule.argb32.ref.png        | Bin 437 -> 430 bytes
 test/reference/clip-fill-rule.rgb24.ref.png         | Bin 388 -> 376 bytes
 test/reference/clip-fill.ref.png                    | Bin 0 -> 1046 bytes
 test/reference/clip-group-shapes-circles.ref.png    | Bin 0 -> 1504 bytes
 test/reference/clip-image.ref.png                   | Bin 0 -> 2677 bytes
 test/reference/clip-intersect.ref.png               | Bin 0 -> 224 bytes
 test/reference/clip-mixed-antialias.ref.png         | Bin 0 -> 1084 bytes
 test/reference/clip-nesting.argb32.ref.png          | Bin 0 -> 1026 bytes
 test/reference/clip-nesting.ref.png                 | Bin 1094 -> 0 bytes
 test/reference/clip-nesting.rgb24.ref.png           | Bin 0 -> 917 bytes
 test/reference/clip-operator.argb32.ref.png         | Bin 8685 -> 8514 bytes
 test/reference/clip-operator.rgb24.ref.png          | Bin 3458 -> 3417 bytes
 test/reference/clip-polygons.ref.png                | Bin 0 -> 1352 bytes
 test/reference/clip-push-group.ref.png              | Bin 0 -> 164 bytes
 test/reference/clip-shape.ref.png                   | Bin 0 -> 2902 bytes
 test/reference/clip-stroke-unbounded.argb32.ref.png | Bin 0 -> 4097 bytes
 test/reference/clip-stroke-unbounded.ref.png        | Bin 4104 -> 0 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png  | Bin 0 -> 3486 bytes
 test/reference/clip-stroke.ref.png                  | Bin 0 -> 1571 bytes
 test/reference/clip-text.ref.png                    | Bin 0 -> 912 bytes
 test/reference/clip-twice.argb32.ref.png            | Bin 0 -> 1333 bytes
 test/reference/clip-twice.ref.png                   | Bin 1357 -> 0 bytes
 test/reference/clip-twice.rgb24.ref.png             | Bin 0 -> 1171 bytes
 test/reference/clip-xlib.ref.png                    | Bin 0 -> 2686 bytes
 test/reference/clipped-group.ref.png                | Bin 0 -> 315 bytes
 test/reference/close-path.ref.png                   | Bin 0 -> 294 bytes
 test/reference/copy-path.ref.png                    | Bin 0 -> 616 bytes
 test/reference/coverage-column-triangles.xfail.png  | Bin 0 -> 7632 bytes
 .../coverage-intersecting-triangles.xfail.png       | Bin 0 -> 14444 bytes
 test/reference/coverage-rhombus.xfail.png           | Bin 0 -> 9898 bytes
 test/reference/coverage-row-triangles.xfail.png     | Bin 0 -> 512 bytes
 test/reference/coverage-triangles.xfail.png         | Bin 0 -> 14283 bytes
 test/reference/create-from-png.ref.png              | Bin 0 -> 96 bytes
 test/reference/culled-glyphs.ref.png                | Bin 0 -> 440 bytes
 test/reference/dash-caps-joins.ref.png              | Bin 5089 -> 4713 bytes
 test/reference/dash-curve.ref.png                   | Bin 0 -> 41069 bytes
 test/reference/dash-infinite-loop.ref.png           | Bin 0 -> 877 bytes
 test/reference/dash-offset-negative.ref.png         | Bin 0 -> 129 bytes
 test/reference/dash-scale.ref.png                   | Bin 8831 -> 7826 bytes
 test/reference/dash-state.ref.png                   | Bin 0 -> 8027 bytes
 test/reference/degenerate-arc.ref.png               | Bin 0 -> 626 bytes
 test/reference/degenerate-dash.ref.png              | Bin 0 -> 1960 bytes
 test/reference/degenerate-linear-gradient.ref.png   | Bin 0 -> 336 bytes
 test/reference/degenerate-pen.ref.png               | Bin 0 -> 1019 bytes
 test/reference/drunkard-tails.ref.png               | Bin 6261 -> 6157 bytes
 test/reference/extend-pad-border.ref.png            | Bin 0 -> 495 bytes
 .../extended-blend-alpha-mask.argb32.ref.png        | Bin 0 -> 9221 bytes
 test/reference/extended-blend-alpha-mask.ref.png    | Bin 9221 -> 0 bytes
 .../extended-blend-alpha-mask.rgb24.ref.png         | Bin 0 -> 4597 bytes
 test/reference/extended-blend-alpha.argb32.ref.png  | Bin 0 -> 9406 bytes
 test/reference/extended-blend-alpha.ref.png         | Bin 9406 -> 0 bytes
 test/reference/extended-blend-alpha.rgb24.ref.png   | Bin 0 -> 5740 bytes
 test/reference/extended-blend-mask.argb32.ref.png   | Bin 0 -> 3959 bytes
 test/reference/extended-blend-mask.ref.png          | Bin 3971 -> 0 bytes
 test/reference/extended-blend-mask.rgb24.ref.png    | Bin 0 -> 3634 bytes
 .../extended-blend-solid-alpha.argb32.ref.png       | Bin 0 -> 9406 bytes
 test/reference/extended-blend-solid-alpha.ref.png   | Bin 9406 -> 0 bytes
 .../extended-blend-solid-alpha.rgb24.ref.png        | Bin 0 -> 5740 bytes
 test/reference/extended-blend-solid.argb32.ref.png  | Bin 0 -> 4072 bytes
 test/reference/extended-blend-solid.ref.png         | Bin 4063 -> 0 bytes
 test/reference/extended-blend-solid.rgb24.ref.png   | Bin 0 -> 3784 bytes
 test/reference/extended-blend.argb32.ref.png        | Bin 0 -> 4072 bytes
 test/reference/extended-blend.ref.png               | Bin 4063 -> 0 bytes
 test/reference/extended-blend.rgb24.ref.png         | Bin 0 -> 3784 bytes
 test/reference/fallback.argb32.ref.png              | Bin 0 -> 4133 bytes
 test/reference/fallback.ref.png                     | Bin 4106 -> 0 bytes
 test/reference/fallback.rgb24.ref.png               | Bin 0 -> 3283 bytes
 test/reference/fill-alpha-pattern.ref.png           | Bin 0 -> 3500 bytes
 test/reference/fill-alpha.ref.png                   | Bin 0 -> 2754 bytes
 test/reference/fill-and-stroke-alpha-add.ref.png    | Bin 0 -> 558 bytes
 test/reference/fill-and-stroke-alpha.ref.png        | Bin 0 -> 513 bytes
 .../fill-degenerate-sort-order.argb32.ref.png       | Bin 0 -> 2390 bytes
 test/reference/fill-degenerate-sort-order.ref.png   | Bin 2414 -> 0 bytes
 .../fill-degenerate-sort-order.rgb24.ref.png        | Bin 0 -> 2048 bytes
 test/reference/fill-image.ref.png                   | Bin 0 -> 1457 bytes
 test/reference/fill-rule.argb32.ref.png             | Bin 2086 -> 2076 bytes
 test/reference/fill-rule.rgb24.ref.png              | Bin 1797 -> 1763 bytes
 test/reference/fill-xlib.ref.png                    | Bin 0 -> 1458 bytes
 test/reference/filter-bilinear-extents.ref.png      | Bin 0 -> 1210 bytes
 test/reference/font-matrix-translation.ref.png      | Bin 0 -> 865 bytes
 test/reference/ft-show-glyphs-positioning.ref.png   | Bin 0 -> 3243 bytes
 test/reference/ft-show-glyphs-table.ref.png         | Bin 0 -> 9975 bytes
 .../reference/ft-text-vertical-layout-type1.ref.png | Bin 0 -> 3052 bytes
 .../reference/ft-text-vertical-layout-type3.ref.png | Bin 0 -> 3609 bytes
 test/reference/glyph-cache-pressure.ref.png         | Bin 0 -> 2858 bytes
 test/reference/group-unaligned.ref.png              | Bin 0 -> 475 bytes
 test/reference/halo-transform.ref.png               | Bin 0 -> 15265 bytes
 test/reference/halo.ref.png                         | Bin 0 -> 8631 bytes
 test/reference/hatchings.ref.png                    | Bin 0 -> 90698 bytes
 test/reference/horizontal-clip.ref.png              | Bin 0 -> 113 bytes
 test/reference/huge-linear.ref.png                  | Bin 0 -> 1636 bytes
 test/reference/infinite-join.ref.png                | Bin 0 -> 164 bytes
 test/reference/inverse-text.ref.png                 | Bin 0 -> 2162 bytes
 test/reference/inverted-clip.argb32.ref.png         | Bin 0 -> 1390 bytes
 test/reference/inverted-clip.rgb24.ref.png          | Bin 1323 -> 1274 bytes
 test/reference/joins-loop.ref.png                   | Bin 0 -> 4333 bytes
 test/reference/joins-retrace.ref.png                | Bin 4900 -> 4687 bytes
 test/reference/joins-star.ref.png                   | Bin 0 -> 4015 bytes
 test/reference/large-twin-antialias-mixed.ref.png   | Bin 0 -> 16494 bytes
 test/reference/leaky-dashed-stroke.ref.png          | Bin 0 -> 9286 bytes
 test/reference/leaky-polygon.ref.png                | Bin 0 -> 337 bytes
 .../line-width-large-overlap-rotated.ref.png        | Bin 0 -> 415 bytes
 test/reference/line-width-overlap-rotated.ref.png   | Bin 0 -> 688 bytes
 test/reference/line-width-scale.ref.png             | Bin 0 -> 5721 bytes
 test/reference/line-width-tolerance.ref.png         | Bin 0 -> 168 bytes
 test/reference/line-width.ref.png                   | Bin 0 -> 178 bytes
 test/reference/linear-gradient-reflect.ref.png      | Bin 0 -> 185 bytes
 test/reference/linear-gradient-subset.ref.png       | Bin 0 -> 813 bytes
 test/reference/linear-gradient.ref.png              | Bin 0 -> 959 bytes
 test/reference/long-dashed-lines.ref.png            | Bin 0 -> 2548 bytes
 test/reference/map-all-to-xlib.ref.png              | Bin 0 -> 86 bytes
 test/reference/map-bit-to-xlib.ref.png              | Bin 0 -> 103 bytes
 test/reference/mask-alpha.argb32.ref.png            | Bin 0 -> 629 bytes
 test/reference/mask-alpha.ref.png                   | Bin 642 -> 0 bytes
 test/reference/mask-alpha.rgb24.ref.png             | Bin 0 -> 595 bytes
 test/reference/mask-transformed-image.ref.png       | Bin 0 -> 3812 bytes
 test/reference/mask-transformed-similar.ref.png     | Bin 0 -> 3812 bytes
 test/reference/mask-transformed-xlib.ref.png        | Bin 0 -> 3809 bytes
 test/reference/mask.argb32.ref.png                  | Bin 8681 -> 8530 bytes
 test/reference/mask.rgb24.ref.png                   | Bin 7215 -> 7160 bytes
 test/reference/miter-precision.ref.png              | Bin 0 -> 824 bytes
 test/reference/operator-clear.argb32.ref.png        | Bin 1067 -> 1061 bytes
 test/reference/operator-clear.rgb24.ref.png         | Bin 940 -> 939 bytes
 test/reference/operator-source.argb32.ref.png       | Bin 5626 -> 5620 bytes
 test/reference/operator-source.rgb24.ref.png        | Bin 4026 -> 4006 bytes
 test/reference/over-above-source.argb32.ref.png     | Bin 557 -> 533 bytes
 test/reference/over-above-source.rgb24.ref.png      | Bin 459 -> 452 bytes
 test/reference/over-around-source.argb32.ref.png    | Bin 633 -> 604 bytes
 test/reference/over-around-source.rgb24.ref.png     | Bin 504 -> 489 bytes
 test/reference/over-below-source.argb32.ref.png     | Bin 447 -> 440 bytes
 test/reference/over-below-source.rgb24.ref.png      | Bin 389 -> 376 bytes
 test/reference/over-between-source.argb32.ref.png   | Bin 607 -> 572 bytes
 test/reference/over-between-source.rgb24.ref.png    | Bin 482 -> 457 bytes
 test/reference/overlapping-dash-caps.ref.png        | Bin 0 -> 3952 bytes
 test/reference/paint-with-alpha-clip-mask.ref.png   | Bin 0 -> 335 bytes
 test/reference/partial-clip-text-bottom.ref.png     | Bin 0 -> 261 bytes
 test/reference/partial-clip-text-left.ref.png       | Bin 0 -> 301 bytes
 test/reference/partial-clip-text-right.ref.png      | Bin 0 -> 155 bytes
 test/reference/partial-clip-text-top.ref.png        | Bin 0 -> 181 bytes
 test/reference/path-append.ref.png                  | Bin 0 -> 6338 bytes
 test/reference/path-stroke-twice.ref.png            | Bin 0 -> 240 bytes
 test/reference/pthread-show-text.ref.png            | Bin 0 -> 30199 bytes
 test/reference/push-group-color.ref.png             | Bin 0 -> 3002 bytes
 test/reference/push-group.argb32.ref.png            | Bin 3116 -> 3123 bytes
 test/reference/push-group.rgb24.ref.png             | Bin 2929 -> 2951 bytes
 test/reference/random-clip.ref.png                  | Bin 0 -> 525010 bytes
 .../random-intersections-curves-eo.ref.png          | Bin 0 -> 244632 bytes
 .../random-intersections-curves-nz.ref.png          | Bin 0 -> 264413 bytes
 test/reference/random-intersections-eo.ref.png      | Bin 0 -> 135555 bytes
 test/reference/random-intersections-nonzero.ref.png | Bin 0 -> 141737 bytes
 test/reference/record-fill-alpha.ref.png            | Bin 0 -> 2754 bytes
 test/reference/record-paint-alpha-clip-mask.ref.png | Bin 0 -> 335 bytes
 test/reference/record-paint-alpha-clip.ref.png      | Bin 0 -> 290 bytes
 test/reference/record-select-font-face.ref.png      | Bin 0 -> 2250 bytes
 test/reference/record-text-transform.ref.png        | Bin 5281 -> 5579 bytes
 test/reference/record1414x-fill-alpha.ref.png       | Bin 0 -> 4124 bytes
 .../record1414x-paint-alpha-clip-mask.ref.png       | Bin 0 -> 460 bytes
 test/reference/record1414x-paint-alpha-clip.ref.png | Bin 0 -> 378 bytes
 .../record1414x-paint-alpha-solid-clip.ref.png      | Bin 0 -> 317 bytes
 test/reference/record1414x-paint-alpha.ref.png      | Bin 0 -> 265 bytes
 test/reference/record1414x-paint.ref.png            | Bin 0 -> 95 bytes
 test/reference/record1414x-select-font-face.ref.png | Bin 0 -> 3177 bytes
 .../reference/record1414x-self-intersecting.ref.png | Bin 0 -> 385 bytes
 test/reference/record1414x-text-transform.ref.png   | Bin 8365 -> 8713 bytes
 test/reference/record2x-fill-alpha.ref.png          | Bin 0 -> 5756 bytes
 .../record2x-paint-alpha-clip-mask.ref.png          | Bin 0 -> 483 bytes
 test/reference/record2x-paint-alpha-clip.ref.png    | Bin 0 -> 322 bytes
 .../record2x-paint-alpha-solid-clip.ref.png         | Bin 0 -> 281 bytes
 test/reference/record2x-paint-alpha.ref.png         | Bin 0 -> 291 bytes
 test/reference/record2x-paint.ref.png               | Bin 0 -> 98 bytes
 test/reference/record2x-select-font-face.ref.png    | Bin 0 -> 4407 bytes
 test/reference/record2x-self-intersecting.ref.png   | Bin 0 -> 171 bytes
 test/reference/record2x-text-transform.ref.png      | Bin 13072 -> 13476 bytes
 test/reference/record90-fill-alpha.ref.png          | Bin 0 -> 2656 bytes
 .../record90-paint-alpha-clip-mask.ref.png          | Bin 0 -> 317 bytes
 test/reference/record90-paint-alpha-clip.ref.png    | Bin 0 -> 306 bytes
 .../record90-paint-alpha-solid-clip.ref.png         | Bin 0 -> 293 bytes
 test/reference/record90-paint-alpha.ref.png         | Bin 0 -> 105 bytes
 test/reference/record90-paint.ref.png               | Bin 0 -> 93 bytes
 test/reference/record90-select-font-face.ref.png    | Bin 0 -> 2272 bytes
 test/reference/record90-self-intersecting.ref.png   | Bin 244 -> 240 bytes
 test/reference/record90-text-transform.ref.png      | Bin 5481 -> 5811 bytes
 test/reference/recordflip-fill-alpha.ref.png        | Bin 2864 -> 2803 bytes
 .../recordflip-paint-alpha-clip-mask.ref.png        | Bin 372 -> 351 bytes
 .../recording-surface-extend-none.argb32.ref.png    | Bin 0 -> 3670 bytes
 .../reference/recording-surface-extend-none.ref.png | Bin 3153 -> 0 bytes
 .../recording-surface-extend-none.rgb24.ref.png     | Bin 0 -> 3741 bytes
 .../recording-surface-extend-pad.argb32.ref.png     | Bin 0 -> 12932 bytes
 test/reference/recording-surface-extend-pad.ref.png | Bin 11200 -> 0 bytes
 .../recording-surface-extend-pad.rgb24.ref.png      | Bin 0 -> 13581 bytes
 .../recording-surface-extend-reflect.argb32.ref.png | Bin 0 -> 28910 bytes
 .../recording-surface-extend-reflect.ref.png        | Bin 23967 -> 0 bytes
 .../recording-surface-extend-reflect.rgb24.ref.png  | Bin 0 -> 25588 bytes
 .../recording-surface-extend-repeat.argb32.ref.png  | Bin 0 -> 29648 bytes
 .../recording-surface-extend-repeat.ref.png         | Bin 24091 -> 0 bytes
 .../recording-surface-extend-repeat.rgb24.ref.png   | Bin 0 -> 25337 bytes
 .../reference/recording-surface-over.argb32.ref.png | Bin 0 -> 3670 bytes
 test/reference/recording-surface-over.ref.png       | Bin 3153 -> 0 bytes
 test/reference/recording-surface-over.rgb24.ref.png | Bin 0 -> 3741 bytes
 .../recording-surface-source.argb32.ref.png         | Bin 0 -> 3688 bytes
 test/reference/recording-surface-source.ref.png     | Bin 3153 -> 0 bytes
 .../recording-surface-source.rgb24.ref.png          | Bin 0 -> 3738 bytes
 test/reference/rectilinear-miter-limit.ref.png      | Bin 0 -> 145 bytes
 .../rotate-clip-image-surface-paint.ref.png         | Bin 0 -> 332 bytes
 test/reference/rotated-clip.ref.png                 | Bin 0 -> 3834 bytes
 test/reference/rounded-rectangle-fill.ref.png       | Bin 0 -> 872 bytes
 test/reference/rounded-rectangle-stroke.ref.png     | Bin 833 -> 872 bytes
 test/reference/scale-offset-image.ref.png           | Bin 0 -> 9748 bytes
 test/reference/scale-offset-similar.ref.png         | Bin 0 -> 9779 bytes
 test/reference/scale-offset-xlib.ref.png            | Bin 0 -> 9120 bytes
 test/reference/select-font-face.ref.png             | Bin 0 -> 2250 bytes
 test/reference/self-copy.ref.png                    | Bin 0 -> 257 bytes
 test/reference/shape-general-convex.ref.png         | Bin 0 -> 2539 bytes
 test/reference/shape-sierpinski.ref.png             | Bin 0 -> 54850 bytes
 test/reference/show-glyphs-advance.ref.png          | Bin 0 -> 1394 bytes
 test/reference/show-text-current-point.ref.png      | Bin 0 -> 2151 bytes
 test/reference/simple-edge.xfail.png                | Bin 0 -> 2124 bytes
 test/reference/skew-extreme.ref.png                 | Bin 0 -> 944 bytes
 test/reference/smask-fill.ref.png                   | Bin 0 -> 1185 bytes
 test/reference/smask-image-mask.ref.png             | Bin 0 -> 619 bytes
 test/reference/smask-mask.ref.png                   | Bin 0 -> 2353 bytes
 test/reference/smask-paint.ref.png                  | Bin 0 -> 2469 bytes
 test/reference/smask-stroke.ref.png                 | Bin 0 -> 1701 bytes
 test/reference/smask-text.ref.png                   | Bin 0 -> 1661 bytes
 test/reference/smask.ref.png                        | Bin 0 -> 3422 bytes
 test/reference/spline-decomposition.ref.png         | Bin 0 -> 19578 bytes
 test/reference/stride-12-xlib.ref.png               | Bin 0 -> 81121 bytes
 test/reference/stroke-clipped.ref.png               | Bin 0 -> 5845 bytes
 test/reference/stroke-image.ref.png                 | Bin 0 -> 1455 bytes
 test/reference/stroke-pattern.ref.png               | Bin 0 -> 1514 bytes
 test/reference/stroke-xlib.ref.png                  | Bin 0 -> 1467 bytes
 test/reference/subsurface-scale.ref.png             | Bin 0 -> 5921 bytes
 test/reference/subsurface.ref.png                   | Bin 0 -> 1811 bytes
 .../surface-pattern-operator.argb32.ref.png         | Bin 5107 -> 5087 bytes
 .../surface-pattern-operator.rgb24.ref.png          | Bin 1926 -> 1919 bytes
 test/reference/surface-pattern-scale-down.ref.png   | Bin 0 -> 1326 bytes
 test/reference/surface-pattern-scale-up.ref.png     | Bin 0 -> 4020 bytes
 test/reference/surface-pattern.ref.png              | Bin 0 -> 11088 bytes
 test/reference/text-antialias-gray.ref.png          | Bin 0 -> 966 bytes
 test/reference/text-antialias-subpixel-bgr.ref.png  | Bin 0 -> 1124 bytes
 test/reference/text-antialias-subpixel-rgb.ref.png  | Bin 0 -> 1109 bytes
 test/reference/text-antialias-subpixel-vbgr.ref.png | Bin 0 -> 1205 bytes
 test/reference/text-antialias-subpixel-vrgb.ref.png | Bin 0 -> 1180 bytes
 test/reference/text-antialias-subpixel.ref.png      | Bin 0 -> 1109 bytes
 test/reference/text-glyph-range.ref.png             | Bin 0 -> 1928 bytes
 test/reference/text-rotate.ref.png                  | Bin 0 -> 16356 bytes
 test/reference/tiger.ref.png                        | Bin 0 -> 94477 bytes
 test/reference/tighten-bounds.argb32.ref.png        | Bin 0 -> 8997 bytes
 test/reference/tighten-bounds.ref.png               | Bin 9443 -> 0 bytes
 test/reference/tighten-bounds.rgb24.ref.png         | Bin 0 -> 8450 bytes
 test/reference/transforms.ref.png                   | Bin 0 -> 348 bytes
 test/reference/trap-clip.argb32.ref.png             | Bin 5972 -> 5822 bytes
 test/reference/trap-clip.rgb24.ref.png              | Bin 5462 -> 5422 bytes
 test/reference/twin-antialias-gray.ref.png          | Bin 0 -> 3536 bytes
 test/reference/twin-antialias-mixed.ref.png         | Bin 0 -> 2392 bytes
 test/reference/twin-antialias-none.ref.png          | Bin 0 -> 688 bytes
 test/reference/twin-antialias-subpixel.ref.png      | Bin 0 -> 3536 bytes
 test/reference/twin.ref.png                         | Bin 0 -> 3536 bytes
 test/reference/unbounded-operator.argb32.ref.png    | Bin 2755 -> 2744 bytes
 test/reference/unbounded-operator.rgb24.ref.png     | Bin 1328 -> 1303 bytes
 test/reference/user-font-proxy.ref.png              | Bin 0 -> 16981 bytes
 test/reference/user-font-rescale.ref.png            | Bin 0 -> 14883 bytes
 test/reference/user-font.ref.png                    | Bin 0 -> 5875 bytes
 test/reference/world-map-fill.ref.png               | Bin 0 -> 57407 bytes
 test/reference/world-map-stroke.ref.png             | Bin 0 -> 65152 bytes
 test/reference/world-map.ref.png                    | Bin 0 -> 70463 bytes
 297 files changed, 0 insertions(+), 0 deletions(-)

commit 950f1e7103a3b4f3405fbb3ee2844ed24b902834
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Thu Oct 2 07:52:05 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 2 08:46:44 2014 +0100

    tor: Enable analytic processing for starting rows
    
    If all the edges start at the very beginning of the whole row, we can
    merge them and include check for intersections/endings during the row.
    This allows us to enable fast analytic processing for even the very
    first row on pixel aligned vertices.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c | 27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

commit 1a32ce83e4c1f3ca22a3f137b0126003a0e3d6e7
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Wed Oct 1 12:59:29 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 2 08:46:44 2014 +0100

    tor: Perform analytic coverage over the pixel not sample points
    
    We use two different methods within tor to compute the coverage.
    The first is that we iterate over every sample point within the pixel
    and see if it is covered. The second is that we look at a whole pixel
    and analytically compute the coverage inside (if we have no
    intersections within that row).
    
    One side effect of
    
    commit 03c3d4b7c159a3004071522bac2461e553fec211
    Author: Chris Wilson <chris@chris-wilson.co.uk>
    Date:   Tue Sep 30 08:44:43 2014 +0100
    
        tor: Fix loss of precision from projection onto sample grid
    
    was to compute our X coordinates for the sample locations (offset by
    half a subrow) and that in order to compute the analytical pixel
    coverage correctly, we therefore need to backstep by half the subrow to
    the pixel boundary.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c | 67 ++++++++++++++++++++++++++++++------------
 1 file changed, 49 insertions(+), 18 deletions(-)

commit 79c8b14b9fd8716d47fab4436b34d26b0135e9d7
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Thu Oct 2 00:20:52 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 2 08:46:44 2014 +0100

    test/simple: Tighten sanity checks in reference image generator
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/simple.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 50b41e214533ea5fd3b64128306b6cb94d353145
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Wed Oct 1 22:50:10 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Thu Oct 2 00:06:27 2014 +0100

    test: Add a simple rasteriser to check fidelity of edge rendering
    
    In order to check the behaviour of the analytic rasteriser inside tor,
    let's compare it against a very simple rasteriser that uses a rectiliner
    256x256 sample grid.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/Makefile.sources              |   1 +
 test/reference/simple-edge.ref.png | Bin 0 -> 1922 bytes
 test/simple.c                      | 347 +++++++++++++++++++++++++++++++++++++
 3 files changed, 348 insertions(+)

commit 2144e7f48ba49d5bdb4a0dd1fb672be9d313fb65
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 30 16:18:34 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Sep 30 16:18:34 2014 +0100

    test: Fix coverage-abutting
    
    Using CAIRO_OPERATOR_OVER in case causes oversampling of the coincident
    edges, to measure coverage we should only use ADD. :|
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/coverage.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c42d5c176b27725ac8ab293c3e941be64f51613
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 30 16:14:57 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Sep 30 16:15:33 2014 +0100

    test: Add another coverage example demonstrating the seams in tor
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/coverage.c                          |  53 +++++++++++++++++++++++++++++++
 test/reference/coverage-abutting.ref.png | Bin 0 -> 777 bytes
 2 files changed, 53 insertions(+)

commit 95e147bfa05a122541645f32be52cf1902c3a4b2
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 30 14:30:45 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Sep 30 14:33:50 2014 +0100

    test: Explicitly flip the reference image for recordflip
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/recordflip.c                                  |  58 +++++++++++++++++++--
 test/reference/recordflip-fill-alpha.ref.png       | Bin 2790 -> 2864 bytes
 .../recordflip-paint-alpha-clip-mask.ref.png       | Bin 340 -> 372 bytes
 test/reference/recordflip-paint-alpha-clip.ref.png | Bin 291 -> 316 bytes
 .../recordflip-paint-alpha-solid-clip.ref.png      | Bin 280 -> 291 bytes
 test/reference/recordflip-paint-alpha.ref.png      | Bin 242 -> 257 bytes
 test/reference/recordflip-select-font-face.ref.png | Bin 2229 -> 2240 bytes
 test/reference/recordflip-text-transform.ref.png   | Bin 5606 -> 5609 bytes
 8 files changed, 55 insertions(+), 3 deletions(-)

commit ccd48b346436a80629e4f9a07f2ba7ffbfd802f1
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 30 14:06:21 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Sep 30 14:06:36 2014 +0100

    test: Remove more duplicated reference images
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/a8-clear.argb32.ref.png                 | Bin 269 -> 0 bytes
 test/reference/a8-clear.rgb24.ref.png                  | Bin 269 -> 0 bytes
 test/reference/aliasing.argb32.ref.png                 | Bin 104193 -> 0 bytes
 test/reference/aliasing.rgb24.ref.png                  | Bin 104193 -> 0 bytes
 test/reference/arc-direction.argb32.ref.png            | Bin 6473 -> 0 bytes
 test/reference/arc-direction.rgb24.ref.png             | Bin 6473 -> 0 bytes
 test/reference/big-line.argb32.ref.png                 | Bin 977 -> 0 bytes
 test/reference/big-line.rgb24.ref.png                  | Bin 977 -> 0 bytes
 test/reference/bilevel-xlib.argb32.ref.png             | Bin 105 -> 0 bytes
 test/reference/bilevel-xlib.rgb24.ref.png              | Bin 105 -> 0 bytes
 test/reference/bug-40410.argb32.ref.png                | Bin 429 -> 0 bytes
 test/reference/bug-40410.rgb24.ref.png                 | Bin 429 -> 0 bytes
 test/reference/bug-bo-ricotz.argb32.ref.png            | Bin 2128 -> 0 bytes
 test/reference/bug-bo-ricotz.rgb24.ref.png             | Bin 2128 -> 0 bytes
 test/reference/bug-extents.argb32.ref.png              | Bin 9264 -> 0 bytes
 test/reference/bug-extents.rgb24.ref.png               | Bin 9264 -> 0 bytes
 test/reference/bug-spline.argb32.ref.png               | Bin 5490 -> 0 bytes
 test/reference/bug-spline.rgb24.ref.png                | Bin 5490 -> 0 bytes
 test/reference/caps-joins-alpha.argb32.ref.png         | Bin 2482 -> 0 bytes
 test/reference/caps-joins-alpha.rgb24.ref.png          | Bin 2482 -> 0 bytes
 test/reference/caps-joins-curve.argb32.ref.png         | Bin 5972 -> 0 bytes
 test/reference/caps-joins-curve.rgb24.ref.png          | Bin 5972 -> 0 bytes
 test/reference/caps-joins.argb32.ref.png               | Bin 2893 -> 0 bytes
 test/reference/caps-joins.rgb24.ref.png                | Bin 2893 -> 0 bytes
 test/reference/caps-sub-paths.argb32.ref.png           | Bin 168 -> 0 bytes
 test/reference/caps-sub-paths.rgb24.ref.png            | Bin 168 -> 0 bytes
 test/reference/caps-tails-curve.argb32.ref.png         | Bin 54409 -> 0 bytes
 test/reference/caps-tails-curve.rgb24.ref.png          | Bin 54409 -> 0 bytes
 test/reference/caps.argb32.ref.png                     | Bin 2115 -> 0 bytes
 test/reference/caps.rgb24.ref.png                      | Bin 2115 -> 0 bytes
 test/reference/clear-source.argb32.ref.png             | Bin 882 -> 0 bytes
 test/reference/clear-source.rgb24.ref.png              | Bin 882 -> 0 bytes
 test/reference/clip-disjoint-hatching.argb32.ref.png   | Bin 7918 -> 0 bytes
 test/reference/clip-disjoint-hatching.rgb24.ref.png    | Bin 7918 -> 0 bytes
 test/reference/clip-disjoint-quad.argb32.ref.png       | Bin 1642 -> 0 bytes
 test/reference/clip-disjoint-quad.rgb24.ref.png        | Bin 1642 -> 0 bytes
 test/reference/clip-disjoint.argb32.ref.png            | Bin 5464 -> 0 bytes
 test/reference/clip-disjoint.rgb24.ref.png             | Bin 5464 -> 0 bytes
 test/reference/clip-fill.argb32.ref.png                | Bin 1064 -> 0 bytes
 test/reference/clip-fill.rgb24.ref.png                 | Bin 1064 -> 0 bytes
 .../reference/clip-group-shapes-circles.argb32.ref.png | Bin 1533 -> 0 bytes
 test/reference/clip-group-shapes-circles.rgb24.ref.png | Bin 1533 -> 0 bytes
 test/reference/clip-image.argb32.ref.png               | Bin 2677 -> 0 bytes
 test/reference/clip-image.rgb24.ref.png                | Bin 2677 -> 0 bytes
 test/reference/clip-intersect.argb32.ref.png           | Bin 223 -> 0 bytes
 test/reference/clip-intersect.rgb24.ref.png            | Bin 223 -> 0 bytes
 test/reference/clip-mixed-antialias.argb32.ref.png     | Bin 1084 -> 0 bytes
 test/reference/clip-mixed-antialias.rgb24.ref.png      | Bin 1084 -> 0 bytes
 test/reference/clip-operator.ref.png                   | Bin 8257 -> 0 bytes
 test/reference/clip-polygons.argb32.ref.png            | Bin 1352 -> 0 bytes
 test/reference/clip-polygons.rgb24.ref.png             | Bin 1352 -> 0 bytes
 test/reference/clip-push-group.argb32.ref.png          | Bin 164 -> 0 bytes
 test/reference/clip-push-group.rgb24.ref.png           | Bin 164 -> 0 bytes
 test/reference/clip-shape.argb32.ref.png               | Bin 2923 -> 0 bytes
 test/reference/clip-shape.rgb24.ref.png                | Bin 2923 -> 0 bytes
 test/reference/clip-stroke.argb32.ref.png              | Bin 1551 -> 0 bytes
 test/reference/clip-stroke.rgb24.ref.png               | Bin 1551 -> 0 bytes
 test/reference/clip-text.argb32.ref.png                | Bin 918 -> 0 bytes
 test/reference/clip-text.rgb24.ref.png                 | Bin 918 -> 0 bytes
 test/reference/clip-xlib.argb32.ref.png                | Bin 2686 -> 0 bytes
 test/reference/clip-xlib.rgb24.ref.png                 | Bin 2686 -> 0 bytes
 test/reference/clipped-group.argb32.ref.png            | Bin 315 -> 0 bytes
 test/reference/clipped-group.rgb24.ref.png             | Bin 315 -> 0 bytes
 test/reference/close-path.argb32.ref.png               | Bin 294 -> 0 bytes
 test/reference/close-path.rgb24.ref.png                | Bin 294 -> 0 bytes
 test/reference/copy-path.argb32.ref.png                | Bin 616 -> 0 bytes
 test/reference/copy-path.rgb24.ref.png                 | Bin 616 -> 0 bytes
 test/reference/create-from-png.argb32.ref.png          | Bin 96 -> 0 bytes
 test/reference/create-from-png.rgb24.ref.png           | Bin 96 -> 0 bytes
 test/reference/culled-glyphs.argb32.ref.png            | Bin 440 -> 0 bytes
 test/reference/culled-glyphs.rgb24.ref.png             | Bin 440 -> 0 bytes
 test/reference/dash-curve.argb32.ref.png               | Bin 41069 -> 0 bytes
 test/reference/dash-curve.rgb24.ref.png                | Bin 41069 -> 0 bytes
 test/reference/dash-infinite-loop.argb32.ref.png       | Bin 877 -> 0 bytes
 test/reference/dash-infinite-loop.rgb24.ref.png        | Bin 877 -> 0 bytes
 test/reference/dash-offset-negative.argb32.ref.png     | Bin 129 -> 0 bytes
 test/reference/dash-offset-negative.rgb24.ref.png      | Bin 129 -> 0 bytes
 test/reference/dash-state.argb32.ref.png               | Bin 8027 -> 0 bytes
 test/reference/dash-state.rgb24.ref.png                | Bin 8027 -> 0 bytes
 test/reference/degenerate-arc.argb32.ref.png           | Bin 646 -> 0 bytes
 test/reference/degenerate-arc.rgb24.ref.png            | Bin 646 -> 0 bytes
 test/reference/degenerate-dash.argb32.ref.png          | Bin 1908 -> 0 bytes
 test/reference/degenerate-dash.rgb24.ref.png           | Bin 1908 -> 0 bytes
 .../degenerate-linear-gradient.argb32.ref.png          | Bin 336 -> 0 bytes
 .../reference/degenerate-linear-gradient.rgb24.ref.png | Bin 336 -> 0 bytes
 test/reference/degenerate-pen.argb32.ref.png           | Bin 1019 -> 0 bytes
 test/reference/degenerate-pen.rgb24.ref.png            | Bin 1019 -> 0 bytes
 test/reference/extend-pad-border.argb32.ref.png        | Bin 495 -> 0 bytes
 test/reference/extend-pad-border.rgb24.ref.png         | Bin 495 -> 0 bytes
 test/reference/fill-alpha-pattern.argb32.ref.png       | Bin 3489 -> 0 bytes
 test/reference/fill-alpha-pattern.rgb24.ref.png        | Bin 3489 -> 0 bytes
 test/reference/fill-alpha.argb32.ref.png               | Bin 2815 -> 0 bytes
 test/reference/fill-alpha.rgb24.ref.png                | Bin 2815 -> 0 bytes
 .../reference/fill-and-stroke-alpha-add.argb32.ref.png | Bin 558 -> 0 bytes
 test/reference/fill-and-stroke-alpha-add.rgb24.ref.png | Bin 558 -> 0 bytes
 test/reference/fill-and-stroke-alpha.argb32.ref.png    | Bin 513 -> 0 bytes
 test/reference/fill-and-stroke-alpha.rgb24.ref.png     | Bin 513 -> 0 bytes
 test/reference/fill-image.argb32.ref.png               | Bin 1315 -> 0 bytes
 test/reference/fill-image.rgb24.ref.png                | Bin 1315 -> 0 bytes
 test/reference/fill-xlib.argb32.ref.png                | Bin 1458 -> 0 bytes
 test/reference/fill-xlib.rgb24.ref.png                 | Bin 1458 -> 0 bytes
 test/reference/filter-bilinear-extents.argb32.ref.png  | Bin 1210 -> 0 bytes
 test/reference/filter-bilinear-extents.rgb24.ref.png   | Bin 1210 -> 0 bytes
 test/reference/font-matrix-translation.argb32.ref.png  | Bin 865 -> 0 bytes
 test/reference/font-matrix-translation.rgb24.ref.png   | Bin 865 -> 0 bytes
 .../ft-show-glyphs-positioning.argb32.ref.png          | Bin 3243 -> 0 bytes
 .../reference/ft-show-glyphs-positioning.rgb24.ref.png | Bin 3243 -> 0 bytes
 test/reference/ft-show-glyphs-table.argb32.ref.png     | Bin 9975 -> 0 bytes
 test/reference/ft-show-glyphs-table.rgb24.ref.png      | Bin 9975 -> 0 bytes
 .../ft-text-vertical-layout-type1.argb32.ref.png       | Bin 3075 -> 0 bytes
 .../ft-text-vertical-layout-type1.rgb24.ref.png        | Bin 3075 -> 0 bytes
 .../ft-text-vertical-layout-type3.argb32.ref.png       | Bin 3609 -> 0 bytes
 .../ft-text-vertical-layout-type3.rgb24.ref.png        | Bin 3609 -> 0 bytes
 test/reference/glyph-cache-pressure.argb32.ref.png     | Bin 2858 -> 0 bytes
 test/reference/glyph-cache-pressure.rgb24.ref.png      | Bin 2858 -> 0 bytes
 test/reference/group-unaligned.argb32.ref.png          | Bin 494 -> 0 bytes
 test/reference/group-unaligned.rgb24.ref.png           | Bin 494 -> 0 bytes
 test/reference/halo-transform.argb32.ref.png           | Bin 15234 -> 0 bytes
 test/reference/halo-transform.rgb24.ref.png            | Bin 15234 -> 0 bytes
 test/reference/halo.argb32.ref.png                     | Bin 8621 -> 0 bytes
 test/reference/halo.rgb24.ref.png                      | Bin 8621 -> 0 bytes
 test/reference/hatchings.argb32.ref.png                | Bin 90640 -> 0 bytes
 test/reference/hatchings.rgb24.ref.png                 | Bin 90640 -> 0 bytes
 test/reference/horizontal-clip.argb32.ref.png          | Bin 113 -> 0 bytes
 test/reference/horizontal-clip.rgb24.ref.png           | Bin 113 -> 0 bytes
 test/reference/huge-linear.argb32.ref.png              | Bin 1600 -> 0 bytes
 test/reference/huge-linear.rgb24.ref.png               | Bin 1600 -> 0 bytes
 test/reference/infinite-join.argb32.ref.png            | Bin 164 -> 0 bytes
 test/reference/infinite-join.rgb24.ref.png             | Bin 164 -> 0 bytes
 test/reference/joins-loop.argb32.ref.png               | Bin 4492 -> 0 bytes
 test/reference/joins-loop.rgb24.ref.png                | Bin 4492 -> 0 bytes
 test/reference/joins-star.argb32.ref.png               | Bin 4914 -> 0 bytes
 test/reference/joins-star.rgb24.ref.png                | Bin 4914 -> 0 bytes
 .../large-twin-antialias-mixed.argb32.ref.png          | Bin 16442 -> 0 bytes
 .../reference/large-twin-antialias-mixed.rgb24.ref.png | Bin 16442 -> 0 bytes
 test/reference/leaky-dashed-stroke.argb32.ref.png      | Bin 9286 -> 0 bytes
 test/reference/leaky-dashed-stroke.rgb24.ref.png       | Bin 9286 -> 0 bytes
 test/reference/leaky-polygon.argb32.ref.png            | Bin 337 -> 0 bytes
 test/reference/leaky-polygon.rgb24.ref.png             | Bin 337 -> 0 bytes
 .../line-width-large-overlap-rotated.argb32.ref.png    | Bin 439 -> 0 bytes
 .../line-width-large-overlap-rotated.rgb24.ref.png     | Bin 439 -> 0 bytes
 .../line-width-overlap-rotated.argb32.ref.png          | Bin 722 -> 0 bytes
 .../reference/line-width-overlap-rotated.rgb24.ref.png | Bin 722 -> 0 bytes
 test/reference/line-width-scale.argb32.ref.png         | Bin 5721 -> 0 bytes
 test/reference/line-width-scale.rgb24.ref.png          | Bin 5721 -> 0 bytes
 test/reference/line-width-tolerance.argb32.ref.png     | Bin 168 -> 0 bytes
 test/reference/line-width-tolerance.rgb24.ref.png      | Bin 168 -> 0 bytes
 test/reference/line-width.argb32.ref.png               | Bin 178 -> 0 bytes
 test/reference/line-width.rgb24.ref.png                | Bin 178 -> 0 bytes
 test/reference/linear-gradient-reflect.argb32.ref.png  | Bin 185 -> 0 bytes
 test/reference/linear-gradient-reflect.rgb24.ref.png   | Bin 185 -> 0 bytes
 test/reference/linear-gradient-subset.argb32.ref.png   | Bin 813 -> 0 bytes
 test/reference/linear-gradient-subset.rgb24.ref.png    | Bin 813 -> 0 bytes
 test/reference/linear-gradient.argb32.ref.png          | Bin 959 -> 0 bytes
 test/reference/linear-gradient.rgb24.ref.png           | Bin 959 -> 0 bytes
 test/reference/long-dashed-lines.argb32.ref.png        | Bin 2548 -> 0 bytes
 test/reference/long-dashed-lines.rgb24.ref.png         | Bin 2548 -> 0 bytes
 test/reference/map-all-to-xlib.argb32.ref.png          | Bin 86 -> 0 bytes
 test/reference/map-all-to-xlib.rgb24.ref.png           | Bin 86 -> 0 bytes
 test/reference/map-bit-to-xlib.argb32.ref.png          | Bin 103 -> 0 bytes
 test/reference/map-bit-to-xlib.rgb24.ref.png           | Bin 103 -> 0 bytes
 test/reference/mask-transformed-image.argb32.ref.png   | Bin 3812 -> 0 bytes
 test/reference/mask-transformed-image.rgb24.ref.png    | Bin 3812 -> 0 bytes
 test/reference/mask-transformed-similar.argb32.ref.png | Bin 3812 -> 0 bytes
 test/reference/mask-transformed-similar.rgb24.ref.png  | Bin 3812 -> 0 bytes
 test/reference/mask-transformed-xlib.argb32.ref.png    | Bin 3809 -> 0 bytes
 test/reference/mask-transformed-xlib.rgb24.ref.png     | Bin 3809 -> 0 bytes
 test/reference/miter-precision.argb32.ref.png          | Bin 1030 -> 0 bytes
 test/reference/miter-precision.rgb24.ref.png           | Bin 1030 -> 0 bytes
 test/reference/overlapping-dash-caps.argb32.ref.png    | Bin 3952 -> 0 bytes
 test/reference/overlapping-dash-caps.rgb24.ref.png     | Bin 3952 -> 0 bytes
 .../paint-with-alpha-clip-mask.argb32.ref.png          | Bin 351 -> 0 bytes
 .../reference/paint-with-alpha-clip-mask.rgb24.ref.png | Bin 351 -> 0 bytes
 test/reference/partial-clip-text-bottom.argb32.ref.png | Bin 261 -> 0 bytes
 test/reference/partial-clip-text-bottom.rgb24.ref.png  | Bin 261 -> 0 bytes
 test/reference/partial-clip-text-left.argb32.ref.png   | Bin 301 -> 0 bytes
 test/reference/partial-clip-text-left.rgb24.ref.png    | Bin 301 -> 0 bytes
 test/reference/partial-clip-text-right.argb32.ref.png  | Bin 155 -> 0 bytes
 test/reference/partial-clip-text-right.rgb24.ref.png   | Bin 155 -> 0 bytes
 test/reference/partial-clip-text-top.argb32.ref.png    | Bin 181 -> 0 bytes
 test/reference/partial-clip-text-top.rgb24.ref.png     | Bin 181 -> 0 bytes
 test/reference/path-append.argb32.ref.png              | Bin 6309 -> 0 bytes
 test/reference/path-append.rgb24.ref.png               | Bin 6309 -> 0 bytes
 test/reference/path-stroke-twice.argb32.ref.png        | Bin 240 -> 0 bytes
 test/reference/path-stroke-twice.rgb24.ref.png         | Bin 240 -> 0 bytes
 test/reference/pthread-show-text.argb32.ref.png        | Bin 30199 -> 0 bytes
 test/reference/pthread-show-text.rgb24.ref.png         | Bin 30199 -> 0 bytes
 test/reference/push-group-color.argb32.ref.png         | Bin 2976 -> 0 bytes
 test/reference/push-group-color.rgb24.ref.png          | Bin 2976 -> 0 bytes
 test/reference/random-clip.argb32.ref.png              | Bin 525469 -> 0 bytes
 test/reference/random-clip.rgb24.ref.png               | Bin 525469 -> 0 bytes
 .../random-intersections-curves-eo.argb32.ref.png      | Bin 244656 -> 0 bytes
 .../random-intersections-curves-eo.rgb24.ref.png       | Bin 244656 -> 0 bytes
 .../random-intersections-curves-nz.argb32.ref.png      | Bin 264449 -> 0 bytes
 .../random-intersections-curves-nz.rgb24.ref.png       | Bin 264449 -> 0 bytes
 test/reference/random-intersections-eo.argb32.ref.png  | Bin 135556 -> 0 bytes
 test/reference/random-intersections-eo.rgb24.ref.png   | Bin 135556 -> 0 bytes
 .../random-intersections-nonzero.argb32.ref.png        | Bin 141582 -> 0 bytes
 .../random-intersections-nonzero.rgb24.ref.png         | Bin 141582 -> 0 bytes
 test/reference/record-fill-alpha.argb32.ref.png        | Bin 2822 -> 0 bytes
 test/reference/record-fill-alpha.rgb24.ref.png         | Bin 2822 -> 0 bytes
 .../record-paint-alpha-clip-mask.argb32.ref.png        | Bin 321 -> 0 bytes
 .../record-paint-alpha-clip-mask.rgb24.ref.png         | Bin 321 -> 0 bytes
 test/reference/record-paint-alpha-clip.argb32.ref.png  | Bin 290 -> 0 bytes
 test/reference/record-paint-alpha-clip.rgb24.ref.png   | Bin 290 -> 0 bytes
 test/reference/record-select-font-face.argb32.ref.png  | Bin 2250 -> 0 bytes
 test/reference/record-select-font-face.rgb24.ref.png   | Bin 2250 -> 0 bytes
 test/reference/record1414x-fill-alpha.argb32.ref.png   | Bin 4244 -> 0 bytes
 test/reference/record1414x-fill-alpha.rgb24.ref.png    | Bin 4244 -> 0 bytes
 .../record1414x-paint-alpha-clip-mask.argb32.ref.png   | Bin 544 -> 0 bytes
 .../record1414x-paint-alpha-clip-mask.rgb24.ref.png    | Bin 544 -> 0 bytes
 .../record1414x-paint-alpha-clip.argb32.ref.png        | Bin 378 -> 0 bytes
 .../record1414x-paint-alpha-clip.rgb24.ref.png         | Bin 378 -> 0 bytes
 .../record1414x-paint-alpha-solid-clip.argb32.ref.png  | Bin 317 -> 0 bytes
 .../record1414x-paint-alpha-solid-clip.rgb24.ref.png   | Bin 317 -> 0 bytes
 test/reference/record1414x-paint-alpha.argb32.ref.png  | Bin 265 -> 0 bytes
 test/reference/record1414x-paint-alpha.rgb24.ref.png   | Bin 265 -> 0 bytes
 test/reference/record1414x-paint.argb32.ref.png        | Bin 95 -> 0 bytes
 test/reference/record1414x-paint.rgb24.ref.png         | Bin 95 -> 0 bytes
 .../record1414x-select-font-face.argb32.ref.png        | Bin 3177 -> 0 bytes
 .../record1414x-select-font-face.rgb24.ref.png         | Bin 3177 -> 0 bytes
 .../record1414x-self-intersecting.argb32.ref.png       | Bin 394 -> 0 bytes
 .../record1414x-self-intersecting.rgb24.ref.png        | Bin 394 -> 0 bytes
 test/reference/record2x-fill-alpha.argb32.ref.png      | Bin 6016 -> 0 bytes
 test/reference/record2x-fill-alpha.rgb24.ref.png       | Bin 6016 -> 0 bytes
 .../record2x-paint-alpha-clip-mask.argb32.ref.png      | Bin 543 -> 0 bytes
 .../record2x-paint-alpha-clip-mask.rgb24.ref.png       | Bin 543 -> 0 bytes
 .../reference/record2x-paint-alpha-clip.argb32.ref.png | Bin 322 -> 0 bytes
 test/reference/record2x-paint-alpha-clip.rgb24.ref.png | Bin 322 -> 0 bytes
 .../record2x-paint-alpha-solid-clip.argb32.ref.png     | Bin 281 -> 0 bytes
 .../record2x-paint-alpha-solid-clip.rgb24.ref.png      | Bin 281 -> 0 bytes
 test/reference/record2x-paint-alpha.argb32.ref.png     | Bin 291 -> 0 bytes
 test/reference/record2x-paint-alpha.rgb24.ref.png      | Bin 291 -> 0 bytes
 test/reference/record2x-paint.argb32.ref.png           | Bin 98 -> 0 bytes
 test/reference/record2x-paint.rgb24.ref.png            | Bin 98 -> 0 bytes
 .../reference/record2x-select-font-face.argb32.ref.png | Bin 4407 -> 0 bytes
 test/reference/record2x-select-font-face.rgb24.ref.png | Bin 4407 -> 0 bytes
 .../record2x-self-intersecting.argb32.ref.png          | Bin 171 -> 0 bytes
 .../reference/record2x-self-intersecting.rgb24.ref.png | Bin 171 -> 0 bytes
 test/reference/record90-fill-alpha.argb32.ref.png      | Bin 2654 -> 0 bytes
 test/reference/record90-fill-alpha.rgb24.ref.png       | Bin 2654 -> 0 bytes
 .../record90-paint-alpha-clip-mask.argb32.ref.png      | Bin 317 -> 0 bytes
 .../record90-paint-alpha-clip-mask.rgb24.ref.png       | Bin 317 -> 0 bytes
 .../reference/record90-paint-alpha-clip.argb32.ref.png | Bin 335 -> 0 bytes
 test/reference/record90-paint-alpha-clip.rgb24.ref.png | Bin 335 -> 0 bytes
 .../record90-paint-alpha-solid-clip.argb32.ref.png     | Bin 293 -> 0 bytes
 .../record90-paint-alpha-solid-clip.rgb24.ref.png      | Bin 293 -> 0 bytes
 test/reference/record90-paint-alpha.argb32.ref.png     | Bin 105 -> 0 bytes
 test/reference/record90-paint-alpha.rgb24.ref.png      | Bin 105 -> 0 bytes
 test/reference/record90-paint.argb32.ref.png           | Bin 93 -> 0 bytes
 test/reference/record90-paint.rgb24.ref.png            | Bin 93 -> 0 bytes
 .../reference/record90-select-font-face.argb32.ref.png | Bin 2272 -> 0 bytes
 test/reference/record90-select-font-face.rgb24.ref.png | Bin 2272 -> 0 bytes
 test/reference/rectilinear-miter-limit.argb32.ref.png  | Bin 145 -> 0 bytes
 test/reference/rectilinear-miter-limit.rgb24.ref.png   | Bin 145 -> 0 bytes
 .../rotate-clip-image-surface-paint.argb32.ref.png     | Bin 331 -> 0 bytes
 .../rotate-clip-image-surface-paint.rgb24.ref.png      | Bin 331 -> 0 bytes
 test/reference/rotated-clip.argb32.ref.png             | Bin 3829 -> 0 bytes
 test/reference/rotated-clip.rgb24.ref.png              | Bin 3829 -> 0 bytes
 test/reference/rounded-rectangle-fill.argb32.ref.png   | Bin 787 -> 0 bytes
 test/reference/rounded-rectangle-fill.rgb24.ref.png    | Bin 787 -> 0 bytes
 test/reference/scale-offset-image.argb32.ref.png       | Bin 9748 -> 0 bytes
 test/reference/scale-offset-image.rgb24.ref.png        | Bin 9748 -> 0 bytes
 test/reference/scale-offset-similar.argb32.ref.png     | Bin 9779 -> 0 bytes
 test/reference/scale-offset-similar.rgb24.ref.png      | Bin 9779 -> 0 bytes
 test/reference/scale-offset-xlib.argb32.ref.png        | Bin 9120 -> 0 bytes
 test/reference/scale-offset-xlib.rgb24.ref.png         | Bin 9120 -> 0 bytes
 test/reference/select-font-face.argb32.ref.png         | Bin 2250 -> 0 bytes
 test/reference/select-font-face.rgb24.ref.png          | Bin 2250 -> 0 bytes
 test/reference/self-copy.argb32.ref.png                | Bin 257 -> 0 bytes
 test/reference/self-copy.rgb24.ref.png                 | Bin 257 -> 0 bytes
 test/reference/shape-general-convex.argb32.ref.png     | Bin 2539 -> 0 bytes
 test/reference/shape-general-convex.rgb24.ref.png      | Bin 2539 -> 0 bytes
 test/reference/shape-sierpinski.argb32.ref.png         | Bin 54850 -> 0 bytes
 test/reference/shape-sierpinski.rgb24.ref.png          | Bin 54850 -> 0 bytes
 test/reference/show-glyphs-advance.argb32.ref.png      | Bin 1394 -> 0 bytes
 test/reference/show-glyphs-advance.rgb24.ref.png       | Bin 1394 -> 0 bytes
 test/reference/show-text-current-point.argb32.ref.png  | Bin 2151 -> 0 bytes
 test/reference/show-text-current-point.rgb24.ref.png   | Bin 2151 -> 0 bytes
 test/reference/skew-extreme.argb32.ref.png             | Bin 799 -> 0 bytes
 test/reference/skew-extreme.rgb24.ref.png              | Bin 799 -> 0 bytes
 test/reference/smask-fill.argb32.ref.png               | Bin 1196 -> 0 bytes
 test/reference/smask-fill.rgb24.ref.png                | Bin 1196 -> 0 bytes
 test/reference/smask-image-mask.argb32.ref.png         | Bin 619 -> 0 bytes
 test/reference/smask-image-mask.rgb24.ref.png          | Bin 619 -> 0 bytes
 test/reference/smask-mask.argb32.ref.png               | Bin 2353 -> 0 bytes
 test/reference/smask-mask.rgb24.ref.png                | Bin 2353 -> 0 bytes
 test/reference/smask-paint.argb32.ref.png              | Bin 2469 -> 0 bytes
 test/reference/smask-paint.rgb24.ref.png               | Bin 2469 -> 0 bytes
 test/reference/smask-stroke.argb32.ref.png             | Bin 1700 -> 0 bytes
 test/reference/smask-stroke.rgb24.ref.png              | Bin 1700 -> 0 bytes
 test/reference/smask-text.argb32.ref.png               | Bin 1661 -> 0 bytes
 test/reference/smask-text.rgb24.ref.png                | Bin 1661 -> 0 bytes
 test/reference/smask.argb32.ref.png                    | Bin 3422 -> 0 bytes
 test/reference/smask.rgb24.ref.png                     | Bin 3422 -> 0 bytes
 test/reference/spline-decomposition.argb32.ref.png     | Bin 19520 -> 0 bytes
 test/reference/spline-decomposition.rgb24.ref.png      | Bin 19520 -> 0 bytes
 test/reference/stride-12-xlib.argb32.ref.png           | Bin 81121 -> 0 bytes
 test/reference/stride-12-xlib.rgb24.ref.png            | Bin 81121 -> 0 bytes
 test/reference/stroke-clipped.argb32.ref.png           | Bin 5857 -> 0 bytes
 test/reference/stroke-clipped.rgb24.ref.png            | Bin 5857 -> 0 bytes
 test/reference/stroke-image.argb32.ref.png             | Bin 1424 -> 0 bytes
 test/reference/stroke-image.rgb24.ref.png              | Bin 1424 -> 0 bytes
 test/reference/stroke-pattern.argb32.ref.png           | Bin 1510 -> 0 bytes
 test/reference/stroke-pattern.rgb24.ref.png            | Bin 1510 -> 0 bytes
 test/reference/stroke-xlib.argb32.ref.png              | Bin 1467 -> 0 bytes
 test/reference/stroke-xlib.rgb24.ref.png               | Bin 1467 -> 0 bytes
 test/reference/subsurface-scale.argb32.ref.png         | Bin 5921 -> 0 bytes
 test/reference/subsurface-scale.rgb24.ref.png          | Bin 5921 -> 0 bytes
 test/reference/subsurface.argb32.ref.png               | Bin 1811 -> 0 bytes
 test/reference/subsurface.rgb24.ref.png                | Bin 1811 -> 0 bytes
 .../surface-pattern-scale-down.argb32.ref.png          | Bin 1326 -> 0 bytes
 .../reference/surface-pattern-scale-down.rgb24.ref.png | Bin 1326 -> 0 bytes
 test/reference/surface-pattern-scale-up.argb32.ref.png | Bin 4020 -> 0 bytes
 test/reference/surface-pattern-scale-up.rgb24.ref.png  | Bin 4020 -> 0 bytes
 test/reference/surface-pattern.argb32.ref.png          | Bin 11088 -> 0 bytes
 test/reference/surface-pattern.rgb24.ref.png           | Bin 11088 -> 0 bytes
 test/reference/text-antialias-gray.argb32.ref.png      | Bin 966 -> 0 bytes
 test/reference/text-antialias-gray.rgb24.ref.png       | Bin 966 -> 0 bytes
 .../text-antialias-subpixel-bgr.argb32.ref.png         | Bin 1005 -> 0 bytes
 .../text-antialias-subpixel-bgr.rgb24.ref.png          | Bin 1005 -> 0 bytes
 .../text-antialias-subpixel-rgb.argb32.ref.png         | Bin 1013 -> 0 bytes
 .../text-antialias-subpixel-rgb.rgb24.ref.png          | Bin 1013 -> 0 bytes
 .../text-antialias-subpixel-vbgr.argb32.ref.png        | Bin 985 -> 0 bytes
 .../text-antialias-subpixel-vbgr.rgb24.ref.png         | Bin 985 -> 0 bytes
 .../text-antialias-subpixel-vrgb.argb32.ref.png        | Bin 1009 -> 0 bytes
 .../text-antialias-subpixel-vrgb.rgb24.ref.png         | Bin 1009 -> 0 bytes
 test/reference/text-antialias-subpixel.argb32.ref.png  | Bin 1013 -> 0 bytes
 test/reference/text-antialias-subpixel.rgb24.ref.png   | Bin 1013 -> 0 bytes
 test/reference/text-glyph-range.argb32.ref.png         | Bin 1928 -> 0 bytes
 test/reference/text-glyph-range.rgb24.ref.png          | Bin 1928 -> 0 bytes
 test/reference/text-rotate.argb32.ref.png              | Bin 16307 -> 0 bytes
 test/reference/text-rotate.rgb24.ref.png               | Bin 16307 -> 0 bytes
 test/reference/tiger.argb32.ref.png                    | Bin 94790 -> 0 bytes
 test/reference/tiger.rgb24.ref.png                     | Bin 94790 -> 0 bytes
 test/reference/transforms.argb32.ref.png               | Bin 348 -> 0 bytes
 test/reference/transforms.rgb24.ref.png                | Bin 348 -> 0 bytes
 test/reference/twin-antialias-gray.argb32.ref.png      | Bin 3536 -> 0 bytes
 test/reference/twin-antialias-gray.rgb24.ref.png       | Bin 3536 -> 0 bytes
 test/reference/twin-antialias-mixed.argb32.ref.png     | Bin 2359 -> 0 bytes
 test/reference/twin-antialias-mixed.rgb24.ref.png      | Bin 2359 -> 0 bytes
 test/reference/twin-antialias-none.argb32.ref.png      | Bin 692 -> 0 bytes
 test/reference/twin-antialias-none.rgb24.ref.png       | Bin 692 -> 0 bytes
 test/reference/twin-antialias-subpixel.argb32.ref.png  | Bin 3536 -> 0 bytes
 test/reference/twin-antialias-subpixel.rgb24.ref.png   | Bin 3536 -> 0 bytes
 test/reference/twin.argb32.ref.png                     | Bin 3536 -> 0 bytes
 test/reference/twin.rgb24.ref.png                      | Bin 3536 -> 0 bytes
 test/reference/user-font-proxy.argb32.ref.png          | Bin 16981 -> 0 bytes
 test/reference/user-font-proxy.rgb24.ref.png           | Bin 16981 -> 0 bytes
 test/reference/user-font-rescale.argb32.ref.png        | Bin 14883 -> 0 bytes
 test/reference/user-font-rescale.rgb24.ref.png         | Bin 14883 -> 0 bytes
 test/reference/user-font.argb32.ref.png                | Bin 5889 -> 0 bytes
 test/reference/user-font.rgb24.ref.png                 | Bin 5889 -> 0 bytes
 test/reference/world-map-fill.argb32.ref.png           | Bin 57407 -> 0 bytes
 test/reference/world-map-fill.rgb24.ref.png            | Bin 57407 -> 0 bytes
 test/reference/world-map-stroke.argb32.ref.png         | Bin 65152 -> 0 bytes
 test/reference/world-map-stroke.rgb24.ref.png          | Bin 65152 -> 0 bytes
 test/reference/world-map.argb32.ref.png                | Bin 70463 -> 0 bytes
 test/reference/world-map.rgb24.ref.png                 | Bin 70463 -> 0 bytes
 359 files changed, 0 insertions(+), 0 deletions(-)

commit 167561f2823767058e2be3a26131b5f820b35c35
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 30 10:22:41 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Sep 30 13:57:05 2014 +0100

    tor: Review full-row walker
    
    When updating the quorem between cells, we would lose the overflow
    increment as it was only applied locally and not preserved by updating
    the quorem.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c                     |  86 ++++++++-------------
 test/reference/aliasing.argb32.ref.png             | Bin 106073 -> 104193 bytes
 test/reference/aliasing.rgb24.ref.png              | Bin 106073 -> 104193 bytes
 test/reference/arc-direction.argb32.ref.png        | Bin 6491 -> 6473 bytes
 test/reference/arc-direction.rgb24.ref.png         | Bin 6491 -> 6473 bytes
 test/reference/big-little-triangle.argb32.ref.png  | Bin 0 -> 409 bytes
 test/reference/big-little-triangle.ref.png         | Bin 409 -> 0 bytes
 test/reference/big-little-triangle.rgb24.ref.png   | Bin 329 -> 331 bytes
 test/reference/bug-extents.argb32.ref.png          | Bin 9257 -> 9264 bytes
 test/reference/bug-extents.rgb24.ref.png           | Bin 9257 -> 9264 bytes
 test/reference/bug-spline.argb32.ref.png           | Bin 5462 -> 5490 bytes
 test/reference/bug-spline.rgb24.ref.png            | Bin 5462 -> 5490 bytes
 test/reference/caps-joins-alpha.argb32.ref.png     | Bin 2479 -> 2482 bytes
 test/reference/caps-joins-alpha.rgb24.ref.png      | Bin 2479 -> 2482 bytes
 test/reference/clear.argb32.ref.png                | Bin 0 -> 692 bytes
 test/reference/clear.ref.png                       | Bin 692 -> 0 bytes
 test/reference/clear.rgb24.ref.png                 | Bin 0 -> 621 bytes
 test/reference/clip-disjoint-quad.argb32.ref.png   | Bin 1643 -> 1642 bytes
 test/reference/clip-disjoint-quad.rgb24.ref.png    | Bin 1643 -> 1642 bytes
 test/reference/clip-disjoint.argb32.ref.png        | Bin 5465 -> 5464 bytes
 test/reference/clip-disjoint.rgb24.ref.png         | Bin 5465 -> 5464 bytes
 test/reference/clip-fill-eo-unbounded.ref.png      | Bin 4084 -> 4076 bytes
 test/reference/clip-fill-nz-unbounded.ref.png      | Bin 4084 -> 4076 bytes
 test/reference/clip-fill-rule.argb32.ref.png       | Bin 0 -> 437 bytes
 test/reference/clip-fill-rule.ref.png              | Bin 437 -> 0 bytes
 test/reference/clip-fill-rule.rgb24.ref.png        | Bin 0 -> 388 bytes
 .../clip-group-shapes-circles.argb32.ref.png       | Bin 1526 -> 1533 bytes
 .../clip-group-shapes-circles.rgb24.ref.png        | Bin 1526 -> 1533 bytes
 test/reference/clip-intersect.argb32.ref.png       | Bin 220 -> 223 bytes
 test/reference/clip-intersect.rgb24.ref.png        | Bin 220 -> 223 bytes
 test/reference/clip-operator.argb32.ref.png        | Bin 0 -> 8685 bytes
 test/reference/clip-operator.rgb24.ref.png         | Bin 0 -> 3458 bytes
 test/reference/clip-shape.argb32.ref.png           | Bin 2945 -> 2923 bytes
 test/reference/clip-shape.rgb24.ref.png            | Bin 2945 -> 2923 bytes
 .../reference/clip-stroke-unbounded.argb32.ref.png | Bin 4105 -> 0 bytes
 test/reference/clip-stroke-unbounded.ref.png       | Bin 4127 -> 4104 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png | Bin 3517 -> 0 bytes
 test/reference/clip-twice.ref.png                  | Bin 1344 -> 1357 bytes
 test/reference/degenerate-arc.argb32.ref.png       | Bin 639 -> 646 bytes
 test/reference/degenerate-arc.rgb24.ref.png        | Bin 639 -> 646 bytes
 test/reference/fill-alpha-pattern.argb32.ref.png   | Bin 3381 -> 3489 bytes
 test/reference/fill-alpha-pattern.rgb24.ref.png    | Bin 3381 -> 3489 bytes
 test/reference/fill-alpha.argb32.ref.png           | Bin 2815 -> 2815 bytes
 test/reference/fill-alpha.rgb24.ref.png            | Bin 2815 -> 2815 bytes
 test/reference/fill-degenerate-sort-order.ref.png  | Bin 2410 -> 2414 bytes
 test/reference/fill-rule.argb32.ref.png            | Bin 0 -> 2086 bytes
 test/reference/fill-rule.ref.png                   | Bin 2086 -> 0 bytes
 test/reference/fill-rule.rgb24.ref.png             | Bin 0 -> 1797 bytes
 .../ft-text-vertical-layout-type1.argb32.ref.png   | Bin 3084 -> 3075 bytes
 .../ft-text-vertical-layout-type1.rgb24.ref.png    | Bin 3084 -> 3075 bytes
 .../ft-text-vertical-layout-type3.argb32.ref.png   | Bin 3610 -> 3609 bytes
 .../ft-text-vertical-layout-type3.rgb24.ref.png    | Bin 3610 -> 3609 bytes
 test/reference/halo-transform.argb32.ref.png       | Bin 15231 -> 15234 bytes
 test/reference/halo-transform.rgb24.ref.png        | Bin 15231 -> 15234 bytes
 test/reference/halo.argb32.ref.png                 | Bin 8666 -> 8621 bytes
 test/reference/halo.rgb24.ref.png                  | Bin 8666 -> 8621 bytes
 test/reference/hatchings.argb32.ref.png            | Bin 91041 -> 90640 bytes
 test/reference/hatchings.rgb24.ref.png             | Bin 91041 -> 90640 bytes
 test/reference/inverted-clip.rgb24.ref.png         | Bin 1333 -> 1323 bytes
 test/reference/leaky-dashed-stroke.argb32.ref.png  | Bin 9286 -> 9286 bytes
 test/reference/leaky-dashed-stroke.rgb24.ref.png   | Bin 9286 -> 9286 bytes
 ...line-width-large-overlap-rotated.argb32.ref.png | Bin 436 -> 439 bytes
 .../line-width-large-overlap-rotated.rgb24.ref.png | Bin 436 -> 439 bytes
 .../line-width-overlap-rotated.argb32.ref.png      | Bin 716 -> 722 bytes
 .../line-width-overlap-rotated.rgb24.ref.png       | Bin 716 -> 722 bytes
 .../linear-gradient-subset.argb32.ref.png          | Bin 812 -> 813 bytes
 .../reference/linear-gradient-subset.rgb24.ref.png | Bin 812 -> 813 bytes
 test/reference/linear-gradient.argb32.ref.png      | Bin 960 -> 959 bytes
 test/reference/linear-gradient.rgb24.ref.png       | Bin 960 -> 959 bytes
 test/reference/mask-alpha.ref.png                  | Bin 644 -> 642 bytes
 test/reference/mask.argb32.ref.png                 | Bin 0 -> 8681 bytes
 test/reference/mask.ref.png                        | Bin 8565 -> 0 bytes
 test/reference/mask.rgb24.ref.png                  | Bin 0 -> 7215 bytes
 test/reference/operator-alpha.argb32.ref.png       | Bin 0 -> 280 bytes
 test/reference/operator-alpha.ref.png              | Bin 280 -> 0 bytes
 test/reference/operator-alpha.rgb24.ref.png        | Bin 0 -> 205 bytes
 test/reference/operator-clear.argb32.ref.png       | Bin 1068 -> 1067 bytes
 test/reference/operator-clear.ref.png              | Bin 1071 -> 0 bytes
 test/reference/operator-clear.rgb24.ref.png        | Bin 0 -> 940 bytes
 test/reference/operator-source.argb32.ref.png      | Bin 0 -> 5626 bytes
 test/reference/operator-source.ref.png             | Bin 5614 -> 0 bytes
 test/reference/operator-source.rgb24.ref.png       | Bin 0 -> 4026 bytes
 test/reference/operator.argb32.ref.png             | Bin 0 -> 238 bytes
 test/reference/operator.ref.png                    | Bin 238 -> 0 bytes
 test/reference/operator.rgb24.ref.png              | Bin 0 -> 189 bytes
 test/reference/over-above-source.argb32.ref.png    | Bin 0 -> 557 bytes
 test/reference/over-above-source.ref.png           | Bin 557 -> 0 bytes
 test/reference/over-above-source.rgb24.ref.png     | Bin 0 -> 459 bytes
 test/reference/over-around-source.argb32.ref.png   | Bin 0 -> 633 bytes
 test/reference/over-around-source.ref.png          | Bin 633 -> 0 bytes
 test/reference/over-around-source.rgb24.ref.png    | Bin 0 -> 504 bytes
 test/reference/over-below-source.argb32.ref.png    | Bin 0 -> 447 bytes
 test/reference/over-below-source.ref.png           | Bin 447 -> 0 bytes
 test/reference/over-below-source.rgb24.ref.png     | Bin 0 -> 389 bytes
 test/reference/over-between-source.argb32.ref.png  | Bin 0 -> 607 bytes
 test/reference/over-between-source.ref.png         | Bin 607 -> 0 bytes
 test/reference/over-between-source.rgb24.ref.png   | Bin 0 -> 482 bytes
 test/reference/path-append.argb32.ref.png          | Bin 6297 -> 6309 bytes
 test/reference/path-append.rgb24.ref.png           | Bin 6297 -> 6309 bytes
 test/reference/push-group-color.argb32.ref.png     | Bin 0 -> 2976 bytes
 test/reference/push-group-color.ref.png            | Bin 2961 -> 0 bytes
 test/reference/push-group-color.rgb24.ref.png      | Bin 0 -> 2976 bytes
 test/reference/push-group.argb32.ref.png           | Bin 3097 -> 3116 bytes
 test/reference/push-group.ref.png                  | Bin 3062 -> 0 bytes
 test/reference/push-group.rgb24.ref.png            | Bin 0 -> 2929 bytes
 test/reference/random-clip.argb32.ref.png          | Bin 525539 -> 525469 bytes
 test/reference/random-clip.rgb24.ref.png           | Bin 525539 -> 525469 bytes
 .../random-intersections-curves-eo.argb32.ref.png  | Bin 244655 -> 244656 bytes
 .../random-intersections-curves-eo.rgb24.ref.png   | Bin 244655 -> 244656 bytes
 .../random-intersections-curves-nz.argb32.ref.png  | Bin 264447 -> 264449 bytes
 .../random-intersections-curves-nz.rgb24.ref.png   | Bin 264447 -> 264449 bytes
 .../random-intersections-eo.argb32.ref.png         | Bin 135591 -> 135556 bytes
 .../random-intersections-eo.rgb24.ref.png          | Bin 135591 -> 135556 bytes
 .../random-intersections-nonzero.argb32.ref.png    | Bin 141598 -> 141582 bytes
 .../random-intersections-nonzero.rgb24.ref.png     | Bin 141598 -> 141582 bytes
 test/reference/record2x-fill-alpha.argb32.ref.png  | Bin 5986 -> 6016 bytes
 test/reference/record2x-fill-alpha.rgb24.ref.png   | Bin 5986 -> 6016 bytes
 .../rotate-clip.surface-paint.image.argb32.ref.png | Bin 0 -> 340 bytes
 .../rotate-clip.surface-paint.image.rgb24.ref.png  | Bin 0 -> 340 bytes
 test/reference/scale-offset-similar.argb32.ref.png | Bin 9847 -> 9779 bytes
 test/reference/scale-offset-similar.rgb24.ref.png  | Bin 9847 -> 9779 bytes
 test/reference/smask-fill.argb32.ref.png           | Bin 1201 -> 1196 bytes
 test/reference/smask-fill.rgb24.ref.png            | Bin 1201 -> 1196 bytes
 test/reference/smask-stroke.argb32.ref.png         | Bin 1707 -> 1700 bytes
 test/reference/smask-stroke.rgb24.ref.png          | Bin 1707 -> 1700 bytes
 test/reference/smask.argb32.ref.png                | Bin 3436 -> 3422 bytes
 test/reference/smask.rgb24.ref.png                 | Bin 3436 -> 3422 bytes
 .../surface-pattern-operator.argb32.ref.png        | Bin 0 -> 5107 bytes
 test/reference/surface-pattern-operator.ref.png    | Bin 5217 -> 0 bytes
 .../surface-pattern-operator.rgb24.ref.png         | Bin 0 -> 1926 bytes
 test/reference/text-rotate.argb32.ref.png          | Bin 16518 -> 16307 bytes
 test/reference/text-rotate.rgb24.ref.png           | Bin 16518 -> 16307 bytes
 test/reference/tiger.argb32.ref.png                | Bin 94714 -> 94790 bytes
 test/reference/tiger.rgb24.ref.png                 | Bin 94714 -> 94790 bytes
 test/reference/trap-clip.argb32.ref.png            | Bin 0 -> 5972 bytes
 test/reference/trap-clip.ref.png                   | Bin 5826 -> 0 bytes
 test/reference/trap-clip.rgb24.ref.png             | Bin 0 -> 5462 bytes
 test/reference/unbounded-operator.argb32.ref.png   | Bin 2763 -> 2755 bytes
 test/reference/unbounded-operator.ref.png          | Bin 2781 -> 0 bytes
 test/reference/unbounded-operator.rgb24.ref.png    | Bin 0 -> 1328 bytes
 test/reference/user-font-proxy.argb32.ref.png      | Bin 16971 -> 16981 bytes
 test/reference/user-font-proxy.rgb24.ref.png       | Bin 16971 -> 16981 bytes
 test/reference/user-font.argb32.ref.png            | Bin 5882 -> 5889 bytes
 test/reference/user-font.rgb24.ref.png             | Bin 5882 -> 5889 bytes
 144 files changed, 34 insertions(+), 52 deletions(-)

commit ff23afd5f26e46e9b3c1fbfa31b2809f4329c4f0
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 30 12:25:56 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Sep 30 12:25:56 2014 +0100

    test: Include coverage in the normal test run
    
    Currently coverage is marked as slow. It is slower than the typical
    test, but it is quite a useful check on our rasterisation quality
    without going too far overboard (unlike partial-coverage!).
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/coverage.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 03c3d4b7c159a3004071522bac2461e553fec211
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 30 08:44:43 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Sep 30 12:01:13 2014 +0100

    tor: Fix loss of precision from projection onto sample grid
    
    The goal is to preserve the precision in the gradients of the edges and
    only apply the projection into the final cell location. We also include
    the half-subrow offset as spotted by Massimo.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    Testcase: coverage-rhombus
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-tor-scan-converter.c                     | 331 +++++++++++----------
 test/reference/a1-clip-fill-rule.ref.png           | Bin 0 -> 236 bytes
 test/reference/a8-clear.argb32.ref.png             | Bin 271 -> 269 bytes
 test/reference/a8-clear.rgb24.ref.png              | Bin 271 -> 269 bytes
 test/reference/aliasing.argb32.ref.png             | Bin 104324 -> 106073 bytes
 test/reference/aliasing.rgb24.ref.png              | Bin 104324 -> 106073 bytes
 test/reference/alpha-similar.ref.png               | Bin 0 -> 99 bytes
 test/reference/arc-direction.argb32.ref.png        | Bin 6380 -> 6491 bytes
 test/reference/arc-direction.rgb24.ref.png         | Bin 6380 -> 6491 bytes
 test/reference/big-empty-box.ref.png               | Bin 0 -> 111 bytes
 test/reference/big-empty-triangle.ref.png          | Bin 0 -> 111 bytes
 test/reference/big-little-box.ref.png              | Bin 0 -> 169 bytes
 test/reference/big-little-triangle.ref.png         | Bin 0 -> 409 bytes
 test/reference/big-little-triangle.rgb24.ref.png   | Bin 0 -> 329 bytes
 test/reference/bitmap-font.ref.png                 | Bin 0 -> 950 bytes
 test/reference/bug-extents.argb32.ref.png          | Bin 9251 -> 9257 bytes
 test/reference/bug-extents.rgb24.ref.png           | Bin 9251 -> 9257 bytes
 test/reference/bug-source-cu.ref.png               | Bin 0 -> 3815 bytes
 test/reference/bug-spline.argb32.ref.png           | Bin 0 -> 5462 bytes
 test/reference/bug-spline.ref.png                  | Bin 5577 -> 0 bytes
 test/reference/bug-spline.rgb24.ref.png            | Bin 0 -> 5462 bytes
 test/reference/caps-joins-alpha.argb32.ref.png     | Bin 0 -> 2479 bytes
 test/reference/caps-joins-alpha.ref.png            | Bin 2643 -> 0 bytes
 test/reference/caps-joins-alpha.rgb24.ref.png      | Bin 0 -> 2479 bytes
 test/reference/caps-joins-curve.argb32.ref.png     | Bin 0 -> 5972 bytes
 test/reference/caps-joins-curve.ref.png            | Bin 6228 -> 0 bytes
 test/reference/caps-joins-curve.rgb24.ref.png      | Bin 0 -> 5972 bytes
 test/reference/caps-tails-curve.argb32.ref.png     | Bin 0 -> 54409 bytes
 test/reference/caps-tails-curve.ref.png            | Bin 54314 -> 0 bytes
 test/reference/caps-tails-curve.rgb24.ref.png      | Bin 0 -> 54409 bytes
 test/reference/clear.ref.png                       | Bin 0 -> 692 bytes
 test/reference/clip-device-offset.ref.png          | Bin 0 -> 175 bytes
 .../clip-disjoint-hatching.argb32.ref.png          | Bin 9022 -> 7918 bytes
 .../reference/clip-disjoint-hatching.rgb24.ref.png | Bin 9022 -> 7918 bytes
 test/reference/clip-disjoint-quad.argb32.ref.png   | Bin 0 -> 1643 bytes
 test/reference/clip-disjoint-quad.ref.png          | Bin 1592 -> 0 bytes
 test/reference/clip-disjoint-quad.rgb24.ref.png    | Bin 0 -> 1643 bytes
 test/reference/clip-disjoint.argb32.ref.png        | Bin 0 -> 5465 bytes
 test/reference/clip-disjoint.ref.png               | Bin 5438 -> 0 bytes
 test/reference/clip-disjoint.rgb24.ref.png         | Bin 0 -> 5465 bytes
 test/reference/clip-fill-eo-unbounded.ref.png      | Bin 0 -> 4084 bytes
 test/reference/clip-fill-nz-unbounded.ref.png      | Bin 0 -> 4084 bytes
 .../reference/clip-fill-rule-pixel-aligned.ref.png | Bin 0 -> 195 bytes
 test/reference/clip-fill-rule.ref.png              | Bin 0 -> 437 bytes
 test/reference/clip-fill.argb32.ref.png            | Bin 1031 -> 1064 bytes
 test/reference/clip-fill.rgb24.ref.png             | Bin 1031 -> 1064 bytes
 .../clip-group-shapes-circles.argb32.ref.png       | Bin 1525 -> 1526 bytes
 .../clip-group-shapes-circles.rgb24.ref.png        | Bin 1525 -> 1526 bytes
 test/reference/clip-intersect.argb32.ref.png       | Bin 200 -> 220 bytes
 test/reference/clip-intersect.rgb24.ref.png        | Bin 200 -> 220 bytes
 test/reference/clip-nesting.ref.png                | Bin 0 -> 1094 bytes
 test/reference/clip-operator.ref.png               | Bin 0 -> 8257 bytes
 test/reference/clip-push-group.argb32.ref.png      | Bin 164 -> 164 bytes
 test/reference/clip-push-group.rgb24.ref.png       | Bin 164 -> 164 bytes
 test/reference/clip-shape.argb32.ref.png           | Bin 3073 -> 2945 bytes
 test/reference/clip-shape.rgb24.ref.png            | Bin 3073 -> 2945 bytes
 .../reference/clip-stroke-unbounded.argb32.ref.png | Bin 0 -> 4105 bytes
 test/reference/clip-stroke-unbounded.ref.png       | Bin 0 -> 4127 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png | Bin 0 -> 3517 bytes
 test/reference/clip-stroke.argb32.ref.png          | Bin 0 -> 1551 bytes
 test/reference/clip-stroke.ref.png                 | Bin 1419 -> 0 bytes
 test/reference/clip-stroke.rgb24.ref.png           | Bin 0 -> 1551 bytes
 test/reference/clip-text.argb32.ref.png            | Bin 928 -> 918 bytes
 test/reference/clip-text.rgb24.ref.png             | Bin 928 -> 918 bytes
 test/reference/clip-twice.ref.png                  | Bin 0 -> 1344 bytes
 test/reference/clip-unbounded.ref.png              | Bin 0 -> 100 bytes
 test/reference/clipped-group.argb32.ref.png        | Bin 342 -> 315 bytes
 test/reference/clipped-group.rgb24.ref.png         | Bin 342 -> 315 bytes
 test/reference/dash-curve.argb32.ref.png           | Bin 0 -> 41069 bytes
 test/reference/dash-curve.ref.png                  | Bin 40945 -> 0 bytes
 test/reference/dash-curve.rgb24.ref.png            | Bin 0 -> 41069 bytes
 test/reference/dash-zero-length.ref.png            | Bin 0 -> 230 bytes
 test/reference/degenerate-arc.argb32.ref.png       | Bin 0 -> 639 bytes
 test/reference/degenerate-arc.ref.png              | Bin 692 -> 0 bytes
 test/reference/degenerate-arc.rgb24.ref.png        | Bin 0 -> 639 bytes
 test/reference/degenerate-dash.argb32.ref.png      | Bin 0 -> 1908 bytes
 test/reference/degenerate-dash.ref.png             | Bin 1985 -> 0 bytes
 test/reference/degenerate-dash.rgb24.ref.png       | Bin 0 -> 1908 bytes
 test/reference/degenerate-path.ref.png             | Bin 0 -> 251 bytes
 test/reference/device-offset-positive.ref.png      | Bin 0 -> 139 bytes
 test/reference/device-offset.ref.png               | Bin 0 -> 137 bytes
 test/reference/egl-surface-source.ref.png          | Bin 0 -> 377 bytes
 test/reference/extended-blend-alpha-mask.ref.png   | Bin 0 -> 9221 bytes
 test/reference/extended-blend-alpha.ref.png        | Bin 0 -> 9406 bytes
 test/reference/extended-blend-mask.ref.png         | Bin 0 -> 3971 bytes
 test/reference/extended-blend-solid-alpha.ref.png  | Bin 0 -> 9406 bytes
 test/reference/extended-blend-solid.ref.png        | Bin 0 -> 4063 bytes
 test/reference/extended-blend.ref.png              | Bin 0 -> 4063 bytes
 test/reference/fallback.ref.png                    | Bin 0 -> 4106 bytes
 test/reference/fill-alpha.argb32.ref.png           | Bin 2736 -> 2815 bytes
 test/reference/fill-alpha.rgb24.ref.png            | Bin 2736 -> 2815 bytes
 .../fill-and-stroke-alpha-add.argb32.ref.png       | Bin 556 -> 558 bytes
 .../fill-and-stroke-alpha-add.rgb24.ref.png        | Bin 556 -> 558 bytes
 .../reference/fill-and-stroke-alpha.argb32.ref.png | Bin 508 -> 513 bytes
 test/reference/fill-and-stroke-alpha.rgb24.ref.png | Bin 508 -> 513 bytes
 test/reference/fill-and-stroke.ref.png             | Bin 0 -> 328 bytes
 test/reference/fill-degenerate-sort-order.ref.png  | Bin 0 -> 2410 bytes
 test/reference/fill-empty.ref.png                  | Bin 0 -> 99 bytes
 test/reference/fill-missed-stop.ref.png            | Bin 0 -> 455 bytes
 test/reference/fill-rule.ref.png                   | Bin 0 -> 2086 bytes
 test/reference/fill.image.argb32.ref.png           | Bin 0 -> 1482 bytes
 test/reference/fill.image.rgb24.ref.png            | Bin 0 -> 1482 bytes
 test/reference/finer-grained-fallbacks.ref.png     | Bin 0 -> 1151 bytes
 .../ft-text-vertical-layout-type1.argb32.ref.png   | Bin 3062 -> 3084 bytes
 .../ft-text-vertical-layout-type1.rgb24.ref.png    | Bin 3062 -> 3084 bytes
 .../ft-text-vertical-layout-type3.argb32.ref.png   | Bin 0 -> 3610 bytes
 .../ft-text-vertical-layout-type3.ref.png          | Bin 3608 -> 0 bytes
 .../ft-text-vertical-layout-type3.rgb24.ref.png    | Bin 0 -> 3610 bytes
 test/reference/gl-surface-source.ref.png           | Bin 0 -> 377 bytes
 test/reference/gradient-alpha.ref.png              | Bin 0 -> 125 bytes
 test/reference/gradient-constant-alpha.ref.png     | Bin 0 -> 111 bytes
 test/reference/gradient-zero-stops-mask.ref.png    | Bin 0 -> 86 bytes
 test/reference/gradient-zero-stops.ref.png         | Bin 0 -> 105 bytes
 test/reference/group-unaligned.argb32.ref.png      | Bin 427 -> 494 bytes
 test/reference/group-unaligned.rgb24.ref.png       | Bin 427 -> 494 bytes
 test/reference/halo-transform.argb32.ref.png       | Bin 15063 -> 15231 bytes
 test/reference/halo-transform.rgb24.ref.png        | Bin 15063 -> 15231 bytes
 test/reference/halo.argb32.ref.png                 | Bin 0 -> 8666 bytes
 test/reference/halo.ref.png                        | Bin 8774 -> 0 bytes
 test/reference/halo.rgb24.ref.png                  | Bin 0 -> 8666 bytes
 test/reference/hatchings.argb32.ref.png            | Bin 0 -> 91041 bytes
 test/reference/hatchings.ref.png                   | Bin 95333 -> 0 bytes
 test/reference/hatchings.rgb24.ref.png             | Bin 0 -> 91041 bytes
 test/reference/image-surface-source.ref.png        | Bin 0 -> 377 bytes
 test/reference/inverted-clip.rgb24.ref.png         | Bin 0 -> 1333 bytes
 .../large-twin-antialias-mixed.argb32.ref.png      | Bin 16660 -> 16442 bytes
 .../large-twin-antialias-mixed.rgb24.ref.png       | Bin 16660 -> 16442 bytes
 test/reference/leaky-dashed-stroke.argb32.ref.png  | Bin 9387 -> 9286 bytes
 test/reference/leaky-dashed-stroke.rgb24.ref.png   | Bin 9387 -> 9286 bytes
 ...line-width-large-overlap-rotated.argb32.ref.png | Bin 427 -> 436 bytes
 .../line-width-large-overlap-rotated.rgb24.ref.png | Bin 427 -> 436 bytes
 .../line-width-overlap-rotated.argb32.ref.png      | Bin 828 -> 716 bytes
 .../line-width-overlap-rotated.rgb24.ref.png       | Bin 828 -> 716 bytes
 test/reference/linear-gradient-one-stop.ref.png    | Bin 0 -> 225 bytes
 .../linear-gradient-subset.argb32.ref.png          | Bin 820 -> 812 bytes
 .../reference/linear-gradient-subset.rgb24.ref.png | Bin 820 -> 812 bytes
 test/reference/linear-gradient.argb32.ref.png      | Bin 974 -> 960 bytes
 test/reference/linear-gradient.rgb24.ref.png       | Bin 974 -> 960 bytes
 test/reference/mask-alpha.ref.png                  | Bin 0 -> 644 bytes
 test/reference/mask-ctm.ref.png                    | Bin 0 -> 129 bytes
 test/reference/mask-surface-ctm.ref.png            | Bin 0 -> 129 bytes
 test/reference/mask.ref.png                        | Bin 0 -> 8565 bytes
 test/reference/new-sub-path.ref.png                | Bin 0 -> 408 bytes
 test/reference/nil-surface.ref.png                 | Bin 0 -> 107 bytes
 test/reference/operator-alpha.ref.png              | Bin 0 -> 280 bytes
 test/reference/operator-clear.argb32.ref.png       | Bin 0 -> 1068 bytes
 test/reference/operator-clear.ref.png              | Bin 0 -> 1071 bytes
 test/reference/operator-source.ref.png             | Bin 0 -> 5614 bytes
 test/reference/operator.ref.png                    | Bin 0 -> 238 bytes
 test/reference/over-above-source.ref.png           | Bin 0 -> 557 bytes
 test/reference/over-around-source.ref.png          | Bin 0 -> 633 bytes
 test/reference/over-below-source.ref.png           | Bin 0 -> 447 bytes
 test/reference/over-between-source.ref.png         | Bin 0 -> 607 bytes
 test/reference/overlapping-boxes.ref.png           | Bin 0 -> 179 bytes
 .../reference/overlapping-dash-caps.argb32.ref.png | Bin 0 -> 3952 bytes
 test/reference/overlapping-dash-caps.ref.png       | Bin 3979 -> 0 bytes
 test/reference/overlapping-dash-caps.rgb24.ref.png | Bin 0 -> 3952 bytes
 test/reference/overlapping-glyphs.ref.png          | Bin 0 -> 2717 bytes
 .../paint-with-alpha-clip-mask.argb32.ref.png      | Bin 340 -> 351 bytes
 .../paint-with-alpha-clip-mask.rgb24.ref.png       | Bin 340 -> 351 bytes
 test/reference/pass-through.ref.png                | Bin 0 -> 221 bytes
 test/reference/path-append.argb32.ref.png          | Bin 6144 -> 6297 bytes
 test/reference/path-append.rgb24.ref.png           | Bin 6144 -> 6297 bytes
 test/reference/pdf-surface-source.ref.png          | Bin 0 -> 377 bytes
 test/reference/pixman-rotate.ref.png               | Bin 0 -> 260 bytes
 test/reference/ps-surface-source.ref.png           | Bin 0 -> 377 bytes
 test/reference/push-group-color.argb32.ref.png     | Bin 2892 -> 0 bytes
 test/reference/push-group-color.ref.png            | Bin 0 -> 2961 bytes
 test/reference/push-group-color.rgb24.ref.png      | Bin 2892 -> 0 bytes
 test/reference/push-group.argb32.ref.png           | Bin 0 -> 3097 bytes
 test/reference/push-group.ref.png                  | Bin 0 -> 3062 bytes
 test/reference/quartz-surface-source.ref.png       | Bin 0 -> 377 bytes
 test/reference/radial-gradient-source.ref.png      | Bin 0 -> 408848 bytes
 test/reference/random-clip.argb32.ref.png          | Bin 0 -> 525539 bytes
 test/reference/random-clip.ref.png                 | Bin 526034 -> 0 bytes
 test/reference/random-clip.rgb24.ref.png           | Bin 0 -> 525539 bytes
 .../random-intersections-curves-eo.argb32.ref.png  | Bin 245848 -> 244655 bytes
 .../random-intersections-curves-eo.rgb24.ref.png   | Bin 245848 -> 244655 bytes
 .../random-intersections-curves-nz.argb32.ref.png  | Bin 265249 -> 264447 bytes
 .../random-intersections-curves-nz.rgb24.ref.png   | Bin 265249 -> 264447 bytes
 .../random-intersections-eo.argb32.ref.png         | Bin 136632 -> 135591 bytes
 .../random-intersections-eo.rgb24.ref.png          | Bin 136632 -> 135591 bytes
 .../random-intersections-nonzero.argb32.ref.png    | Bin 142139 -> 141598 bytes
 .../random-intersections-nonzero.rgb24.ref.png     | Bin 142139 -> 141598 bytes
 test/reference/record-fill-alpha.argb32.ref.png    | Bin 0 -> 2822 bytes
 test/reference/record-fill-alpha.ref.png           | Bin 2812 -> 0 bytes
 test/reference/record-fill-alpha.rgb24.ref.png     | Bin 0 -> 2822 bytes
 .../record-paint-alpha-clip-mask.argb32.ref.png    | Bin 0 -> 321 bytes
 .../reference/record-paint-alpha-clip-mask.ref.png | Bin 318 -> 0 bytes
 .../record-paint-alpha-clip-mask.rgb24.ref.png     | Bin 0 -> 321 bytes
 .../record1414x-fill-alpha.argb32.ref.png          | Bin 0 -> 4244 bytes
 test/reference/record1414x-fill-alpha.ref.png      | Bin 4212 -> 0 bytes
 .../reference/record1414x-fill-alpha.rgb24.ref.png | Bin 0 -> 4244 bytes
 ...ecord1414x-paint-alpha-clip-mask.argb32.ref.png | Bin 560 -> 544 bytes
 ...record1414x-paint-alpha-clip-mask.rgb24.ref.png | Bin 560 -> 544 bytes
 test/reference/record2x-fill-alpha.argb32.ref.png  | Bin 0 -> 5986 bytes
 test/reference/record2x-fill-alpha.ref.png         | Bin 5950 -> 0 bytes
 test/reference/record2x-fill-alpha.rgb24.ref.png   | Bin 0 -> 5986 bytes
 .../record2x-paint-alpha-clip-mask.argb32.ref.png  | Bin 534 -> 543 bytes
 .../record2x-paint-alpha-clip-mask.rgb24.ref.png   | Bin 534 -> 543 bytes
 test/reference/record90-fill-alpha.argb32.ref.png  | Bin 0 -> 2654 bytes
 test/reference/record90-fill-alpha.ref.png         | Bin 2650 -> 0 bytes
 test/reference/record90-fill-alpha.rgb24.ref.png   | Bin 0 -> 2654 bytes
 .../record90-paint-alpha-clip-mask.argb32.ref.png  | Bin 0 -> 317 bytes
 .../record90-paint-alpha-clip-mask.ref.png         | Bin 316 -> 0 bytes
 .../record90-paint-alpha-clip-mask.rgb24.ref.png   | Bin 0 -> 317 bytes
 .../record90-paint-alpha-clip.argb32.ref.png       | Bin 0 -> 335 bytes
 test/reference/record90-paint-alpha-clip.ref.png   | Bin 320 -> 0 bytes
 .../record90-paint-alpha-clip.rgb24.ref.png        | Bin 0 -> 335 bytes
 .../record90-paint-alpha-solid-clip.argb32.ref.png | Bin 254 -> 293 bytes
 .../record90-paint-alpha-solid-clip.rgb24.ref.png  | Bin 254 -> 293 bytes
 .../recording-surface-extend-none.ref.png          | Bin 0 -> 3153 bytes
 .../reference/recording-surface-extend-pad.ref.png | Bin 0 -> 11200 bytes
 .../recording-surface-extend-reflect.ref.png       | Bin 0 -> 23967 bytes
 .../recording-surface-extend-repeat.ref.png        | Bin 0 -> 24091 bytes
 test/reference/recording-surface-over.ref.png      | Bin 0 -> 3153 bytes
 test/reference/recording-surface-source.ref.png    | Bin 0 -> 3153 bytes
 test/reference/rel-path.ref.png                    | Bin 0 -> 197 bytes
 test/reference/rotated-clip.argb32.ref.png         | Bin 3773 -> 3829 bytes
 test/reference/rotated-clip.rgb24.ref.png          | Bin 3773 -> 3829 bytes
 test/reference/scale-offset-similar.argb32.ref.png | Bin 9748 -> 9847 bytes
 test/reference/scale-offset-similar.rgb24.ref.png  | Bin 9748 -> 9847 bytes
 test/reference/scale-offset.image.argb32.ref.png   | Bin 0 -> 9847 bytes
 test/reference/scale-offset.image.rgb24.ref.png    | Bin 0 -> 9847 bytes
 test/reference/scale-source-surface-paint.ref.png  | Bin 0 -> 147 bytes
 test/reference/set-source.ref.png                  | Bin 0 -> 120 bytes
 test/reference/shape-general-convex.argb32.ref.png | Bin 2742 -> 2539 bytes
 test/reference/shape-general-convex.rgb24.ref.png  | Bin 2742 -> 2539 bytes
 test/reference/shape-sierpinski.argb32.ref.png     | Bin 63714 -> 54850 bytes
 test/reference/shape-sierpinski.rgb24.ref.png      | Bin 63714 -> 54850 bytes
 test/reference/smask-fill.argb32.ref.png           | Bin 1197 -> 1201 bytes
 test/reference/smask-fill.rgb24.ref.png            | Bin 1197 -> 1201 bytes
 test/reference/smask-stroke.argb32.ref.png         | Bin 1709 -> 1707 bytes
 test/reference/smask-stroke.rgb24.ref.png          | Bin 1709 -> 1707 bytes
 test/reference/smask.argb32.ref.png                | Bin 3414 -> 3436 bytes
 test/reference/smask.rgb24.ref.png                 | Bin 3414 -> 3436 bytes
 test/reference/source-surface-scale-paint.ref.png  | Bin 0 -> 139 bytes
 test/reference/stroke-clipped.argb32.ref.png       | Bin 0 -> 5857 bytes
 test/reference/stroke-clipped.ref.png              | Bin 5790 -> 0 bytes
 test/reference/stroke-clipped.rgb24.ref.png        | Bin 0 -> 5857 bytes
 test/reference/stroke-pattern.argb32.ref.png       | Bin 1491 -> 1510 bytes
 test/reference/stroke-pattern.rgb24.ref.png        | Bin 1491 -> 1510 bytes
 test/reference/stroke.image.argb32.ref.png         | Bin 0 -> 1479 bytes
 test/reference/stroke.image.rgb24.ref.png          | Bin 0 -> 1479 bytes
 test/reference/subsurface-outside-target.ref.png   | Bin 0 -> 2063 bytes
 test/reference/surface-pattern-operator.ref.png    | Bin 0 -> 5217 bytes
 test/reference/svg-surface-source.ref.png          | Bin 0 -> 377 bytes
 test/reference/text-pattern.ref.png                | Bin 0 -> 3455 bytes
 test/reference/text-rotate.argb32.ref.png          | Bin 0 -> 16518 bytes
 test/reference/text-rotate.ref.png                 | Bin 16667 -> 0 bytes
 test/reference/text-rotate.rgb24.ref.png           | Bin 0 -> 16518 bytes
 test/reference/tiger.argb32.ref.png                | Bin 93916 -> 94714 bytes
 test/reference/tiger.rgb24.ref.png                 | Bin 93916 -> 94714 bytes
 test/reference/tighten-bounds.ref.png              | Bin 0 -> 9443 bytes
 test/reference/trap-clip.ref.png                   | Bin 0 -> 5826 bytes
 test/reference/twin-antialias-gray.argb32.ref.png  | Bin 0 -> 3536 bytes
 test/reference/twin-antialias-gray.ref.png         | Bin 3948 -> 0 bytes
 test/reference/twin-antialias-gray.rgb24.ref.png   | Bin 0 -> 3536 bytes
 test/reference/twin-antialias-mixed.argb32.ref.png | Bin 2230 -> 2359 bytes
 test/reference/twin-antialias-mixed.rgb24.ref.png  | Bin 2230 -> 2359 bytes
 test/reference/twin-antialias-none.argb32.ref.png  | Bin 690 -> 692 bytes
 test/reference/twin-antialias-none.rgb24.ref.png   | Bin 690 -> 692 bytes
 .../twin-antialias-subpixel.argb32.ref.png         | Bin 0 -> 3536 bytes
 test/reference/twin-antialias-subpixel.ref.png     | Bin 3948 -> 0 bytes
 .../twin-antialias-subpixel.rgb24.ref.png          | Bin 0 -> 3536 bytes
 test/reference/twin.argb32.ref.png                 | Bin 0 -> 3536 bytes
 test/reference/twin.ref.png                        | Bin 3948 -> 0 bytes
 test/reference/twin.rgb24.ref.png                  | Bin 0 -> 3536 bytes
 test/reference/unbounded-operator.argb32.ref.png   | Bin 0 -> 2763 bytes
 test/reference/unbounded-operator.ref.png          | Bin 0 -> 2781 bytes
 test/reference/unclosed-strokes.argb32.ref.png     | Bin 1901 -> 0 bytes
 test/reference/unclosed-strokes.ref.png            | Bin 0 -> 1588 bytes
 test/reference/unclosed-strokes.rgb24.ref.png      | Bin 1901 -> 0 bytes
 test/reference/user-font-proxy.argb32.ref.png      | Bin 16941 -> 16971 bytes
 test/reference/user-font-proxy.rgb24.ref.png       | Bin 16941 -> 16971 bytes
 test/reference/user-font.argb32.ref.png            | Bin 0 -> 5882 bytes
 test/reference/user-font.ref.png                   | Bin 6209 -> 0 bytes
 test/reference/user-font.rgb24.ref.png             | Bin 0 -> 5882 bytes
 test/reference/world-map-fill.argb32.ref.png       | Bin 57308 -> 57407 bytes
 test/reference/world-map-fill.rgb24.ref.png        | Bin 57308 -> 57407 bytes
 test/reference/xcb-surface-source.ref.png          | Bin 0 -> 377 bytes
 test/reference/xlib-surface-source.ref.png         | Bin 0 -> 377 bytes
 test/reference/zero-mask.ref.png                   | Bin 0 -> 402 bytes
 283 files changed, 174 insertions(+), 157 deletions(-)

commit 8e1e2a54147df32f0e9261d2b7b031eaf8396f06
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 30 11:47:44 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Tue Sep 30 11:47:44 2014 +0100

    test: Remove redundant reference images
    
    If we have both a argb32 and rgb24 reference image that are identical,
    we can replace them with a plain reference image. I also prefer to have
    argb32/rgb24 versions of the reference images if rgb24 differs from the
    plain reference.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/reference/a1-clip-fill-rule.argb32.ref.png        | Bin 236 -> 0 bytes
 test/reference/a1-clip-fill-rule.rgb24.ref.png         | Bin 218 -> 0 bytes
 test/reference/alpha-similar.argb32.ref.png            | Bin 99 -> 0 bytes
 test/reference/alpha-similar.rgb24.ref.png             | Bin 88 -> 0 bytes
 test/reference/big-empty-box.argb32.ref.png            | Bin 111 -> 0 bytes
 test/reference/big-empty-box.rgb24.ref.png             | Bin 108 -> 0 bytes
 test/reference/big-empty-triangle.argb32.ref.png       | Bin 111 -> 0 bytes
 test/reference/big-empty-triangle.rgb24.ref.png        | Bin 108 -> 0 bytes
 test/reference/big-little-box.argb32.ref.png           | Bin 169 -> 0 bytes
 test/reference/big-little-box.rgb24.ref.png            | Bin 160 -> 0 bytes
 test/reference/big-little-triangle.argb32.ref.png      | Bin 409 -> 0 bytes
 test/reference/big-little-triangle.rgb24.ref.png       | Bin 328 -> 0 bytes
 test/reference/bitmap-font.argb32.ref.png              | Bin 950 -> 0 bytes
 test/reference/bitmap-font.rgb24.ref.png               | Bin 871 -> 0 bytes
 test/reference/bug-source-cu.argb32.ref.png            | Bin 3815 -> 0 bytes
 test/reference/bug-source-cu.rgb24.ref.png             | Bin 3211 -> 0 bytes
 test/reference/clear.argb32.ref.png                    | Bin 692 -> 0 bytes
 test/reference/clear.rgb24.ref.png                     | Bin 617 -> 0 bytes
 test/reference/clip-device-offset.argb32.ref.png       | Bin 175 -> 0 bytes
 test/reference/clip-device-offset.rgb24.ref.png        | Bin 168 -> 0 bytes
 test/reference/clip-fill-eo-unbounded.argb32.ref.png   | Bin 4197 -> 0 bytes
 test/reference/clip-fill-eo-unbounded.rgb24.ref.png    | Bin 3551 -> 0 bytes
 test/reference/clip-fill-nz-unbounded.argb32.ref.png   | Bin 4197 -> 0 bytes
 test/reference/clip-fill-nz-unbounded.rgb24.ref.png    | Bin 3551 -> 0 bytes
 .../clip-fill-rule-pixel-aligned.argb32.ref.png        | Bin 195 -> 0 bytes
 .../clip-fill-rule-pixel-aligned.rgb24.ref.png         | Bin 165 -> 0 bytes
 test/reference/clip-fill-rule.argb32.ref.png           | Bin 437 -> 0 bytes
 test/reference/clip-fill-rule.rgb24.ref.png            | Bin 393 -> 0 bytes
 test/reference/clip-nesting.argb32.ref.png             | Bin 1044 -> 0 bytes
 test/reference/clip-nesting.rgb24.ref.png              | Bin 936 -> 0 bytes
 test/reference/clip-operator.argb32.ref.png            | Bin 8257 -> 0 bytes
 test/reference/clip-operator.rgb24.ref.png             | Bin 3288 -> 0 bytes
 test/reference/clip-stroke-unbounded.argb32.ref.png    | Bin 4127 -> 0 bytes
 test/reference/clip-stroke-unbounded.rgb24.ref.png     | Bin 3566 -> 0 bytes
 test/reference/clip-twice.argb32.ref.png               | Bin 1358 -> 0 bytes
 test/reference/clip-twice.rgb24.ref.png                | Bin 1195 -> 0 bytes
 test/reference/clip-unbounded.argb32.ref.png           | Bin 100 -> 0 bytes
 test/reference/clip-unbounded.rgb24.ref.png            | Bin 97 -> 0 bytes
 test/reference/dash-zero-length.argb32.ref.png         | Bin 230 -> 0 bytes
 test/reference/dash-zero-length.rgb24.ref.png          | Bin 208 -> 0 bytes
 test/reference/degenerate-path.argb32.ref.png          | Bin 251 -> 0 bytes
 test/reference/degenerate-path.rgb24.ref.png           | Bin 219 -> 0 bytes
 test/reference/device-offset-positive.argb32.ref.png   | Bin 139 -> 0 bytes
 test/reference/device-offset-positive.rgb24.ref.png    | Bin 111 -> 0 bytes
 test/reference/device-offset.argb32.ref.png            | Bin 137 -> 0 bytes
 test/reference/device-offset.rgb24.ref.png             | Bin 111 -> 0 bytes
 test/reference/egl-surface-source.argb32.ref.png       | Bin 377 -> 0 bytes
 test/reference/egl-surface-source.rgb24.ref.png        | Bin 301 -> 0 bytes
 .../reference/extended-blend-alpha-mask.argb32.ref.png | Bin 9221 -> 0 bytes
 test/reference/extended-blend-alpha-mask.rgb24.ref.png | Bin 4597 -> 0 bytes
 test/reference/extended-blend-alpha.argb32.ref.png     | Bin 9406 -> 0 bytes
 test/reference/extended-blend-alpha.rgb24.ref.png      | Bin 5740 -> 0 bytes
 test/reference/extended-blend-mask.argb32.ref.png      | Bin 3971 -> 0 bytes
 test/reference/extended-blend-mask.rgb24.ref.png       | Bin 3643 -> 0 bytes
 .../extended-blend-solid-alpha.argb32.ref.png          | Bin 9406 -> 0 bytes
 .../reference/extended-blend-solid-alpha.rgb24.ref.png | Bin 5740 -> 0 bytes
 test/reference/extended-blend-solid.argb32.ref.png     | Bin 4063 -> 0 bytes
 test/reference/extended-blend-solid.rgb24.ref.png      | Bin 3775 -> 0 bytes
 test/reference/extended-blend.argb32.ref.png           | Bin 4063 -> 0 bytes
 test/reference/extended-blend.rgb24.ref.png            | Bin 3775 -> 0 bytes
 test/reference/fallback.argb32.ref.png                 | Bin 4059 -> 0 bytes
 test/reference/fallback.rgb24.ref.png                  | Bin 3139 -> 0 bytes
 test/reference/fill-and-stroke.argb32.ref.png          | Bin 312 -> 0 bytes
 test/reference/fill-and-stroke.rgb24.ref.png           | Bin 283 -> 0 bytes
 .../fill-degenerate-sort-order.argb32.ref.png          | Bin 2400 -> 0 bytes
 .../reference/fill-degenerate-sort-order.rgb24.ref.png | Bin 2049 -> 0 bytes
 test/reference/fill-empty.argb32.ref.png               | Bin 99 -> 0 bytes
 test/reference/fill-empty.rgb24.ref.png                | Bin 97 -> 0 bytes
 test/reference/fill-missed-stop.argb32.ref.png         | Bin 455 -> 0 bytes
 test/reference/fill-missed-stop.rgb24.ref.png          | Bin 382 -> 0 bytes
 test/reference/fill-rule.argb32.ref.png                | Bin 2065 -> 0 bytes
 test/reference/fill-rule.rgb24.ref.png                 | Bin 1803 -> 0 bytes
 test/reference/finer-grained-fallbacks.argb32.ref.png  | Bin 1068 -> 0 bytes
 test/reference/finer-grained-fallbacks.rgb24.ref.png   | Bin 837 -> 0 bytes
 test/reference/gl-surface-source.argb32.ref.png        | Bin 377 -> 0 bytes
 test/reference/gl-surface-source.rgb24.ref.png         | Bin 301 -> 0 bytes
 test/reference/gradient-alpha.argb32.ref.png           | Bin 125 -> 0 bytes
 test/reference/gradient-alpha.rgb24.ref.png            | Bin 119 -> 0 bytes
 test/reference/gradient-constant-alpha.argb32.ref.png  | Bin 111 -> 0 bytes
 test/reference/gradient-constant-alpha.rgb24.ref.png   | Bin 106 -> 0 bytes
 test/reference/gradient-zero-stops-mask.argb32.ref.png | Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops-mask.rgb24.ref.png  | Bin 86 -> 0 bytes
 test/reference/gradient-zero-stops.argb32.ref.png      | Bin 105 -> 0 bytes
 test/reference/gradient-zero-stops.rgb24.ref.png       | Bin 86 -> 0 bytes
 test/reference/image-surface-source.argb32.ref.png     | Bin 377 -> 0 bytes
 test/reference/image-surface-source.rgb24.ref.png      | Bin 301 -> 0 bytes
 test/reference/linear-gradient-one-stop.argb32.ref.png | Bin 225 -> 0 bytes
 test/reference/linear-gradient-one-stop.rgb24.ref.png  | Bin 174 -> 0 bytes
 test/reference/mask-alpha.argb32.ref.png               | Bin 632 -> 0 bytes
 test/reference/mask-alpha.rgb24.ref.png                | Bin 589 -> 0 bytes
 test/reference/mask-ctm.argb32.ref.png                 | Bin 129 -> 0 bytes
 test/reference/mask-ctm.rgb24.ref.png                  | Bin 105 -> 0 bytes
 test/reference/mask-surface-ctm.argb32.ref.png         | Bin 129 -> 0 bytes
 test/reference/mask-surface-ctm.rgb24.ref.png          | Bin 105 -> 0 bytes
 test/reference/mask.argb32.ref.png                     | Bin 8565 -> 0 bytes
 test/reference/mask.rgb24.ref.png                      | Bin 7135 -> 0 bytes
 test/reference/new-sub-path.argb32.ref.png             | Bin 408 -> 0 bytes
 test/reference/new-sub-path.rgb24.ref.png              | Bin 371 -> 0 bytes
 test/reference/nil-surface.argb32.ref.png              | Bin 107 -> 0 bytes
 test/reference/nil-surface.rgb24.ref.png               | Bin 87 -> 0 bytes
 test/reference/operator-alpha.argb32.ref.png           | Bin 280 -> 0 bytes
 test/reference/operator-alpha.rgb24.ref.png            | Bin 205 -> 0 bytes
 test/reference/operator-clear.argb32.ref.png           | Bin 1071 -> 0 bytes
 test/reference/operator-clear.rgb24.ref.png            | Bin 946 -> 0 bytes
 test/reference/operator-source.argb32.ref.png          | Bin 5614 -> 0 bytes
 test/reference/operator-source.rgb24.ref.png           | Bin 4012 -> 0 bytes
 test/reference/operator.argb32.ref.png                 | Bin 238 -> 0 bytes
 test/reference/operator.rgb24.ref.png                  | Bin 189 -> 0 bytes
 test/reference/over-above-source.argb32.ref.png        | Bin 564 -> 0 bytes
 test/reference/over-above-source.rgb24.ref.png         | Bin 465 -> 0 bytes
 test/reference/over-around-source.argb32.ref.png       | Bin 633 -> 0 bytes
 test/reference/over-around-source.rgb24.ref.png        | Bin 499 -> 0 bytes
 test/reference/over-below-source.argb32.ref.png        | Bin 447 -> 0 bytes
 test/reference/over-below-source.rgb24.ref.png         | Bin 385 -> 0 bytes
 test/reference/over-between-source.argb32.ref.png      | Bin 596 -> 0 bytes
 test/reference/over-between-source.rgb24.ref.png       | Bin 463 -> 0 bytes
 test/reference/overlapping-boxes.argb32.ref.png        | Bin 179 -> 0 bytes
 test/reference/overlapping-boxes.rgb24.ref.png         | Bin 170 -> 0 bytes
 test/reference/overlapping-glyphs.argb32.ref.png       | Bin 2717 -> 0 bytes
 test/reference/overlapping-glyphs.rgb24.ref.png        | Bin 1663 -> 0 bytes
 test/reference/pass-through.argb32.ref.png             | Bin 221 -> 0 bytes
 test/reference/pass-through.rgb24.ref.png              | Bin 158 -> 0 bytes
 test/reference/pdf-surface-source.argb32.ref.png       | Bin 377 -> 0 bytes
 test/reference/pdf-surface-source.rgb24.ref.png        | Bin 301 -> 0 bytes
 test/reference/pixman-rotate.argb32.ref.png            | Bin 260 -> 0 bytes
 test/reference/pixman-rotate.rgb24.ref.png             | Bin 225 -> 0 bytes
 test/reference/ps-surface-source.argb32.ref.png        | Bin 377 -> 0 bytes
 test/reference/ps-surface-source.rgb24.ref.png         | Bin 301 -> 0 bytes
 test/reference/push-group.argb32.ref.png               | Bin 3062 -> 0 bytes
 test/reference/push-group.rgb24.ref.png                | Bin 2899 -> 0 bytes
 test/reference/quartz-surface-source.argb32.ref.png    | Bin 377 -> 0 bytes
 test/reference/quartz-surface-source.rgb24.ref.png     | Bin 301 -> 0 bytes
 test/reference/radial-gradient-source.argb32.ref.png   | Bin 408848 -> 0 bytes
 test/reference/radial-gradient-source.rgb24.ref.png    | Bin 263908 -> 0 bytes
 .../recording-surface-extend-none.argb32.ref.png       | Bin 3153 -> 0 bytes
 .../recording-surface-extend-none.rgb24.ref.png        | Bin 3145 -> 0 bytes
 .../recording-surface-extend-pad.argb32.ref.png        | Bin 11200 -> 0 bytes
 .../recording-surface-extend-pad.rgb24.ref.png         | Bin 12586 -> 0 bytes
 .../recording-surface-extend-reflect.argb32.ref.png    | Bin 23967 -> 0 bytes
 .../recording-surface-extend-reflect.rgb24.ref.png     | Bin 23930 -> 0 bytes
 .../recording-surface-extend-repeat.argb32.ref.png     | Bin 24091 -> 0 bytes
 .../recording-surface-extend-repeat.rgb24.ref.png      | Bin 24075 -> 0 bytes
 test/reference/recording-surface-over.argb32.ref.png   | Bin 3153 -> 0 bytes
 test/reference/recording-surface-over.rgb24.ref.png    | Bin 3145 -> 0 bytes
 test/reference/recording-surface-source.argb32.ref.png | Bin 3153 -> 0 bytes
 test/reference/recording-surface-source.rgb24.ref.png  | Bin 3146 -> 0 bytes
 test/reference/rel-path.argb32.ref.png                 | Bin 197 -> 0 bytes
 test/reference/rel-path.rgb24.ref.png                  | Bin 216 -> 0 bytes
 .../scale-source-surface-paint.argb32.ref.png          | Bin 147 -> 0 bytes
 .../reference/scale-source-surface-paint.rgb24.ref.png | Bin 117 -> 0 bytes
 test/reference/set-source.argb32.ref.png               | Bin 120 -> 0 bytes
 test/reference/set-source.rgb24.ref.png                | Bin 101 -> 0 bytes
 .../source-surface-scale-paint.argb32.ref.png          | Bin 139 -> 0 bytes
 .../reference/source-surface-scale-paint.rgb24.ref.png | Bin 114 -> 0 bytes
 .../reference/subsurface-outside-target.argb32.ref.png | Bin 2063 -> 0 bytes
 test/reference/subsurface-outside-target.rgb24.ref.png | Bin 1648 -> 0 bytes
 test/reference/surface-pattern-operator.argb32.ref.png | Bin 5217 -> 0 bytes
 test/reference/surface-pattern-operator.rgb24.ref.png  | Bin 1942 -> 0 bytes
 test/reference/svg-surface-source.argb32.ref.png       | Bin 377 -> 0 bytes
 test/reference/svg-surface-source.rgb24.ref.png        | Bin 301 -> 0 bytes
 test/reference/text-pattern.argb32.ref.png             | Bin 3455 -> 0 bytes
 test/reference/text-pattern.rgb24.ref.png              | Bin 2684 -> 0 bytes
 test/reference/tighten-bounds.argb32.ref.png           | Bin 9115 -> 0 bytes
 test/reference/tighten-bounds.rgb24.ref.png            | Bin 8365 -> 0 bytes
 test/reference/trap-clip.argb32.ref.png                | Bin 5826 -> 0 bytes
 test/reference/trap-clip.rgb24.ref.png                 | Bin 5435 -> 0 bytes
 test/reference/unbounded-operator.argb32.ref.png       | Bin 2781 -> 0 bytes
 test/reference/unbounded-operator.rgb24.ref.png        | Bin 1333 -> 0 bytes
 test/reference/xcb-surface-source.argb32.ref.png       | Bin 377 -> 0 bytes
 test/reference/xcb-surface-source.rgb24.ref.png        | Bin 301 -> 0 bytes
 test/reference/xlib-surface-source.argb32.ref.png      | Bin 377 -> 0 bytes
 test/reference/xlib-surface-source.rgb24.ref.png       | Bin 301 -> 0 bytes
 test/reference/zero-mask.argb32.ref.png                | Bin 402 -> 0 bytes
 test/reference/zero-mask.rgb24.ref.png                 | Bin 382 -> 0 bytes
 174 files changed, 0 insertions(+), 0 deletions(-)

commit 93c21e3fd309781d0f48052097f5670dbe9af820
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Mon Sep 22 10:19:17 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Sep 29 16:08:23 2014 -0700

    test: Add test for egl-surface-source
    
    This test file attempts to use a EGL backend surface as a source
    surface for all other backends.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 test/Makefile.sources                              |   3 +-
 test/egl-surface-source.c                          | 135 +++++++++++++++++++++
 test/reference/egl-surface-source.argb32.ref.png   | Bin 0 -> 377 bytes
 .../egl-surface-source.base.argb32.ref.png         | Bin 0 -> 377 bytes
 .../egl-surface-source.base.rgb24.ref.png          | Bin 0 -> 301 bytes
 test/reference/egl-surface-source.image16.ref.png  | Bin 0 -> 305 bytes
 test/reference/egl-surface-source.rgb24.ref.png    | Bin 0 -> 301 bytes
 7 files changed, 137 insertions(+), 1 deletion(-)

commit 573ddfc3d5c08c37b95a21e0a1b34acecc646053
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Thu Sep 25 08:38:50 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Sep 29 15:59:26 2014 -0700

    src: check the surface backend for NULL
    
    This is a follow-up patch on top of 150c1e7044c57443d458e12bfc427d3a019cb60b
    As discussed in the mailing list, http://lists.cairographics.org/archives/cairo/2014-September/025647.html,
    check if the surfaces are of particular backend type or not, before proceeding further.
    
    These changes are based on _cairo_surface_is_xlib() and _cairo_surface_is_image()
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 src/cairo-qt-surface.cpp         | 28 +++++++++++++++++++++++++---
 src/cairo-quartz-image-surface.c |  4 +++-
 src/cairo-quartz-surface.c       | 14 ++++++++++++++
 src/win32/cairo-win32-surface.c  | 19 ++++++++++++++++++-
 4 files changed, 60 insertions(+), 5 deletions(-)

commit 06b9f8fa2d179850cda8a0a103896bc011ce46d6
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Mon Sep 22 12:53:08 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Mon Sep 29 08:42:17 2014 +0100

    stroke,traps: Emit join without loss of precision
    
    As the target renderers operate at a different sample resolution then we
    use internally for coordinate representation, there is always a potential
    for discrepancies in the line gradients when passing around trapezoids.
    To overcome this, the protocol specification of trapezoids uses the full
    lines and vertical range as opposed to vertices and so long as we always
    use the same lines for conjoint trapezoids, they remain abutting in the
    rasteriser.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84115
    Testcase: bug-84115
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/Makefile.sources          |   3 +
 src/cairo-bentley-ottmann.c   | 232 +-------------------------------
 src/cairo-line-inline.h       |  48 +++++++
 src/cairo-line-private.h      |  50 +++++++
 src/cairo-line.c              | 306 ++++++++++++++++++++++++++++++++++++++++++
 src/cairo-path-stroke-traps.c |  55 +++++---
 src/cairo-traps-private.h     |   8 +-
 src/cairo-traps.c             |  85 ++++++++++--
 8 files changed, 530 insertions(+), 257 deletions(-)

commit 5c03b20732b84370950f0c7e5648da86ef45a571
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Mon Sep 29 08:37:56 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Mon Sep 29 08:42:17 2014 +0100

    test/coverage: Exercise invariance under mirror symmetry
    
    Massimo noticed that the record/record-flip were not being rasterised as
    identical mirror images due to a half-subpixel offset in the tor scan
    converter. This test attempts to reproduce this error by rendering a
    rhombus around the origin of each cell (that is it generates 4 mirror
    images of a triangle in the 4 different orientations0. The expectation
    is that each pixel in the group is lit identically as the coverage is
    identical.
    
    References: https://bugs.freedesktop.org/show_bug.cgi?id=84396
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/coverage.c                         |  55 ++++++++++++++++++++++++++++++++
 test/reference/coverage-rhombus.ref.png | Bin 0 -> 7053 bytes
 2 files changed, 55 insertions(+)

commit fbb0a260b707cb5f02a14cc368c6f2f0d63564c3
Author:     Marc-André Lureau <marcandre.lureau@gmail.com>
AuthorDate: Tue Apr 2 21:00:20 2013 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Sep 24 12:20:53 2014 -0700

    build-sys: do not try to build util/sphinx on Windows
    
    glib and dlfcn exist on windows, but sphinx code uses a lot of
    Unix-only API
    
    Fixes the following build error on mingw-fedora
    
      CC     cairo-boilerplate-system.lo
    ../../../util/cairo-sphinx/sphinx.c:8:22: fatal error: sys/mman.h: No such file or directory
    compilation terminated.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=63043
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42320793aa1b3e5a0b74e94a0aadf5d2b9ae5ce2
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Sep 24 11:37:58 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Sep 24 12:12:47 2014 -0700

    sphinx: Add ickle's explanation of what sphinx does

 util/cairo-sphinx/sphinx.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 80359e73d821516f411b25b977b442869fa5d0ad
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Tue Sep 23 12:58:27 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Wed Sep 24 12:35:47 2014 +0100

    test: Exercise stroking bugs with xlib/trapezoids
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=84115
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/Makefile.sources                 |   1 +
 test/bug-84115.c                      |  61 ++++++++++++++++++++++++++++++++++
 test/reference/bug-84115.ref.png      | Bin 0 -> 64233 bytes
 test/reference/bug-84115.xlib.ref.png | Bin 0 -> 65033 bytes
 4 files changed, 62 insertions(+)

commit 06a737b74d3bc925a2c32254f497e07b6d1af5ca
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Wed Sep 24 09:57:31 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Wed Sep 24 12:35:47 2014 +0100

    arc: Insert the initial point on the arc
    
    Currently the very first point on the arc will be the first interpreted
    location along the spline used to approximate the arc. This will be
    close, but not quite the exact point the user intended the arc to run
    from, so begin the arc with a line-to the initial point.
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-arc.c | 4 ++++
 1 file changed, 4 insertions(+)

commit bdd0721dcddd6c4528c9518a2152cd154f746202
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Sep 23 16:41:36 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Tue Sep 23 16:41:36 2014 -0700

    NEWS: Revise downscaling feature description
    
    Updated feature description using text from Bill.  Also updated bugfix
    list to include recent fixes.

 NEWS | 48 +++++++++++++++++++++++++++---------------------
 1 file changed, 27 insertions(+), 21 deletions(-)

commit 7cfebce15228c88ee122edb8ba575f9a609e36f4
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Tue Sep 23 12:40:25 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Tue Sep 23 12:40:25 2014 -0700

    build:  Fix float endian configure test when using clang -O4
    
    When using clang -O4, the compiled test object is output in bitcode
    format rather than as an ELF object, so when we grep the test value from
    the object it fails.  To work around this, go ahead and link the test
    object into an executable, and then grep against this native binary
    instead of the compiler's intermediary object.
    
    We need to add __attribute__((used)) to ensure the d variable doesn't
    get optimized out during linking, since it's not referenced in the
    test's main().
    
    Patch authored by cmuelle8 <abendstund@gmail.com>
    
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>
    Bugzilla:  https://bugs.freedesktop.org/show_bug.cgi?id=63310

 build/aclocal.float.m4 | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 9a19ef185884da1e7d5344b301f48aa2ba0f88b6
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Mon Mar 24 19:08:10 2014 +1030
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Tue Sep 23 11:40:03 2014 -0700

    Fix compilation with bionic libc
    
    Refactor out a cairo_get_locale_decimal_point() routine to handle a case
    where localeconv() is not available.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=70492
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>
    
    [edit:  Condensed cairo_get_locale_decimal_point and conditionalized
    locale.h inclusion.  -- bryce]

 src/cairo-cff-subset.c    |  4 +---
 src/cairo-misc.c          | 18 ++++++++++++++++++
 src/cairo-output-stream.c |  5 +----
 src/cairo-type1-subset.c  |  5 +----
 src/cairoint.h            |  3 +++
 5 files changed, 24 insertions(+), 11 deletions(-)

commit a02e29a12d82f177bdf99ed8cfd0c3b3b78c44da
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Mon Sep 22 15:48:49 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Sep 22 15:48:49 2014 -0700

    Don't return NULL to clients when getting device
    
    Return an error device instead
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=58061

 src/cairo-cogl-surface.c | 2 +-
 src/drm/cairo-drm.c      | 9 ++++++---
 2 files changed, 7 insertions(+), 4 deletions(-)

commit 150c1e7044c57443d458e12bfc427d3a019cb60b
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Mon Sep 22 15:41:24 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Sep 22 15:41:24 2014 -0700

    Don't return NULL to clients when getting image
    
    Return an error surface instead.
    
    Fixes:  https://bugs.freedesktop.org/show_bug.cgi?id=58061

 src/cairo-qt-surface.cpp         | 2 +-
 src/cairo-quartz-image-surface.c | 2 +-
 src/win32/cairo-win32-surface.c  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 40e757679634ba6261b9df231ba5c706625e215d
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Mon Sep 22 15:06:54 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Mon Sep 22 15:06:54 2014 -0700

    NEWS: Note that downscaling changes only affect image + fallback

 NEWS | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 402b456a3229f6c7f1550e66bbd8125c253a4ff1
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Jul 31 17:58:15 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Sep 19 17:23:50 2014 -0700

    gl: Increase default VBO size on GL to 1M
    
    The default VBO size was reduced from 256k to 16k because embedded
    devices had trouble with the larger memory demands of a big VBO.  My
    testing[1] indicates this incurred a 5% performance loss on at least one
    of Cairo's performance tests.  Further testing showed that with
    late-model graphics cards, further performance benefits can be seen with
    even larger VBO sizes, up to 8.3% at 1M for Intel.
    
    Now that we can set the vbo size differently for different backends, set
    it to the lower value (16k) for EGL, and higher (1M) for GL.
    
    1: http://www.bryceharrington.org/wordpress/2013/08/vbo-size/
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-egl-context.c | 6 ++++++
 src/cairo-gl-private.h  | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit aa820c13d78a4fc1c87da0da9012ee532aa2d50a
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Jul 31 17:43:03 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Sep 19 17:23:50 2014 -0700

    gl: Track the VBO size as a property of the ctx
    
    Change suggested by Chris Wilson.  This will enable setting different
    vbo sizes for GL vs. EGL.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-gl-composite.c |  3 ++-
 src/cairo-gl-device.c    |  4 +++-
 src/cairo-gl-info.c      | 22 ++++++++++------------
 src/cairo-gl-private.h   |  3 ++-
 4 files changed, 17 insertions(+), 15 deletions(-)

commit 036f47c34579259fa86d0193797b6f83fe79bbeb
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Mon Aug 19 19:38:26 2013 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Sep 19 17:23:50 2014 -0700

    cairo-gl: Make VBO size run-time settable
    
    The default VBO size was reduced from 256k to 16k last year in commit
    90860241 due to problems with larger VBOs on embedded hardware.
    However, that change resulted in a 5% performance impact to the
    firefox-fishbowl benchmark when using the spans or traps compositors.
    
    This patch doesn't change the VBO size, but does permit it to be
    altered via an environment variable, to facilitate testing.
    
    Signed-off-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-gl-composite.c |  2 +-
 src/cairo-gl-device.c    |  2 +-
 src/cairo-gl-info.c      | 22 ++++++++++++++++++++++
 src/cairo-gl-private.h   |  8 ++++++--
 4 files changed, 30 insertions(+), 4 deletions(-)

commit 8479b6086710e11c81c0059ffc5fa6a71d14256c
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Tue Sep 16 10:18:02 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Sep 19 15:46:14 2014 -0700

    test: Add test oversized egl surfaces
    
    This test exercises error scenario when creating over sized egl surface
    that is larger than maximum framebuffer or texture dimensions of the
    context
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>

 test/Makefile.am             |   4 ++
 test/Makefile.sources        |   3 ++
 test/egl-oversized-surface.c | 117 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 124 insertions(+)

commit 3d68352e3c00b836e50c2eacb0b80ae5a0e15a65
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Thu Sep 18 13:18:48 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Sep 18 13:18:48 2014 -0700

    NEWS: Drop unfinished thought

 NEWS | 1 -
 1 file changed, 1 deletion(-)

commit 54670ec13d64efa94f552b5473c1f15a9db1cecd
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Sep 17 20:27:13 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Sep 17 20:33:22 2014 -0700

    AUTHORS: Add Ravi, myself, and a couple other frequent contributors

 AUTHORS | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 33a54e7c204c4bb7fb0f1f2844608a78ea317db4
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Sep 17 20:25:37 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Sep 17 20:25:37 2014 -0700

    README:  Update required dependencies
    
    Also adds mention of the skia backend.

 README | 30 ++++++++++++++++++++----------
 1 file changed, 20 insertions(+), 10 deletions(-)

commit d1fa4d44fe6b70eba6d5f620c5c4a6c122cc7fc8
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Sep 17 20:04:01 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Sep 17 20:04:01 2014 -0700

    NEWS:  Bring up to date with recent bug fixes.

 NEWS | 69 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 66 insertions(+), 3 deletions(-)

commit e0c0a673ee757615bd3d22f46767535e9f53d6f5
Author:     Bryce Harrington <bryce@osg.samsung.com>
AuthorDate: Wed Sep 17 17:14:01 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Sep 17 17:30:04 2014 -0700

    Disable font options for xcb.
    
    This patch makes a bunch of tests pass again. The first hunk one fixes a
    shameful oversight (whoops), the second one effectively reverts
    e691d242.  That change broke 102 xcb and 70 xlib tests, including a
    bunch of *twin-antialias-* test cases.  Patch thanks to Uli Schlachter.
    
    Signed-off-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xcb-screen.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 0aa43ed886c0f8468a21a470f2f024bd4d8a4513
Author:     Adrian Johnson <ajohnson@redneon.com>
AuthorDate: Sun Sep 14 22:02:12 2014 +0930
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Sun Sep 14 22:02:12 2014 +0930

    win32 printing: fix image scale when GDI scale is not identity

 src/win32/cairo-win32-printing-surface.c | 1 +
 1 file changed, 1 insertion(+)

commit e691d242d592a8556e25659fb091a2031abee4c9
Author:     Lukáš Lalinský <lukas@oxygene.sk>
AuthorDate: Wed Sep 3 22:53:55 2014 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Fri Sep 12 18:19:44 2014 +0200

    xcb: Initialize font options from Xft resources
    
    There is a similar code in the Xlib backend. The logic here is the same, but
    XCB doesn't support X resources directly, so there is some custom code
    to get and parse the resources from the root window.
    
    Signed-off-by: Lukáš Lalinský <lukas@oxygene.sk>
    Reviewed-by: Uli Schlachter <psychon@znc.in>

 src/Makefile.sources      |   1 +
 src/cairo-xcb-private.h   |  19 +++
 src/cairo-xcb-resources.c | 304 ++++++++++++++++++++++++++++++++++++++++++++++
 src/cairo-xcb-screen.c    | 108 ++++++++++++++++
 src/cairo-xcb-surface.c   |   6 +-
 5 files changed, 435 insertions(+), 3 deletions(-)

commit e77d0a5611fedce2bfa0940ff62f003c1f9cfa08
Author:     David Weiß <david.weiss@ptvgroup.com>
AuthorDate: Fri Sep 5 17:03:26 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Sep 11 13:00:13 2014 -0700

    made paths to pixman, libpng and zlib configurable by commandline for win32 builds
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 build/Makefile.win32.common | 23 +++++++++++++++++------
 1 file changed, 17 insertions(+), 6 deletions(-)

commit 3b9d7e583f376413df655f778a3ef04537e8a5b6
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Fri Sep 5 12:15:02 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Sep 11 12:53:05 2014 -0700

    qt: Suppress warnings in qt backend build
    
    This patch fixes majorly 2 kinds of warning issues:
    
    (1)
    cc1plus: warning: command line option '-Wold-style-definition' is valid for Ada/C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wdeclaration-after-statement' is valid for C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wnested-externs' is valid for C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wstrict-prototypes' is valid for Ada/C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wmissing-prototypes' is valid for Ada/C/ObjC but not for C++ [enabled by default]
    cc1plus: warning: command line option '-Wbad-function-cast' is valid for C/ObjC but not for C++ [enabled by default]
    
    Solution: Enable these warnings only for C compiler and not for C++
    
    (2)
    cairo-qt-surface.cpp: In function 'cairo_int_status_t _cairo_qt_surface_fill(void*, cairo_operator_t, const cairo_pattern_t*, const cairo_path_fixed_t*, cairo_fill_rule_t, double, cairo_antialias_t, const cairo_clip_t*)':
    cairo-qt-surface.cpp:852:5: warning: inlining failed in call to 'PatternToBrushConverter::PatternToBrushConverter(const cairo_pattern_t*)': --param max-inline-insns-single limit reached [-Winline]
    cairo-qt-surface.cpp:1339:38: warning: called from here [-Winline]
    cairo-qt-surface.cpp:390:1: warning: inlining failed in call to 'QPainterPath _ZL10path_to_qtPK17_cairo_path_fixedPK13_cairo_matrix.part.13()': call is unlikely and code size would grow [-Winline]
    cairo-qt-surface.cpp:1306:1: warning: called from here [-Winline]
    cairo-qt-surface.cpp:1051:5: warning: inlining failed in call to 'PatternToBrushConverter::~PatternToBrushConverter()': call is unlikely and code size would grow [-Winline]
    
    Solution: Add __attribute__ ((noinline)) to the function as mentioned in
    http://stackoverflow.com/questions/11724235/warning-for-template-with-g-o2-or-os-o-o1 (Edit 3)
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 build/configure.ac.warnings | 13 +++++++------
 src/cairo-qt-surface.cpp    |  9 ++++++---
 2 files changed, 13 insertions(+), 9 deletions(-)

commit 29a8b4e970379ca04a7db8e63c71bb34c0e349ce
Author:     Maks Naumov <maksqwe1@ukr.net>
AuthorDate: Wed Aug 20 09:52:45 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Aug 28 13:16:47 2014 -0700

    Fix _cairo_mesh_pattern_equal() when cairo_mesh_patch_t structs are different
    
    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-pattern.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e6bf829d8953fac82ccc80618c6cae41346e483f
Author:     Maks Naumov <maksqwe1@ukr.net>
AuthorDate: Wed Aug 20 09:38:37 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Aug 27 21:14:26 2014 -0700

    Fix font x_scale value in _compute_transform()
    
    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-ft-font.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c6ae5b197623867e2baca0bf4fe2907ea55536f5
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Mon Aug 25 09:28:40 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Aug 27 20:39:57 2014 -0700

    test: Fix null pointer issue reported by cppcheck static analysis tool
    
    cppcheck analysis tool reports the following issues when run on the
    latest Cairo source.
    
    $ grep "(error)"  cppcheck_error_log.txt
    [test/pdf-mime-data.c:58]: (error) Possible null pointer dereference: file - otherwise it is redundant to check if file is null at line 53
    [test/pdf-mime-data.c:75]: (error) Resource leak: fp
    $
    
    The proposed changes fixes the above issues.
    
    And also it does some refactoring to print the appropriate error messages
    for each error condition in read_file() function and also to free the allocated
    data buffer.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/pdf-mime-data.c | 25 ++++++++++++++-----------
 1 file changed, 14 insertions(+), 11 deletions(-)

commit 52c4f0f2dafcc6e087a9c3c6d00c582fc272c2c2
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Thu Aug 21 18:18:34 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Wed Aug 27 20:39:49 2014 -0700

    src: Fix memory issue reported by cppcheck static analysis tool
    
    cppcheck analysis tool reports the following issues when run on the
    latest Cairo source.
    
    $ grep "(error)"  cppcheck_error_log.txt
    [src/skia/cairo-skia-surface.cpp:245]: (error) Memory leak: surface
    $
    
    The proposed changes fixes the above issues.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/skia/cairo-skia-surface.cpp | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a5f51588afd9d5629b03297eb29ff46350b6ba50
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Mon Aug 25 08:55:24 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Mon Aug 25 08:55:24 2014 +0100

    traps,xcb: Set the box count after filtering
    
    After converting, the number of boxes should only count the number of
    non-zero boxes and forget about the zero-sized boxes we skipped over.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=81699
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c   | 4 ++--
 src/cairo-xcb-surface-render.c | 5 +++--
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 13a09526d2120c244471e03b6ae979016ef88e83
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Sat Aug 23 14:16:55 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Sat Aug 23 14:20:43 2014 +0100

    traps,xcb: Prefilter zero-area boxes when converting traps
    
    The rectangular tesselation routines rely on the presuming that all the
    boxes it has to handle are already filtered to remove empty boxes.
    
    << /width 800 /height 600 >> surface context
    0.0848671 0 0 0.0848671 39.907812 5.608896 matrix transform
    8 0 m 12.417969 0 16 3.582031 16 8 c 16 12.417969 12.417969 16 8 16 c
    3.582031 16 0 12.417969 0 8 c 0 3.582031 3.582031 0 8 0 c h
    clip
    16 0 m 8 8 l 16 16 l h
    clip
    0 0 16 16 rectangle
    fill
    
    Triggers the error given a traps tesselator like cairo-xlib.
    
    Reported-by: Henrique Lengler <henriqueleng@openmailbox.org>
    Analyzed-by: Massimo <sixtysix@inwind.it>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=81699
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

 src/cairo-traps-compositor.c   | 28 +++++++++++++++++-----------
 src/cairo-xcb-surface-render.c | 29 ++++++++++++++++++-----------
 2 files changed, 35 insertions(+), 22 deletions(-)

commit 545444ec1f79eab268647e9859efc9c8d1a10391
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Sat Aug 23 14:38:36 2014 +0200
Commit:     Uli Schlachter <psychon@znc.in>
CommitDate: Sat Aug 23 14:38:36 2014 +0200

    xcb: Correctly check for image surface for inplace upload
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=82987
    Signed-off-by: Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-render.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 183ac1889f369743a86a8a2ff6b61486acda614e
Author:     Maks Naumov <maksqwe1@ukr.net>
AuthorDate: Tue Aug 19 14:59:14 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Aug 21 12:56:42 2014 -0700

    Fix width and height args for _cairo_xcb_connection_copy_area()
    
    Found via static analysis.
    
    Signed-off-by: Maks Naumov <maksqwe1@ukr.net>
    Reviewed-by:  Uli Schlachter <psychon@znc.in>

 src/cairo-xcb-surface-core.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eab218d1e3b0f2a3c0ab33d3173c42cc57e9bf8c
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Wed Aug 20 11:45:19 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Aug 21 12:34:10 2014 -0700

    configure.ac: configuration check to enable either gl or glesv2, not both at the same time
    
    A proposed solution for the discussion in
    https://bugs.freedesktop.org/show_bug.cgi?id=57379#c12,
    to avoid muliple definition of cairo_gl_* symbols when
    both gl and glesv2 backends are enabled at the same time
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 configure.ac | 4 ++++
 1 file changed, 4 insertions(+)

commit 932548ef25864958ef966ffe83e7c945c3ff3cd4
Author:     Rodrigo Rivas Costa <rodrigorivascosta@gmail.com>
AuthorDate: Tue Aug 19 00:09:50 2014 +0930
Commit:     Adrian Johnson <ajohnson@redneon.com>
CommitDate: Tue Aug 19 00:09:50 2014 +0930

    win32 print: fix cache_frozen assertions
    
    Bug 81709

 src/win32/cairo-win32-printing-surface.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 7736d08e22ffd7ab9968617164c7e027125b7755
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Wed Aug 6 09:49:59 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Aug 14 16:10:14 2014 -0700

    README : Update README file related to usage of FORMAT make variable
    
    Reformatted the README file to simplify the sentences.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 test/README | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit c61aeddc44c8619a271151b2a2f6bf9f8ff2a18b
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Tue Aug 5 14:31:37 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Aug 14 16:10:09 2014 -0700

    test: improve selective execution of Cairo tests based on FORMAT option
    
    This patch improves the patch "test: Selective execution of Cairo tests based on FORMAT option"
    by extending the usage of FORMAT option even in the case of user not
    providing TARGETS= option
    
    For ex:
    (1). CAIRO_TESTS="zero-alpha" make test FORMAT=rgba
    This command runs the zero-alpha test for all the backends with
    argb32 content format and so on.
    (2). CAIRO_TESTS="zero-alpha" make test FORMAT=rgba,rgb
    This command runs the zero-alpha test for all the backends with
    argb32 and rgb24 content formats.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 boilerplate/cairo-boilerplate.c | 68 +++++++++++++++++++++++++++++++++--------
 1 file changed, 55 insertions(+), 13 deletions(-)

commit f8e0ecb5af8859e2bff26cb719b10b3a9784f6f1
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Thu Jul 24 14:19:21 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Aug 14 16:09:20 2014 -0700

    test: Selective execution of Cairo tests based on FORMAT option
    
    Added a new command line option FORMAT which can take rgb and/or rgba
    values which enables the execution of tests only for the given FORMAT
    For ex:
    (1). CAIRO_TESTS="zero-alpha" make test TARGETS=ps2,image FORMAT=rgba,rgb
    This command runs the zero-alpha test for both ps2 and image backends
    with argb32 and rgb24 content formats.
    (2). CAIRO_TESTS="zero-alpha" make test TARGETS=ps2,image FORMAT=rgba
    This command runs the zero-alpha test for both ps2 and image backends
    with argb32 content format and so on.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>

 boilerplate/cairo-boilerplate.c | 61 ++++++++++++++++++++++++++++++++++++-----
 perf/Makefile.am                |  3 +-
 test/Makefile.am                |  3 +-
 3 files changed, 58 insertions(+), 9 deletions(-)

commit 1d9f4ae5208d86843a6001d10c9cb5b16df2b785
Author:     Bill Spitzak <spitzak@gmail.com>
AuthorDate: Tue Aug 12 15:48:04 2014 -0700
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Aug 14 12:59:07 2014 -0700

    V5: Use NEAREST filter when possible
    
    (changed to use determinant funciton and remove debug printf)
    
    Modifies _cairo_matrix_has_unity_scale to return true for 90 degree rotations
    by allowing error caused by inaccuracy in trig functions.
    
    This fails after 14 additions of M_PI_2 to itself as a float argument to
    cairo_rotate, but the failure is in the detection of the integer translate,
    not in the trig components. I believe this is due to the matrix inversion,
    which may need similar rounding.
    
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>

 src/cairo-matrix.c             | 37 +++++++++++++++++++++++--------------
 src/cairo-pattern.c            |  2 +-
 src/cairo-xcb-surface-render.c |  7 ++-----
 3 files changed, 26 insertions(+), 20 deletions(-)

commit 7d44f8d47e7c4389cf6a3baefc7fee7b5dffbb21
Author:     Ravi Nanjundappa <nravi.n@samsung.com>
AuthorDate: Tue Aug 12 14:16:46 2014 +0530
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Thu Aug 14 12:00:08 2014 -0700

    test : build fix when --enable-pdf=no
    
    Though --enable-pdf=yes by default, when --enable-pdf=no, the cairo build
    fails due to unavailability of cairo-pdf.h and related cairo pdf's apis.
    The current changes fixes this issue by conditionally checking if PDF
    surface is enabled or not.
    
    Signed-off-by: Ravi Nanjundappa <nravi.n@samsung.com>
    Reviewed-by: Bryce Harrington <bryce@osg.samsung.com>
    Tested-by: Bryce Harrington <bryce@osg.samsung.com>

 test/fallback-resolution.c | 5 +++++
 1 file changed, 5 insertions(+)

commit c7ff9bb32e20679d6da4e8a2856be716e5bd9e12
Author:     Uli Schlachter <psychon@znc.in>
AuthorDate: Mon Jul 21 17:10:16 2014 +0200
Commit:     Bryce Harrington <bryce@osg.samsung.com>
CommitDate: Fri Aug 1 13:11:31 2014 -0700

    Remove LTO support
    
    This just never worked too well and caused too many issues. I don't think anyone
    will miss this.
    
    As mentioned in the below bug report, proper LTO support also requires using
    special versions of ranlib, nm and ar which support the LTO object files.
    Otherwise, calling the normal ranlib on an .a library breaks the list of
    exported symbols and thus completely breaks the static library.
    
    This (partly) reverts the following commits:
    
    c3645d97ebd24c6f7ad850785d585aebc706a11c configure.ac: Add a --disable-lto configure option
    d486ea30f1a58640a1178de74f705a73845b1cda configure: Conditionally include -flto
    0870c6fb5b39dcc04fa376123848adde2d06d2ce gcc-4.5 warnings and optimisation flags.
    
    (The last commit is the one which brought us -flto in the first place even
    though it doesn't talk about this. It's also the one which is only reverted
    partly.)
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=77060
    CC: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Uli Schlachter <psychon@znc.in>
    Reviewed-by: Bryce Harrington <b.harrington@samsung.com>

 build/configure.ac.warnings | 16 ----------------
 1 file changed, 16 deletions(-)

commit 27c9923e9887bab5854ecccc81dda69687a0b9ae
Author:     Chris Wilson <chris@chris-wilson.co.uk>
AuthorDate: Fri Aug 1 11:29:29 2014 +0100
Commit:     Chris Wilson <chris@chris-wilson.co.uk>
CommitDate: Fri Aug 1 11:30:42 2014 +0100

    xlib: Undo debug hack to force fallbacks
    
    Remove the debug hack from
    
    commit f337342c88092a251dc00476c4a9880d1cb90822
    Author: Bill Spitzak <spitzak@gmail.com>
    Date:   Fri Jul 18 18:46:26 2014 -0700
    
        V6 image: Use convolution filters for sample reconstruction when downscaling
    
    as it forces the fallback image surface for xlib causing severe
    performance degradation.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=82002
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Bill Spitzak <spitzak@gmail.com>
    Cc: Bryce Harrington <b.harrington@samsung.com>

 src/cairo-xlib-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f337342c88092a251dc00476c4a9880d1cb90822
Author:     Bill Spitzak <spitzak@gmail.com>
AuthorDate: Fri Jul 18 18:46:26 2014 -0700
Commit:     Bryce Harrington <b.harrington@samsung.com>
CommitDate: Fri Jul 25 12:16:53 2014 -0700

    V6 image: Use convolution filters for sample reconstruction when downscaling
    
    This version removes testing code and has some changes to match my current
    pixman version. My proposed pixman patch (not finished yet) will produce
    exactly the same results as this cairo patch.
    
    This code contains an all-new filter generator to replace the one that is
    in pixman. Results in 222 pass/298 failed image tests, which is much better
    than the previous versions of this patch.
    
    Filter generator (which should probably be in pixman):
    
    - Single filter, no "reconstruction" and "sample" filter
    - Filters for derivative < 1 work
    - Fixed IMPULSE and BOX
    - Added TENT, CATMULL_ROM, NOTCH. Remove LANZCOS2.
    - Renamed CUBIC to MITCHELL
    
    Cairo's filter settings:
    
    - CAIRO_FILTER_GOOD: uses BOX filter for scales less than .75 in either
      direction. Uses PIXMAN_FILTER_GOOD (ie BILINEAR) otherwise.
    
    - CAIRO_FILTER_BEST: uses CATMULL filter always. Upscaling more than 2x will
      produce anti-aliased square pixels, similar to OS/X.
    
    - CAIRO_FILTER_GAUSSIAN: this obsolete value is used to test other filters.
      The program must declare and poke the filter into the static varialbe
      ikernel. This should be removed for production code.
    
    NYI: This version uses the fallback for xlib always. The xlib and xcb backends
    must be rewritten to use the fallback version if filtering is needed. Or the
    filtering code must be moved to XRender.

 src/cairo-image-source.c | 420 ++++++++++++++++++++++++++++++++++++++++++++++-
 src/cairo-xlib-display.c |   2 +-
 2 files changed, 420 insertions(+), 2 deletions(-)

commit e71b917bbfc881ddd6ae6ed4367efd328a95af93
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Thu Jul 24 18:41:03 2014 -0700
Commit:     Bryce Harrington <b.harrington@samsung.com>
CommitDate: Thu Jul 24 18:41:37 2014 -0700

    xlib: Fix mispelling in a comment

 src/cairo-xlib-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 82b4781f18d4dc3d368b04a436f854a8f0cff1e1
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Mon Jul 21 15:05:14 2014 -0700
Commit:     Bryce Harrington <b.harrington@samsung.com>
CommitDate: Thu Jul 24 18:41:37 2014 -0700

    cairo-wideint:  Fix typo in two cairo_uint128 functions
    
    _cairo_int128_negate and _cairo_int128_not are #defines of
    _cairo_uint128_negate and _cairo_uint128_not respectively.  The function
    implementations should use the actual function name not the aliases.  On
    systems without a uint128 type, these could lead to build issues.
    
    Credit for finding this go to Dr. Peter Barnes, LLNL.

 src/cairo-wideint.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9e6ceb23b45b7da19911b38eddb7f42f921929b1
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jul 23 12:12:04 2014 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jul 23 12:12:04 2014 -0400

    More binary mode for Windows
    
    Based on:
    https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-cairo/0012-more-binary-mode.mingw.patch

 boilerplate/cairo-boilerplate.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 23dce494d1850ee28a9c8d67972052c5a784cacf
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Wed Jul 23 12:09:17 2014 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Wed Jul 23 12:09:45 2014 -0400

    Binary mode in any2ppm
    
    From:
    https://github.com/Alexpux/MINGW-packages/blob/master/mingw-w64-cairo/0010-binary-mode-in-any2ppm.mingw.patch

 test/any2ppm.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit f4dbba26d4fc571e0621f3c7a98196c501f8bcc5
Author:     Behdad Esfahbod <behdad@behdad.org>
AuthorDate: Mon Jul 14 15:54:38 2014 -0400
Commit:     Behdad Esfahbod <behdad@behdad.org>
CommitDate: Mon Jul 14 15:55:12 2014 -0400

    [cairo-trace] Work around fontconfig :charset= parse format change
    
    As dicussed on the mailing list.

 util/cairo-script/cairo-script-operators.c | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 2a37cbbabc00c7474be5baa25f848778b1773b2c
Author:     Bryce Harrington <b.harrington@samsung.com>
AuthorDate: Tue Jul 8 15:53:41 2014 -0700
Commit:     Bryce Harrington <b.harrington@samsung.com>
